
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest0 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test001"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh((-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.7615941559557649d));

  }

  @Test
  public void test002() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test002"); }


    double d1 = org.apache.commons.math.util.FastMath.cosh(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test003() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test003"); }


    int i0 = org.apache.commons.math.dfp.DfpField.FLAG_DIV_ZERO;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 2);

  }

  @Test
  public void test004() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test004"); }


    byte byte0 = org.apache.commons.math.dfp.Dfp.INFINITE;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte0 == (byte)1);

  }

  @Test
  public void test005() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test005"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2((-1.0d), 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-1.5707963267948966d));

  }

  @Test
  public void test006() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test006"); }


    double d1 = org.apache.commons.math.util.FastMath.log(10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.302585092994046d);

  }

  @Test
  public void test007() {}
// Defects4J: flaky method
//   @Test
//   public void test007() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test007"); }
// 
// 
//     double d0 = org.apache.commons.math.util.FastMath.random();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d0 == 0.43705857077987587d);
// 
//   }

  @Test
  public void test008() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test008"); }


    double d1 = org.apache.commons.math.util.FastMath.toDegrees((-1.5707963267948966d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-90.0d));

  }

  @Test
  public void test009() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test009"); }


    float f2 = org.apache.commons.math.util.FastMath.min(100.0f, 100.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 100.0f);

  }

  @Test
  public void test010() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test010"); }


    byte byte0 = org.apache.commons.math.dfp.Dfp.QNAN;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte0 == (byte)3);

  }

  @Test
  public void test011() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test011"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test012() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test012"); }


    double d0 = org.apache.commons.math.util.FastMath.PI;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d0 == 3.141592653589793d);

  }

  @Test
  public void test013() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test013"); }


    org.apache.commons.math.dfp.DfpField.RoundingMode roundingMode0 = org.apache.commons.math.dfp.DfpField.RoundingMode.ROUND_HALF_UP;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode0);

  }

  @Test
  public void test014() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test014"); }


    org.apache.commons.math.dfp.DfpField.RoundingMode roundingMode0 = org.apache.commons.math.dfp.DfpField.RoundingMode.ROUND_HALF_ODD;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode0);

  }

  @Test
  public void test015() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test015"); }


    byte byte0 = org.apache.commons.math.dfp.Dfp.FINITE;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte0 == (byte)0);

  }

  @Test
  public void test016() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test016"); }


    int i2 = org.apache.commons.math.util.FastMath.min(2, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);

  }

  @Test
  public void test017() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test017"); }


    double d1 = org.apache.commons.math.util.FastMath.abs(1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test018"); }


    long long1 = org.apache.commons.math.util.FastMath.round((-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == (-1L));

  }

  @Test
  public void test019() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test019"); }


    long long2 = org.apache.commons.math.util.FastMath.max(0L, 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 100L);

  }

  @Test
  public void test020() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test020"); }


    int i0 = org.apache.commons.math.dfp.Dfp.ERR_SCALE;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 32760);

  }

  @Test
  public void test021() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test021"); }


    double d1 = org.apache.commons.math.util.FastMath.cos((-0.7615941559557649d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7237368419565787d);

  }

  @Test
  public void test022() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test022"); }


    long long1 = org.apache.commons.math.util.FastMath.abs(0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test023() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test023"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test024() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test024"); }


    double d1 = org.apache.commons.math.util.FastMath.acos(100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test025() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test025"); }


    org.apache.commons.math.dfp.DfpField dfpField1 = new org.apache.commons.math.dfp.DfpField(10);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.dfp.Dfp dfp3 = dfpField1.newDfp("");
      org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException");
    } catch (java.lang.StringIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.StringIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test026() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test026"); }


    int i0 = org.apache.commons.math.dfp.Dfp.RADIX;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 10000);

  }

  @Test
  public void test027() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test027"); }


    double d1 = org.apache.commons.math.util.FastMath.toDegrees((-0.7615941559557649d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-43.636130838093536d));

  }

  @Test
  public void test028() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test028"); }


    org.apache.commons.math.dfp.DfpField.RoundingMode roundingMode0 = org.apache.commons.math.dfp.DfpField.RoundingMode.ROUND_DOWN;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode0);

  }

  @Test
  public void test029() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test029"); }


    double d2 = org.apache.commons.math.util.FastMath.max(0.43705857077987587d, 0.43705857077987587d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.43705857077987587d);

  }

  @Test
  public void test030() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test030"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt((-0.7615941559557649d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.9132181497465548d));

  }

  @Test
  public void test031() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test031"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh((-0.9132181497465548d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.7226732822482103d));

  }

  @Test
  public void test032() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test032"); }


    double d1 = org.apache.commons.math.util.FastMath.atan(3.141592653589793d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.2626272556789118d);

  }

  @Test
  public void test033() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test033"); }


    double d2 = org.apache.commons.math.util.FastMath.min((-1.5707963267948966d), 0.7237368419565787d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-1.5707963267948966d));

  }

  @Test
  public void test034() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test034"); }


    byte byte0 = org.apache.commons.math.dfp.Dfp.SNAN;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte0 == (byte)2);

  }

  @Test
  public void test035() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test035"); }


    int i0 = org.apache.commons.math.dfp.DfpField.FLAG_OVERFLOW;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 4);

  }

  @Test
  public void test036() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test036"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh(2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test037() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test037"); }


    double d1 = org.apache.commons.math.util.FastMath.log10(1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test038() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test038"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt((-0.7615941559557649d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test039() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test039"); }


    double d2 = org.apache.commons.math.util.FastMath.pow(0.0d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);

  }

  @Test
  public void test040() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test040"); }


    double d1 = org.apache.commons.math.util.FastMath.signum((-1.5707963267948966d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test041() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test041"); }


    double d1 = org.apache.commons.math.util.FastMath.tan(3.141592653589793d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.2246467991473532E-16d));

  }

  @Test
  public void test042() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test042"); }


    double d1 = org.apache.commons.math.util.FastMath.cos(0.43705857077987587d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9060006182463498d);

  }

  @Test
  public void test043() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test043"); }


    float f2 = org.apache.commons.math.util.FastMath.min(100.0f, (-1.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-1.0f));

  }

  @Test
  public void test044() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test044"); }


    int i0 = org.apache.commons.math.dfp.Dfp.MIN_EXP;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == (-32767));

  }

  @Test
  public void test045() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test045"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians(3.14159265359d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.054831135561611156d);

  }

  @Test
  public void test046() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test046"); }


    double d1 = org.apache.commons.math.util.FastMath.atan(0.7237368419565787d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6264797341371199d);

  }

  @Test
  public void test047() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test047"); }


    int i0 = org.apache.commons.math.dfp.DfpField.FLAG_INEXACT;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 16);

  }

  @Test
  public void test048() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test048"); }


    double d1 = org.apache.commons.math.util.FastMath.toDegrees(1.2626272556789118d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 72.34321284858714d);

  }

  @Test
  public void test049() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test049"); }


    long long2 = org.apache.commons.math.util.FastMath.min(0L, 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test050"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh(0.6264797341371199d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7356005117988234d);

  }

  @Test
  public void test051() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test051"); }


    double d0 = org.apache.commons.math.util.FastMath.E;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d0 == 2.718281828459045d);

  }

  @Test
  public void test052() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test052"); }


    int i0 = org.apache.commons.math.dfp.DfpField.FLAG_INVALID;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 1);

  }

  @Test
  public void test053() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test053"); }


    double d1 = org.apache.commons.math.util.FastMath.abs((-1.5707963267948966d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5707963267948966d);

  }

  @Test
  public void test054() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test054"); }


    double d1 = org.apache.commons.math.util.FastMath.log10(72.34321284858714d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.8593977923911547d);

  }

  @Test
  public void test055() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test055"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt((-43.636130838093536d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-3.5205896814179045d));

  }

  @Test
  public void test056() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test056"); }


    org.apache.commons.math.dfp.DfpField dfpField1 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp2 = dfpField1.getSqr3();
    dfpField1.setIEEEFlagsBits(32760);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.dfp.Dfp dfp6 = dfpField1.newDfp("");
      org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException");
    } catch (java.lang.StringIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.StringIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);

  }

  @Test
  public void test057() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test057"); }


    org.apache.commons.math.dfp.DfpField dfpField1 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp2 = dfpField1.getPi();
    org.apache.commons.math.dfp.DfpField dfpField4 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp5 = dfpField4.getPi();
    double[] d_array6 = dfp5.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp7 = dfp2.subtract(dfp5);
    org.apache.commons.math.dfp.DfpField dfpField8 = dfp5.getField();
    int i9 = dfp5.log10();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);

  }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test058"); }


    double d2 = org.apache.commons.math.util.FastMath.pow(1.0553194731804223d, (-1.5707963267948966d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.9189006825324622d);

  }

  @Test
  public void test059() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test059"); }


    double d1 = org.apache.commons.math.util.FastMath.asinh(1.5707963267948966d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.233403117511217d);

  }

  @Test
  public void test060() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test060"); }


    double d2 = org.apache.commons.math.util.FastMath.pow(2.718281828459045d, 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.6881171418161212E43d);

  }

  @Test
  public void test061() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test061"); }


    org.apache.commons.math.dfp.DfpField dfpField1 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp[] dfp_array2 = dfpField1.getPiSplit();
    org.apache.commons.math.dfp.Dfp dfp3 = dfpField1.getSqr2();
    org.apache.commons.math.dfp.Dfp dfp5 = dfp3.newInstance("-1.");
    int i6 = dfp5.getRadixDigits();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 4);

  }

  @Test
  public void test062() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test062"); }


    int i1 = org.apache.commons.math.util.FastMath.abs(0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test063() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test063"); }


    double d2 = org.apache.commons.math.util.FastMath.max(1.0553194731804223d, (-0.7226732822482103d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0553194731804223d);

  }

  @Test
  public void test064() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test064"); }


    double d2 = org.apache.commons.math.util.FastMath.max(3.141592653589793d, 1.5707963267948966d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 3.141592653589793d);

  }

  @Test
  public void test065() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test065"); }


    long long1 = org.apache.commons.math.util.FastMath.abs(100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 100L);

  }

  @Test
  public void test066() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test066"); }


    int[] i_array0 = new int[] {  };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math.random.MersenneTwister(i_array0);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array0);

  }

  @Test
  public void test067() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test067"); }


    double d2 = org.apache.commons.math.util.FastMath.min((-0.7226732822482103d), 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.7226732822482103d));

  }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test068"); }


    int i0 = org.apache.commons.math.dfp.Dfp.MAX_EXP;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 32768);

  }

  @Test
  public void test069() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test069"); }


    java.lang.Throwable throwable0 = null;
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException1 = new org.apache.commons.math.exception.MathRuntimeException(throwable0);
    java.lang.Throwable[] throwable_array2 = mathRuntimeException1.getSuppressed();
    java.lang.Object[] obj_array3 = mathRuntimeException1.getArguments();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array3);

  }

  @Test
  public void test070() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test070"); }


    double d1 = org.apache.commons.math.util.FastMath.log10(0.9060006182463498d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.042871505964592486d));

  }

  @Test
  public void test071() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test071"); }


    double d1 = org.apache.commons.math.util.FastMath.asinh(Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.NEGATIVE_INFINITY);

  }

  @Test
  public void test072() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test072"); }


    org.apache.commons.math.dfp.DfpField dfpField1 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp[] dfp_array2 = dfpField1.getPiSplit();
    org.apache.commons.math.dfp.DfpField.RoundingMode roundingMode3 = dfpField1.getRoundingMode();
    org.apache.commons.math.dfp.Dfp dfp4 = dfpField1.getPi();
    org.apache.commons.math.dfp.Dfp dfp5 = dfp4.newInstance();
    double[] d_array6 = dfp5.toSplitDouble();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);

  }

  @Test
  public void test073() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test073"); }


    double d1 = org.apache.commons.math.util.FastMath.cos((-90.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.4480736161291701d));

  }

  @Test
  public void test074() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test074"); }


    int i2 = org.apache.commons.math.util.FastMath.max(4, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 100);

  }

  @Test
  public void test075() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test075"); }


    org.apache.commons.math.dfp.Dfp dfp0 = null;
    org.apache.commons.math.dfp.DfpField dfpField2 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp[] dfp_array3 = dfpField2.getPiSplit();
    org.apache.commons.math.dfp.Dfp dfp4 = dfpField2.getSqr2();
    org.apache.commons.math.dfp.Dfp dfp6 = dfp4.multiply(0);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.dfp.Dfp dfp7 = org.apache.commons.math.dfp.DfpField.computeExp(dfp0, dfp6);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);

  }

  @Test
  public void test076() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test076"); }


    double d2 = org.apache.commons.math.util.FastMath.pow(0.0d, (-0.042871505964592486d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test077() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test077"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians(2.718281828459045d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.047442967903742035d);

  }

  @Test
  public void test078() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test078"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil(3.14159265359d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.0d);

  }

  @Test
  public void test079() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test079"); }


    float f2 = org.apache.commons.math.util.FastMath.max(10.0f, (-1.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 10.0f);

  }

  @Test
  public void test080() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test080"); }


    double d2 = org.apache.commons.math.util.FastMath.min((-43.636130838093536d), (-3.5205896814179045d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-43.636130838093536d));

  }

  @Test
  public void test081() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test081"); }


    org.apache.commons.math.dfp.DfpField dfpField1 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp2 = dfpField1.getPi();
    org.apache.commons.math.dfp.Dfp dfp3 = dfpField1.newDfp();
    int i4 = dfp3.log10();
    boolean b6 = dfp3.equals((java.lang.Object)(-0.7226732822482103d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-4));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);

  }

  @Test
  public void test082() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test082"); }


    double d1 = org.apache.commons.math.util.FastMath.asin(2.718281828459045d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test083() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test083"); }


    double d1 = org.apache.commons.math.util.FastMath.sin((-43.636130838093536d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.33929403472441566d);

  }

  @Test
  public void test084() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test084"); }


    double d1 = org.apache.commons.math.util.FastMath.floor((-43.636130838093536d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-44.0d));

  }

  @Test
  public void test085() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test085"); }


    double d1 = org.apache.commons.math.util.FastMath.exp((-0.4480736161291701d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6388576520733458d);

  }

  @Test
  public void test086() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test086"); }


    org.apache.commons.math.dfp.DfpField.RoundingMode roundingMode0 = org.apache.commons.math.dfp.DfpField.RoundingMode.ROUND_UP;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode0);

  }

  @Test
  public void test087() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test087"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians((-0.4480736161291701d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.00782035989277119d));

  }

  @Test
  public void test088() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test088"); }


    double d1 = org.apache.commons.math.util.FastMath.asin(Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test089() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test089"); }


    org.apache.commons.math.dfp.DfpField dfpField1 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp2 = dfpField1.getPi();
    org.apache.commons.math.dfp.DfpField dfpField4 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp5 = dfpField4.getPi();
    double[] d_array6 = dfp5.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp7 = dfp2.subtract(dfp5);
    org.apache.commons.math.dfp.DfpField dfpField11 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp12 = dfpField11.getPi();
    org.apache.commons.math.dfp.DfpField dfpField14 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp15 = dfpField14.getPi();
    double[] d_array16 = dfp15.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp17 = dfp12.subtract(dfp15);
    org.apache.commons.math.dfp.DfpField dfpField19 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp20 = dfpField19.getPi();
    org.apache.commons.math.dfp.Dfp dfp21 = dfp17.nextAfter(dfp20);
    org.apache.commons.math.dfp.DfpField dfpField23 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp24 = dfpField23.getPi();
    org.apache.commons.math.dfp.DfpField dfpField26 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp27 = dfpField26.getPi();
    double[] d_array28 = dfp27.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp29 = dfp24.subtract(dfp27);
    org.apache.commons.math.dfp.DfpField dfpField30 = dfp27.getField();
    org.apache.commons.math.dfp.DfpField dfpField32 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp33 = dfpField32.getPi();
    org.apache.commons.math.dfp.DfpField dfpField35 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp36 = dfpField35.getPi();
    double[] d_array37 = dfp36.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp38 = dfp33.subtract(dfp36);
    org.apache.commons.math.dfp.Dfp dfp39 = dfp33.getZero();
    org.apache.commons.math.dfp.Dfp dfp41 = dfp39.newInstance((-1));
    int i42 = dfp41.log10();
    org.apache.commons.math.dfp.Dfp dfp43 = dfpField30.newDfp(dfp41);
    org.apache.commons.math.dfp.Dfp dfp44 = dfp2.dotrap(2, "hi!", dfp20, dfp43);
    org.apache.commons.math.dfp.Dfp dfp45 = dfp2.ceil();
    int i46 = dfp2.intValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i46 == 3);

  }

  @Test
  public void test090() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test090"); }


    double d2 = org.apache.commons.math.util.FastMath.min((-1.0d), 4.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-1.0d));

  }

  @Test
  public void test091() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test091"); }


    org.apache.commons.math.dfp.DfpField dfpField1 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp2 = dfpField1.getPi();
    org.apache.commons.math.dfp.DfpField dfpField4 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp5 = dfpField4.getPi();
    double[] d_array6 = dfp5.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp7 = dfp2.subtract(dfp5);
    org.apache.commons.math.dfp.DfpField dfpField8 = dfp5.getField();
    dfpField8.clearIEEEFlags();
    org.apache.commons.math.dfp.Dfp dfp11 = dfpField8.newDfp((byte)10);
    dfpField8.setIEEEFlags((-4));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);

  }

  @Test
  public void test092() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test092"); }


    double d1 = org.apache.commons.math.util.FastMath.sinh(0.9189006825324622d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0537880089703455d);

  }

  @Test
  public void test093() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test093"); }


    org.apache.commons.math.dfp.DfpField dfpField1 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp2 = dfpField1.getPi();
    double[] d_array3 = dfp2.toSplitDouble();
    org.apache.commons.math.dfp.DfpField dfpField5 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp6 = dfpField5.getPi();
    org.apache.commons.math.dfp.DfpField dfpField8 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp9 = dfpField8.getPi();
    double[] d_array10 = dfp9.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp11 = dfp6.subtract(dfp9);
    org.apache.commons.math.dfp.DfpField dfpField13 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp14 = dfpField13.getPi();
    org.apache.commons.math.dfp.Dfp dfp15 = dfp11.nextAfter(dfp14);
    org.apache.commons.math.dfp.Dfp dfp16 = dfp2.add(dfp15);
    org.apache.commons.math.dfp.DfpField dfpField18 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp19 = dfpField18.getPi();
    org.apache.commons.math.dfp.DfpField dfpField21 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp22 = dfpField21.getPi();
    double[] d_array23 = dfp22.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp24 = dfp19.subtract(dfp22);
    org.apache.commons.math.dfp.DfpField dfpField26 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp27 = dfpField26.getPi();
    org.apache.commons.math.dfp.Dfp dfp28 = dfp24.nextAfter(dfp27);
    org.apache.commons.math.dfp.Dfp dfp29 = dfp27.negate();
    org.apache.commons.math.dfp.Dfp dfp30 = org.apache.commons.math.dfp.Dfp.copysign(dfp16, dfp27);
    org.apache.commons.math.dfp.DfpField dfpField32 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp[] dfp_array33 = dfpField32.getPiSplit();
    org.apache.commons.math.dfp.Dfp dfp34 = dfpField32.getSqr2();
    org.apache.commons.math.dfp.Dfp dfp35 = dfpField32.getE();
    org.apache.commons.math.dfp.Dfp dfp36 = dfpField32.getSqr2();
    boolean b37 = dfp30.greaterThan(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b37 == true);

  }

  @Test
  public void test094() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test094"); }


    int i2 = org.apache.commons.math.util.FastMath.min(4, (-32767));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-32767));

  }

  @Test
  public void test095() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test095"); }


    org.apache.commons.math.dfp.Dfp dfp0 = null;
    org.apache.commons.math.dfp.Dfp dfp1 = null;
    org.apache.commons.math.dfp.DfpField dfpField3 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp4 = dfpField3.getPi();
    org.apache.commons.math.dfp.DfpField dfpField6 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp7 = dfpField6.getPi();
    double[] d_array8 = dfp7.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp9 = dfp4.subtract(dfp7);
    org.apache.commons.math.dfp.Dfp dfp10 = dfp4.getZero();
    org.apache.commons.math.dfp.Dfp dfp12 = dfp10.newInstance((-1));
    org.apache.commons.math.dfp.DfpField dfpField14 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp15 = dfpField14.getPi();
    double[] d_array16 = dfp15.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp17 = dfp10.remainder(dfp15);
    org.apache.commons.math.dfp.Dfp dfp19 = dfp17.newInstance((byte)0);
    org.apache.commons.math.dfp.Dfp dfp21 = dfp19.newInstance((byte)0);
    org.apache.commons.math.dfp.DfpField dfpField23 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp[] dfp_array24 = dfpField23.getPiSplit();
    org.apache.commons.math.dfp.DfpField.RoundingMode roundingMode25 = dfpField23.getRoundingMode();
    org.apache.commons.math.dfp.Dfp dfp26 = dfpField23.getPi();
    org.apache.commons.math.dfp.Dfp dfp27 = dfp26.newInstance();
    org.apache.commons.math.dfp.Dfp dfp28 = dfp19.add(dfp26);
    org.apache.commons.math.dfp.Dfp dfp29 = dfp28.newInstance();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.dfp.Dfp dfp30 = org.apache.commons.math.dfp.DfpField.computeLn(dfp0, dfp1, dfp28);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);

  }

  @Test
  public void test096() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test096"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt(Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.NEGATIVE_INFINITY);

  }

  @Test
  public void test097() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test097"); }


    int i0 = org.apache.commons.math.dfp.DfpField.FLAG_UNDERFLOW;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 8);

  }

  @Test
  public void test098() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test098"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh(0.054831135561611156d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.05488618398122668d);

  }

  @Test
  public void test099() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test099"); }


    double d1 = org.apache.commons.math.util.FastMath.abs((-0.35788835751511267d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.35788835751511267d);

  }

  @Test
  public void test100() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test100"); }


    double d2 = org.apache.commons.math.util.FastMath.max(1.0553194731804223d, (-0.00782035989277119d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0553194731804223d);

  }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test101"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil((-0.7615941559557649d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.0d));

  }

  @Test
  public void test102() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test102"); }


    double d2 = org.apache.commons.math.util.FastMath.min(0.6388576520733458d, (-0.9132181497465548d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.9132181497465548d));

  }

  @Test
  public void test103() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test103"); }


    int i1 = org.apache.commons.math.util.FastMath.round(0.7713206f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);

  }

  @Test
  public void test104() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test104"); }


    double d1 = org.apache.commons.math.util.FastMath.rint(10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 10.0d);

  }

  @Test
  public void test105() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test105"); }


    double d2 = org.apache.commons.math.util.FastMath.min((-0.7226732822482103d), 2.718281828459045d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.7226732822482103d));

  }

  @Test
  public void test106() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test106"); }


    double d1 = org.apache.commons.math.util.FastMath.sinh(0.054831135561611156d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.05485861423452247d);

  }

  @Test
  public void test107() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test107"); }


    double d1 = org.apache.commons.math.util.FastMath.cos(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test108() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test108"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test109() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test109"); }


    double d1 = org.apache.commons.math.util.FastMath.rint(3.14159265359d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.0d);

  }

  @Test
  public void test110() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test110"); }


    long long2 = org.apache.commons.math.util.FastMath.min(0L, 6937403559488242254L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test111() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test111"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh(0.047442967903742035d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.047407404488248234d);

  }

  @Test
  public void test112() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test112"); }


    double d1 = org.apache.commons.math.util.FastMath.rint(0.054831135561611156d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test113() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test113"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt(0.6264797341371199d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8556621908064284d);

  }

  @Test
  public void test114() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test114"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil((-0.00782035989277119d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.0d));

  }

  @Test
  public void test115() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test115"); }


    double d1 = org.apache.commons.math.util.FastMath.cosh((-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5430806348152437d);

  }

  @Test
  public void test116() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test116"); }


    float f2 = org.apache.commons.math.util.FastMath.min(0.7713206f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test117() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test117"); }


    double d1 = org.apache.commons.math.util.FastMath.cosh(0.33929403472441566d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0581145408384995d);

  }

  @Test
  public void test118() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test118"); }


    double d1 = org.apache.commons.math.util.FastMath.nextUp(0.6264797341371199d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.62647973413712d);

  }

  @Test
  public void test119() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test119"); }


    double d1 = org.apache.commons.math.util.FastMath.sin(0.7356005117988234d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6710325128195819d);

  }

  @Test
  public void test120() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test120"); }


    double d1 = org.apache.commons.math.util.FastMath.toDegrees(1.8593977923911547d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 106.53564593995561d);

  }

  @Test
  public void test121() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test121"); }


    org.apache.commons.math.dfp.Dfp dfp0 = null;
    org.apache.commons.math.dfp.DfpField dfpField2 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp3 = dfpField2.getPi();
    org.apache.commons.math.dfp.DfpField dfpField5 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp6 = dfpField5.getPi();
    double[] d_array7 = dfp6.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp8 = dfp3.subtract(dfp6);
    org.apache.commons.math.dfp.DfpField dfpField9 = dfp6.getField();
    dfpField9.clearIEEEFlags();
    org.apache.commons.math.dfp.Dfp dfp12 = dfpField9.newDfp((byte)10);
    org.apache.commons.math.dfp.DfpField dfpField14 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp15 = dfpField14.getPi();
    double[] d_array16 = dfp15.toSplitDouble();
    org.apache.commons.math.dfp.DfpField dfpField18 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp19 = dfpField18.getPi();
    org.apache.commons.math.dfp.DfpField dfpField21 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp22 = dfpField21.getPi();
    double[] d_array23 = dfp22.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp24 = dfp19.subtract(dfp22);
    org.apache.commons.math.dfp.DfpField dfpField26 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp27 = dfpField26.getPi();
    org.apache.commons.math.dfp.Dfp dfp28 = dfp24.nextAfter(dfp27);
    org.apache.commons.math.dfp.Dfp dfp29 = dfp15.add(dfp28);
    org.apache.commons.math.dfp.Dfp dfp30 = dfp15.ceil();
    org.apache.commons.math.dfp.Dfp dfp31 = dfpField9.newDfp(dfp15);
    org.apache.commons.math.dfp.Dfp dfp32 = dfpField9.getTwo();
    org.apache.commons.math.dfp.Dfp dfp33 = new org.apache.commons.math.dfp.Dfp(dfp32);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.dfp.Dfp dfp34 = org.apache.commons.math.dfp.DfpField.computeExp(dfp0, dfp32);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);

  }

  @Test
  public void test122() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test122"); }


    java.lang.Throwable throwable0 = null;
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException1 = new org.apache.commons.math.exception.MathRuntimeException(throwable0);
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    java.lang.Object[] obj_array5 = new java.lang.Object[] { 'a' };
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException6 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathRuntimeException1, localizable2, localizable3, obj_array5);
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException11 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable7, (java.lang.Number)100.0f, (java.lang.Number)(byte)0, false);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException12 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)numberIsTooSmallException11);
    mathRuntimeException6.addSuppressed((java.lang.Throwable)numberIsTooSmallException11);
    java.lang.Object[] obj_array14 = mathRuntimeException6.getArguments();
    org.apache.commons.math.exception.util.Localizable localizable15 = mathRuntimeException6.getSpecificPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(localizable15);

  }

  @Test
  public void test123() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test123"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh((-0.042871505964592486d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.0428452598031293d));

  }

  @Test
  public void test124() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test124"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2(100.0d, (-0.9132181497465548d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5799282544403457d);

  }

  @Test
  public void test125() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test125"); }


    double d1 = org.apache.commons.math.util.FastMath.signum(0.35788835751511267d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test126() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test126"); }


    long long1 = org.apache.commons.math.util.FastMath.abs(6617769232261822284L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 6617769232261822284L);

  }

  @Test
  public void test127() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test127"); }


    long long1 = org.apache.commons.math.util.FastMath.round(0.9060006182463498d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test128() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test128"); }


    org.apache.commons.math.dfp.DfpField dfpField1 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp2 = dfpField1.getPi();
    double[] d_array3 = dfp2.toSplitDouble();
    org.apache.commons.math.dfp.DfpField dfpField5 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp6 = dfpField5.getPi();
    org.apache.commons.math.dfp.DfpField dfpField8 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp9 = dfpField8.getPi();
    double[] d_array10 = dfp9.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp11 = dfp6.subtract(dfp9);
    org.apache.commons.math.dfp.DfpField dfpField13 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp14 = dfpField13.getPi();
    org.apache.commons.math.dfp.Dfp dfp15 = dfp11.nextAfter(dfp14);
    org.apache.commons.math.dfp.Dfp dfp16 = dfp2.add(dfp15);
    java.lang.String str17 = dfp15.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "1.000000000000e-131088"+ "'", str17.equals("1.000000000000e-131088"));

  }

  @Test
  public void test129() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test129"); }


    org.apache.commons.math.dfp.DfpField dfpField1 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp[] dfp_array2 = dfpField1.getPiSplit();
    org.apache.commons.math.dfp.DfpField.RoundingMode roundingMode3 = dfpField1.getRoundingMode();
    org.apache.commons.math.dfp.Dfp dfp4 = dfpField1.getPi();
    int i5 = dfp4.log10();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);

  }

  @Test
  public void test130() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test130"); }


    org.apache.commons.math.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math.random.MersenneTwister(10);
    float f2 = mersenneTwister1.nextFloat();
    double d3 = mersenneTwister1.nextGaussian();
    boolean b4 = mersenneTwister1.nextBoolean();
    double d5 = mersenneTwister1.nextGaussian();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.7713206f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == (-0.35788835751511267d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.1313569173028775d);

  }

  @Test
  public void test131() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test131"); }


    double d1 = org.apache.commons.math.util.FastMath.log(0.6710325128195819d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.3989376889077507d));

  }

  @Test
  public void test132() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test132"); }


    java.lang.Throwable throwable0 = null;
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException1 = new org.apache.commons.math.exception.MathRuntimeException(throwable0);
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    java.lang.Object[] obj_array5 = new java.lang.Object[] { 'a' };
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException6 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathRuntimeException1, localizable2, localizable3, obj_array5);
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException11 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable7, (java.lang.Number)100.0f, (java.lang.Number)(byte)0, false);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException12 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)numberIsTooSmallException11);
    mathRuntimeException6.addSuppressed((java.lang.Throwable)numberIsTooSmallException11);
    boolean b14 = numberIsTooSmallException11.getBoundIsAllowed();
    java.lang.Number number15 = numberIsTooSmallException11.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number15 + "' != '" + (byte)0+ "'", number15.equals((byte)0));

  }

  @Test
  public void test133() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test133"); }


    int i1 = org.apache.commons.math.util.FastMath.round(0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test134() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test134"); }


    double d1 = org.apache.commons.math.util.FastMath.nextUp(Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.NEGATIVE_INFINITY);

  }

  @Test
  public void test135() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test135"); }


    long long2 = org.apache.commons.math.util.FastMath.min(6937403559488242254L, 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 10L);

  }

  @Test
  public void test136() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test136"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil(0.047407404488248234d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test137() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test137"); }


    double d1 = org.apache.commons.math.util.FastMath.asinh(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test138() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test138"); }


    double d1 = org.apache.commons.math.util.FastMath.signum(Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test139() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test139"); }


    double d2 = org.apache.commons.math.util.FastMath.pow(Double.POSITIVE_INFINITY, Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test140() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test140"); }


    int i2 = org.apache.commons.math.util.FastMath.min(4, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 4);

  }

  @Test
  public void test141() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test141"); }


    double d1 = org.apache.commons.math.util.FastMath.nextUp(0.5451694854284768d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5451694854284769d);

  }

  @Test
  public void test142() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test142"); }


    long long1 = org.apache.commons.math.util.FastMath.round((-0.7615941559557649d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == (-1L));

  }

  @Test
  public void test143() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test143"); }


    org.apache.commons.math.dfp.DfpField dfpField1 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp[] dfp_array2 = dfpField1.getPiSplit();
    org.apache.commons.math.dfp.DfpField.RoundingMode roundingMode3 = dfpField1.getRoundingMode();
    org.apache.commons.math.dfp.Dfp dfp4 = dfpField1.getPi();
    org.apache.commons.math.dfp.DfpField.RoundingMode roundingMode5 = dfpField1.getRoundingMode();
    org.apache.commons.math.dfp.DfpField.RoundingMode roundingMode6 = dfpField1.getRoundingMode();
    org.apache.commons.math.dfp.DfpField.RoundingMode roundingMode7 = org.apache.commons.math.dfp.DfpField.RoundingMode.ROUND_HALF_EVEN;
    dfpField1.setRoundingMode(roundingMode7);
    org.apache.commons.math.dfp.Dfp[] dfp_array9 = dfpField1.getESplit();
    org.apache.commons.math.dfp.Dfp dfp11 = dfpField1.newDfp((byte)0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);

  }

  @Test
  public void test144() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test144"); }


    double d1 = org.apache.commons.math.util.FastMath.cosh(3.141592653589793d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 11.591953275521519d);

  }

  @Test
  public void test145() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test145"); }


    double d2 = org.apache.commons.math.util.FastMath.min((-44.0d), (-44.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-44.0d));

  }

  @Test
  public void test146() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test146"); }


    long long1 = org.apache.commons.math.util.FastMath.round(0.05488618398122668d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test147() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test147"); }


    double d1 = org.apache.commons.math.util.FastMath.sin(0.9060006182463498d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7870428286124245d);

  }

  @Test
  public void test148() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test148"); }


    long long1 = org.apache.commons.math.util.FastMath.abs(10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 10L);

  }

  @Test
  public void test149() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test149"); }


    float f2 = org.apache.commons.math.util.FastMath.max((-1.0f), 0.7713206f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.7713206f);

  }

  @Test
  public void test150() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test150"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2(0.7870428286124245d, (-1.2246467991473532E-16d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5707963267948968d);

  }

  @Test
  public void test151() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test151"); }


    long long2 = org.apache.commons.math.util.FastMath.min(1L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test152() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test152"); }


    double d1 = org.apache.commons.math.util.FastMath.cos(0.33929403472441566d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9429898608873863d);

  }

  @Test
  public void test153() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test153"); }


    double d2 = org.apache.commons.math.util.FastMath.min(0.9060006182463498d, 0.33929403472441566d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.33929403472441566d);

  }

  @Test
  public void test154() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test154"); }


    double d1 = org.apache.commons.math.util.FastMath.abs(Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test155() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test155"); }


    double d2 = org.apache.commons.math.util.FastMath.max(0.05488618398122668d, 0.054831135561611156d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.05488618398122668d);

  }

  @Test
  public void test156() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test156"); }


    double d1 = org.apache.commons.math.util.FastMath.acos(10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test157() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test157"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1(0.43705857077987587d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.548146750563448d);

  }

  @Test
  public void test158() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test158"); }


    double d1 = org.apache.commons.math.util.FastMath.sin(106.53564593995561d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.27491787214806773d));

  }

  @Test
  public void test159() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test159"); }


    java.lang.Throwable throwable0 = null;
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException1 = new org.apache.commons.math.exception.MathRuntimeException(throwable0);
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    java.lang.Object[] obj_array5 = new java.lang.Object[] { 'a' };
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException6 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathRuntimeException1, localizable2, localizable3, obj_array5);
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException11 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable7, (java.lang.Number)100.0f, (java.lang.Number)(byte)0, false);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException12 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)numberIsTooSmallException11);
    mathRuntimeException6.addSuppressed((java.lang.Throwable)numberIsTooSmallException11);
    org.apache.commons.math.exception.util.Localizable localizable14 = null;
    org.apache.commons.math.exception.util.Localizable localizable15 = null;
    org.apache.commons.math.exception.util.Localizable localizable16 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException20 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable16, (java.lang.Number)100.0f, (java.lang.Number)(byte)0, false);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException21 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)numberIsTooSmallException20);
    java.lang.Object[] obj_array22 = numberIsTooSmallException20.getArguments();
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException23 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)numberIsTooSmallException11, localizable14, localizable15, obj_array22);
    java.lang.Number number24 = numberIsTooSmallException11.getMin();
    java.lang.String str25 = numberIsTooSmallException11.toString();
    java.lang.Number number26 = numberIsTooSmallException11.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number24 + "' != '" + (byte)0+ "'", number24.equals((byte)0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "org.apache.commons.math.exception.NumberIsTooSmallException: 100 is smaller than, or equal to, the minimum (0)"+ "'", str25.equals("org.apache.commons.math.exception.NumberIsTooSmallException: 100 is smaller than, or equal to, the minimum (0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number26 + "' != '" + (byte)0+ "'", number26.equals((byte)0));

  }

  @Test
  public void test160() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test160"); }


    java.lang.Throwable throwable0 = null;
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException1 = new org.apache.commons.math.exception.MathRuntimeException(throwable0);
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    java.lang.Object[] obj_array5 = new java.lang.Object[] { 'a' };
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException6 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathRuntimeException1, localizable2, localizable3, obj_array5);
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException11 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable7, (java.lang.Number)100.0f, (java.lang.Number)(byte)0, false);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException12 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)numberIsTooSmallException11);
    mathRuntimeException6.addSuppressed((java.lang.Throwable)numberIsTooSmallException11);
    boolean b14 = numberIsTooSmallException11.getBoundIsAllowed();
    java.lang.String str15 = numberIsTooSmallException11.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "org.apache.commons.math.exception.NumberIsTooSmallException: 100 is smaller than, or equal to, the minimum (0)"+ "'", str15.equals("org.apache.commons.math.exception.NumberIsTooSmallException: 100 is smaller than, or equal to, the minimum (0)"));

  }

  @Test
  public void test161() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test161"); }


    double d1 = org.apache.commons.math.util.FastMath.abs(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test162() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test162"); }


    double d1 = org.apache.commons.math.util.FastMath.exp(1.0581145408384995d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.8809339818811415d);

  }

  @Test
  public void test163() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test163"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p(Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test164() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test164"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt((-0.9132181497465548d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test165() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test165"); }


    double d1 = org.apache.commons.math.util.FastMath.cos((-3.5205896814179045d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.929036191326411d));

  }

  @Test
  public void test166() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test166"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.9E-324d);

  }

  @Test
  public void test167() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test167"); }


    double d2 = org.apache.commons.math.util.FastMath.pow(0.047407404488248234d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);

  }

  @Test
  public void test168() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test168"); }


    double d1 = org.apache.commons.math.util.FastMath.tan(0.8556621908064284d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1514164490972616d);

  }

  @Test
  public void test169() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test169"); }


    double d2 = org.apache.commons.math.util.FastMath.min(1.8593977923911547d, 4.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.8593977923911547d);

  }

  @Test
  public void test170() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test170"); }


    org.apache.commons.math.dfp.DfpField dfpField1 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp2 = dfpField1.getPi();
    double[] d_array3 = dfp2.toSplitDouble();
    org.apache.commons.math.dfp.DfpField dfpField5 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp6 = dfpField5.getPi();
    org.apache.commons.math.dfp.DfpField dfpField8 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp9 = dfpField8.getPi();
    double[] d_array10 = dfp9.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp11 = dfp6.subtract(dfp9);
    org.apache.commons.math.dfp.DfpField dfpField13 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp14 = dfpField13.getPi();
    org.apache.commons.math.dfp.Dfp dfp15 = dfp11.nextAfter(dfp14);
    org.apache.commons.math.dfp.Dfp dfp16 = dfp2.add(dfp15);
    org.apache.commons.math.dfp.DfpField dfpField18 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp19 = dfpField18.getPi();
    org.apache.commons.math.dfp.DfpField dfpField21 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp22 = dfpField21.getPi();
    double[] d_array23 = dfp22.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp24 = dfp19.subtract(dfp22);
    org.apache.commons.math.dfp.DfpField dfpField26 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp27 = dfpField26.getPi();
    org.apache.commons.math.dfp.Dfp dfp28 = dfp24.nextAfter(dfp27);
    org.apache.commons.math.dfp.Dfp dfp29 = dfp27.negate();
    org.apache.commons.math.dfp.Dfp dfp30 = org.apache.commons.math.dfp.Dfp.copysign(dfp16, dfp27);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.dfp.Dfp dfp32 = dfp30.newInstance("");
      org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException");
    } catch (java.lang.StringIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.StringIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);

  }

  @Test
  public void test171() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test171"); }


    int i2 = org.apache.commons.math.util.FastMath.min(2, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2);

  }

  @Test
  public void test172() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test172"); }


    double d1 = org.apache.commons.math.util.FastMath.asin(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test173() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test173"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p(0.62647973413712d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.4864180070547641d);

  }

  @Test
  public void test174() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test174"); }


    double d2 = org.apache.commons.math.util.FastMath.min((-0.9132181497465548d), Double.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test175() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test175"); }


    int i2 = org.apache.commons.math.util.FastMath.min(8, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test176() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test176"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt((-0.7226732822482103d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test177() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test177"); }


    org.apache.commons.math.dfp.DfpField dfpField1 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp2 = dfpField1.getSqr3();
    org.apache.commons.math.dfp.Dfp dfp3 = dfpField1.getLn2();
    org.apache.commons.math.dfp.Dfp dfp5 = dfpField1.newDfp((-1L));
    org.apache.commons.math.dfp.Dfp dfp6 = dfpField1.getSqr2();
    org.apache.commons.math.dfp.Dfp dfp7 = dfpField1.getSqr3Reciprocal();
    org.apache.commons.math.dfp.Dfp dfp8 = dfp7.negate();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);

  }

  @Test
  public void test178() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test178"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test179() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test179"); }


    double d1 = org.apache.commons.math.util.FastMath.cos((-44.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9998433086476912d);

  }

  @Test
  public void test180() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test180"); }


    int i2 = org.apache.commons.math.util.FastMath.max((-1), 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 16);

  }

  @Test
  public void test181() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test181"); }


    double d1 = org.apache.commons.math.util.FastMath.abs(1.0581145408384995d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0581145408384995d);

  }

  @Test
  public void test182() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test182"); }


    double d1 = org.apache.commons.math.util.FastMath.exp(0.7356005117988234d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.0867347251504818d);

  }

  @Test
  public void test183() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test183"); }


    float f2 = org.apache.commons.math.util.FastMath.max(0.0f, 1.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.0f);

  }

  @Test
  public void test184() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test184"); }


    double d1 = org.apache.commons.math.util.FastMath.toDegrees(0.7237368419565787d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 41.46706652223864d);

  }

  @Test
  public void test185() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test185"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt(41.46706652223864d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 6.439492722430754d);

  }

  @Test
  public void test186() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test186"); }


    float f2 = org.apache.commons.math.util.FastMath.max((-1.0f), (-1.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-1.0f));

  }

  @Test
  public void test187() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test187"); }


    org.apache.commons.math.dfp.DfpField dfpField1 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp2 = dfpField1.getPi();
    org.apache.commons.math.dfp.DfpField dfpField4 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp5 = dfpField4.getPi();
    double[] d_array6 = dfp5.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp7 = dfp2.subtract(dfp5);
    org.apache.commons.math.dfp.DfpField dfpField8 = dfp5.getField();
    org.apache.commons.math.dfp.DfpField dfpField10 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp11 = dfpField10.getPi();
    org.apache.commons.math.dfp.DfpField dfpField13 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp14 = dfpField13.getPi();
    double[] d_array15 = dfp14.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp16 = dfp11.subtract(dfp14);
    org.apache.commons.math.dfp.Dfp dfp17 = dfp11.getZero();
    org.apache.commons.math.dfp.Dfp dfp19 = dfp17.newInstance((-1));
    int i20 = dfp19.log10();
    org.apache.commons.math.dfp.Dfp dfp21 = dfpField8.newDfp(dfp19);
    org.apache.commons.math.dfp.Dfp dfp22 = dfpField8.getZero();
    org.apache.commons.math.dfp.Dfp[] dfp_array23 = dfpField8.getLn2Split();
    org.apache.commons.math.dfp.Dfp dfp24 = dfpField8.getLn10();
    org.apache.commons.math.dfp.Dfp dfp25 = dfpField8.getSqr2();
    org.apache.commons.math.dfp.DfpField dfpField26 = dfp25.getField();
    int i27 = dfpField26.getIEEEFlags();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 16);

  }

  @Test
  public void test188() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test188"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh(0.5451694854284769d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.4968910933106735d);

  }

  @Test
  public void test189() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test189"); }


    long long1 = org.apache.commons.math.util.FastMath.round(100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 100L);

  }

  @Test
  public void test190() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test190"); }


    int i1 = org.apache.commons.math.util.FastMath.abs(8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 8);

  }

  @Test
  public void test191() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test191"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh((-0.35788835751511267d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.3744619536276215d));

  }

  @Test
  public void test192() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test192"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p(Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test193() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test193"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt((-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test194() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test194"); }


    double d1 = org.apache.commons.math.util.FastMath.acosh(Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test195() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test195"); }


    double d1 = org.apache.commons.math.util.FastMath.acos(Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test196() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test196"); }


    double d1 = org.apache.commons.math.util.FastMath.asinh(0.7237368419565787d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6720041156677619d);

  }

  @Test
  public void test197() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test197"); }


    org.apache.commons.math.dfp.DfpField dfpField1 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp2 = dfpField1.getPi();
    org.apache.commons.math.dfp.DfpField dfpField4 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp5 = dfpField4.getPi();
    double[] d_array6 = dfp5.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp7 = dfp2.subtract(dfp5);
    org.apache.commons.math.dfp.Dfp dfp8 = dfp2.getZero();
    org.apache.commons.math.dfp.Dfp dfp10 = dfp8.newInstance((-1));
    int i11 = dfp10.log10();
    org.apache.commons.math.dfp.DfpField dfpField13 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp14 = dfpField13.getPi();
    double[] d_array15 = dfp14.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp17 = dfp14.newInstance(72.34321284858714d);
    boolean b18 = dfp10.lessThan(dfp14);
    int i19 = dfp10.classify();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);

  }

  @Test
  public void test198() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test198"); }


    org.apache.commons.math.dfp.DfpField dfpField1 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp2 = dfpField1.getPi();
    org.apache.commons.math.dfp.DfpField dfpField4 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp5 = dfpField4.getPi();
    org.apache.commons.math.dfp.DfpField dfpField7 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp8 = dfpField7.getPi();
    double[] d_array9 = dfp8.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp10 = dfp5.subtract(dfp8);
    org.apache.commons.math.dfp.DfpField dfpField14 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp15 = dfpField14.getPi();
    org.apache.commons.math.dfp.DfpField dfpField17 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp18 = dfpField17.getPi();
    double[] d_array19 = dfp18.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp20 = dfp15.subtract(dfp18);
    org.apache.commons.math.dfp.DfpField dfpField22 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp23 = dfpField22.getPi();
    org.apache.commons.math.dfp.Dfp dfp24 = dfp20.nextAfter(dfp23);
    org.apache.commons.math.dfp.DfpField dfpField26 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp27 = dfpField26.getPi();
    org.apache.commons.math.dfp.DfpField dfpField29 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp30 = dfpField29.getPi();
    double[] d_array31 = dfp30.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp32 = dfp27.subtract(dfp30);
    org.apache.commons.math.dfp.DfpField dfpField33 = dfp30.getField();
    org.apache.commons.math.dfp.DfpField dfpField35 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp36 = dfpField35.getPi();
    org.apache.commons.math.dfp.DfpField dfpField38 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp39 = dfpField38.getPi();
    double[] d_array40 = dfp39.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp41 = dfp36.subtract(dfp39);
    org.apache.commons.math.dfp.Dfp dfp42 = dfp36.getZero();
    org.apache.commons.math.dfp.Dfp dfp44 = dfp42.newInstance((-1));
    int i45 = dfp44.log10();
    org.apache.commons.math.dfp.Dfp dfp46 = dfpField33.newDfp(dfp44);
    org.apache.commons.math.dfp.Dfp dfp47 = dfp5.dotrap(2, "hi!", dfp23, dfp46);
    org.apache.commons.math.dfp.Dfp dfp48 = dfp5.ceil();
    boolean b49 = dfp2.unequal(dfp5);
    org.apache.commons.math.dfp.DfpField dfpField51 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp[] dfp_array52 = dfpField51.getPiSplit();
    org.apache.commons.math.dfp.Dfp dfp53 = dfpField51.getSqr2();
    org.apache.commons.math.dfp.DfpField dfpField55 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp56 = dfpField55.getPi();
    double[] d_array57 = dfp56.toSplitDouble();
    org.apache.commons.math.dfp.DfpField dfpField59 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp60 = dfpField59.getPi();
    org.apache.commons.math.dfp.DfpField dfpField62 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp63 = dfpField62.getPi();
    double[] d_array64 = dfp63.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp65 = dfp60.subtract(dfp63);
    org.apache.commons.math.dfp.DfpField dfpField67 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp68 = dfpField67.getPi();
    org.apache.commons.math.dfp.Dfp dfp69 = dfp65.nextAfter(dfp68);
    org.apache.commons.math.dfp.Dfp dfp70 = dfp56.add(dfp69);
    org.apache.commons.math.dfp.DfpField dfpField74 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp75 = dfpField74.getPi();
    org.apache.commons.math.dfp.Dfp dfp76 = dfpField74.newDfp();
    org.apache.commons.math.dfp.DfpField dfpField78 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp79 = dfpField78.getPi();
    org.apache.commons.math.dfp.DfpField dfpField81 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp82 = dfpField81.getPi();
    double[] d_array83 = dfp82.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp84 = dfp79.subtract(dfp82);
    org.apache.commons.math.dfp.Dfp dfp85 = dfp79.getZero();
    org.apache.commons.math.dfp.Dfp dfp87 = dfp85.newInstance((-1));
    int i88 = dfp87.log10();
    org.apache.commons.math.dfp.Dfp dfp89 = dfp56.dotrap(4, "hi!", dfp76, dfp87);
    org.apache.commons.math.dfp.Dfp dfp90 = dfp53.nextAfter(dfp56);
    org.apache.commons.math.dfp.DfpField dfpField92 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp[] dfp_array93 = dfpField92.getPiSplit();
    org.apache.commons.math.dfp.Dfp dfp94 = dfpField92.getSqr3Reciprocal();
    org.apache.commons.math.dfp.Dfp dfp95 = dfpField92.newDfp();
    org.apache.commons.math.dfp.Dfp dfp96 = dfpField92.getLn5();
    org.apache.commons.math.dfp.Dfp dfp97 = dfp56.multiply(dfp96);
    boolean b98 = dfp2.lessThan(dfp96);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i45 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i88 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array93);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp94);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp95);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp96);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp97);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b98 == false);

  }

  @Test
  public void test199() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test199"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test200() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test200"); }


    double d1 = org.apache.commons.math.util.FastMath.toDegrees(0.62647973413712d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 35.894644716534856d);

  }

  @Test
  public void test201() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test201"); }


    org.apache.commons.math.dfp.DfpField dfpField1 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp2 = dfpField1.getPi();
    double[] d_array3 = dfp2.toSplitDouble();
    org.apache.commons.math.dfp.DfpField dfpField5 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp6 = dfpField5.getPi();
    org.apache.commons.math.dfp.DfpField dfpField8 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp9 = dfpField8.getPi();
    double[] d_array10 = dfp9.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp11 = dfp6.subtract(dfp9);
    org.apache.commons.math.dfp.DfpField dfpField13 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp14 = dfpField13.getPi();
    org.apache.commons.math.dfp.Dfp dfp15 = dfp11.nextAfter(dfp14);
    org.apache.commons.math.dfp.Dfp dfp16 = dfp2.add(dfp15);
    org.apache.commons.math.dfp.DfpField dfpField18 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp19 = dfpField18.getPi();
    org.apache.commons.math.dfp.DfpField dfpField21 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp22 = dfpField21.getPi();
    double[] d_array23 = dfp22.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp24 = dfp19.subtract(dfp22);
    org.apache.commons.math.dfp.DfpField dfpField26 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp27 = dfpField26.getPi();
    org.apache.commons.math.dfp.Dfp dfp28 = dfp24.nextAfter(dfp27);
    org.apache.commons.math.dfp.Dfp dfp29 = dfp27.negate();
    org.apache.commons.math.dfp.Dfp dfp30 = org.apache.commons.math.dfp.Dfp.copysign(dfp16, dfp27);
    int i31 = dfp30.classify();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 0);

  }

  @Test
  public void test202() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test202"); }


    org.apache.commons.math.dfp.DfpField dfpField1 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp2 = dfpField1.getPi();
    org.apache.commons.math.dfp.DfpField dfpField4 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp5 = dfpField4.getPi();
    double[] d_array6 = dfp5.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp7 = dfp2.subtract(dfp5);
    org.apache.commons.math.dfp.DfpField dfpField8 = dfp5.getField();
    org.apache.commons.math.dfp.DfpField dfpField10 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp11 = dfpField10.getPi();
    org.apache.commons.math.dfp.DfpField dfpField13 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp14 = dfpField13.getPi();
    double[] d_array15 = dfp14.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp16 = dfp11.subtract(dfp14);
    org.apache.commons.math.dfp.Dfp dfp17 = dfp11.getZero();
    org.apache.commons.math.dfp.Dfp dfp19 = dfp17.newInstance((-1));
    int i20 = dfp19.log10();
    org.apache.commons.math.dfp.Dfp dfp21 = dfpField8.newDfp(dfp19);
    org.apache.commons.math.dfp.Dfp dfp22 = dfpField8.getZero();
    org.apache.commons.math.dfp.Dfp[] dfp_array23 = dfpField8.getLn2Split();
    org.apache.commons.math.dfp.Dfp dfp24 = dfpField8.getLn10();
    org.apache.commons.math.dfp.Dfp dfp25 = dfpField8.getOne();
    org.apache.commons.math.dfp.DfpField dfpField27 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp[] dfp_array28 = dfpField27.getPiSplit();
    org.apache.commons.math.dfp.DfpField.RoundingMode roundingMode29 = dfpField27.getRoundingMode();
    org.apache.commons.math.dfp.Dfp dfp30 = dfpField27.getPi();
    org.apache.commons.math.dfp.Dfp dfp31 = dfpField8.newDfp(dfp30);
    org.apache.commons.math.dfp.Dfp dfp32 = dfp30.getZero();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.dfp.Dfp dfp34 = dfp32.newInstance(6617769232261822284L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);

  }

  @Test
  public void test203() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test203"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt(1.1514164490972616d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.073040749038573d);

  }

  @Test
  public void test204() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test204"); }


    double d1 = org.apache.commons.math.util.FastMath.cos(2.8809339818811415d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.9662204368270064d));

  }

  @Test
  public void test205() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test205"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt(1.2626272556789118d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.123666879319183d);

  }

  @Test
  public void test206() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test206"); }


    org.apache.commons.math.dfp.DfpField dfpField1 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp2 = dfpField1.getPi();
    org.apache.commons.math.dfp.DfpField dfpField4 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp5 = dfpField4.getPi();
    double[] d_array6 = dfp5.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp7 = dfp2.subtract(dfp5);
    org.apache.commons.math.dfp.DfpField dfpField8 = dfp5.getField();
    dfpField8.clearIEEEFlags();
    org.apache.commons.math.dfp.Dfp dfp10 = dfpField8.getSqr3Reciprocal();
    org.apache.commons.math.dfp.Dfp dfp12 = dfpField8.newDfp((-90.0d));
    org.apache.commons.math.dfp.Dfp dfp13 = dfpField8.getSqr3();
    dfpField8.setIEEEFlagsBits(32760);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);

  }

  @Test
  public void test207() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test207"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp(0.9429898608873863d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1102230246251565E-16d);

  }

  @Test
  public void test208() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test208"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1((-1.5707963267948966d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.7921204236492381d));

  }

  @Test
  public void test209() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test209"); }


    double d1 = org.apache.commons.math.util.FastMath.tan(2.8809339818811415d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.2667269496633498d));

  }

  @Test
  public void test210() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test210"); }


    org.apache.commons.math.dfp.DfpField dfpField1 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp[] dfp_array2 = dfpField1.getPiSplit();
    org.apache.commons.math.dfp.Dfp dfp3 = dfpField1.getSqr2();
    org.apache.commons.math.dfp.Dfp dfp4 = dfpField1.getE();
    org.apache.commons.math.dfp.Dfp dfp5 = dfpField1.getSqr2();
    dfpField1.clearIEEEFlags();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);

  }

  @Test
  public void test211() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test211"); }


    double d1 = org.apache.commons.math.util.FastMath.sinh(0.43705857077987587d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.45110657654767305d);

  }

  @Test
  public void test212() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test212"); }


    double d1 = org.apache.commons.math.util.FastMath.tan(4.9E-324d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.9E-324d);

  }

  @Test
  public void test213() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test213"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p(1.5707963267948966d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9442157056960554d);

  }

  @Test
  public void test214() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test214"); }


    long long2 = org.apache.commons.math.util.FastMath.max(6617769232261822284L, 6617769232261822284L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 6617769232261822284L);

  }

  @Test
  public void test215() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test215"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh(1.2626272556789118d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test216() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test216"); }


    long long1 = org.apache.commons.math.util.FastMath.abs(5511170629791907812L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 5511170629791907812L);

  }

  @Test
  public void test217() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test217"); }


    double d1 = org.apache.commons.math.util.FastMath.log(0.05488618398122668d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-2.902493620038969d));

  }

  @Test
  public void test218() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test218"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test219() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test219"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1((-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.6321205588285577d));

  }

  @Test
  public void test220() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test220"); }


    org.apache.commons.math.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math.random.MersenneTwister(8);
    mersenneTwister1.setSeed(0L);

  }

  @Test
  public void test221() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test221"); }


    double d1 = org.apache.commons.math.util.FastMath.nextUp(Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test222() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test222"); }


    double d1 = org.apache.commons.math.util.FastMath.asin(0.05488618398122668d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.05491377878166497d);

  }

  @Test
  public void test223() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test223"); }


    org.apache.commons.math.dfp.DfpField dfpField1 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp2 = dfpField1.getPi();
    org.apache.commons.math.dfp.DfpField dfpField4 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp5 = dfpField4.getPi();
    double[] d_array6 = dfp5.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp7 = dfp2.subtract(dfp5);
    org.apache.commons.math.dfp.DfpField dfpField8 = dfp5.getField();
    org.apache.commons.math.dfp.DfpField dfpField10 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp11 = dfpField10.getPi();
    org.apache.commons.math.dfp.DfpField dfpField13 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp14 = dfpField13.getPi();
    double[] d_array15 = dfp14.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp16 = dfp11.subtract(dfp14);
    org.apache.commons.math.dfp.Dfp dfp17 = dfp11.getZero();
    org.apache.commons.math.dfp.Dfp dfp19 = dfp17.newInstance((-1));
    int i20 = dfp19.log10();
    org.apache.commons.math.dfp.Dfp dfp21 = dfpField8.newDfp(dfp19);
    org.apache.commons.math.dfp.Dfp dfp22 = dfpField8.getZero();
    org.apache.commons.math.dfp.Dfp[] dfp_array23 = dfpField8.getLn2Split();
    org.apache.commons.math.dfp.Dfp dfp24 = dfpField8.getLn10();
    org.apache.commons.math.dfp.Dfp dfp25 = dfpField8.getSqr2();
    org.apache.commons.math.dfp.DfpField dfpField26 = dfp25.getField();
    org.apache.commons.math.dfp.DfpField dfpField28 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp29 = dfpField28.getPi();
    org.apache.commons.math.dfp.DfpField dfpField31 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp32 = dfpField31.getPi();
    double[] d_array33 = dfp32.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp34 = dfp29.subtract(dfp32);
    org.apache.commons.math.dfp.Dfp dfp35 = dfp29.getZero();
    org.apache.commons.math.dfp.Dfp dfp37 = dfp35.newInstance((-1));
    int i38 = dfp37.log10();
    org.apache.commons.math.dfp.DfpField dfpField40 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp41 = dfpField40.getPi();
    double[] d_array42 = dfp41.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp44 = dfp41.newInstance(72.34321284858714d);
    boolean b45 = dfp37.lessThan(dfp41);
    org.apache.commons.math.dfp.Dfp dfp46 = dfp41.ceil();
    org.apache.commons.math.dfp.Dfp dfp47 = dfpField26.newDfp(dfp41);
    int i48 = dfp47.getRadixDigits();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i38 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i48 == 4);

  }

  @Test
  public void test224() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test224"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians((-0.7615941559557649d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.013292325585375278d));

  }

  @Test
  public void test225() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test225"); }


    double d1 = org.apache.commons.math.util.FastMath.asin(1.5799282544403457d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test226() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test226"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1(0.4864180070547641d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.62647973413712d);

  }

  @Test
  public void test227() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test227"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p((-0.9132181497465548d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-2.4443577776425767d));

  }

  @Test
  public void test228() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test228"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)100.0f, (java.lang.Number)(byte)0, false);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException5 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)numberIsTooSmallException4);
    java.lang.Object[] obj_array6 = numberIsTooSmallException4.getArguments();
    java.lang.Number number7 = numberIsTooSmallException4.getArgument();
    java.lang.Number number8 = numberIsTooSmallException4.getMin();
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException9 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)numberIsTooSmallException4);
    java.lang.Number number10 = numberIsTooSmallException4.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + 100.0f+ "'", number7.equals(100.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + (byte)0+ "'", number8.equals((byte)0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number10 + "' != '" + 100.0f+ "'", number10.equals(100.0f));

  }

  @Test
  public void test229() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test229"); }


    double d1 = org.apache.commons.math.util.FastMath.sin(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test230() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test230"); }


    double d1 = org.apache.commons.math.util.FastMath.sinh(41.46706652223864d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5.1037356948634483E17d);

  }

  @Test
  public void test231() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test231"); }


    double d1 = org.apache.commons.math.util.FastMath.cosh(2.718281828459045d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 7.610125138662287d);

  }

  @Test
  public void test232() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test232"); }


    double d2 = org.apache.commons.math.util.FastMath.min(41.46706652223864d, 1.8593977923911547d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.8593977923911547d);

  }

  @Test
  public void test233() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test233"); }


    float f2 = org.apache.commons.math.util.FastMath.min((-1.0f), 100.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-1.0f));

  }

  @Test
  public void test234() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test234"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh(0.43705857077987587d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.41120333350817323d);

  }

  @Test
  public void test235() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test235"); }


    double d1 = org.apache.commons.math.util.FastMath.asin(3.141592653589793d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test236() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test236"); }


    int i2 = org.apache.commons.math.util.FastMath.min((-4), (-931718226));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-931718226));

  }

  @Test
  public void test237() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test237"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1(100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.6881171418161356E43d);

  }

  @Test
  public void test238() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test238"); }


    double d1 = org.apache.commons.math.util.FastMath.log((-0.3989376889077507d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test239() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test239"); }


    float f2 = org.apache.commons.math.util.FastMath.min(100.0f, 10.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 10.0f);

  }

  @Test
  public void test240() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test240"); }


    double d2 = org.apache.commons.math.util.FastMath.pow((-44.0d), (-0.27491787214806773d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test241() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test241"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)100.0f, (java.lang.Number)(byte)0, false);
    java.lang.Throwable[] throwable_array5 = numberIsTooSmallException4.getSuppressed();
    java.lang.Throwable throwable6 = null;
    // The following exception was thrown during execution in test generation
    try {
      numberIsTooSmallException4.addSuppressed(throwable6);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);

  }

  @Test
  public void test242() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test242"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter(1.233403117511217d, 0.9429898608873863d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.2334031175112168d);

  }

  @Test
  public void test243() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test243"); }


    double d1 = org.apache.commons.math.util.FastMath.exp(1.1514164490972616d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.1626694988675665d);

  }

  @Test
  public void test244() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test244"); }


    double d2 = org.apache.commons.math.util.FastMath.min(3.0d, 1.8593977923911547d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.8593977923911547d);

  }

  @Test
  public void test245() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test245"); }


    double d1 = org.apache.commons.math.util.FastMath.signum(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test246() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test246"); }


    org.apache.commons.math.dfp.DfpField dfpField1 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp2 = dfpField1.getPi();
    double[] d_array3 = dfp2.toSplitDouble();
    org.apache.commons.math.dfp.DfpField dfpField5 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp6 = dfpField5.getPi();
    org.apache.commons.math.dfp.DfpField dfpField8 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp9 = dfpField8.getPi();
    double[] d_array10 = dfp9.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp11 = dfp6.subtract(dfp9);
    org.apache.commons.math.dfp.DfpField dfpField13 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp14 = dfpField13.getPi();
    org.apache.commons.math.dfp.Dfp dfp15 = dfp11.nextAfter(dfp14);
    org.apache.commons.math.dfp.Dfp dfp16 = dfp2.add(dfp15);
    org.apache.commons.math.dfp.DfpField dfpField20 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp21 = dfpField20.getPi();
    org.apache.commons.math.dfp.Dfp dfp22 = dfpField20.newDfp();
    org.apache.commons.math.dfp.DfpField dfpField24 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp25 = dfpField24.getPi();
    org.apache.commons.math.dfp.DfpField dfpField27 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp28 = dfpField27.getPi();
    double[] d_array29 = dfp28.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp30 = dfp25.subtract(dfp28);
    org.apache.commons.math.dfp.Dfp dfp31 = dfp25.getZero();
    org.apache.commons.math.dfp.Dfp dfp33 = dfp31.newInstance((-1));
    int i34 = dfp33.log10();
    org.apache.commons.math.dfp.Dfp dfp35 = dfp2.dotrap(4, "hi!", dfp22, dfp33);
    org.apache.commons.math.dfp.DfpField dfpField37 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp38 = dfpField37.getPi();
    org.apache.commons.math.dfp.DfpField dfpField40 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp41 = dfpField40.getPi();
    double[] d_array42 = dfp41.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp43 = dfp38.subtract(dfp41);
    org.apache.commons.math.dfp.DfpField dfpField47 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp48 = dfpField47.getPi();
    org.apache.commons.math.dfp.DfpField dfpField50 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp51 = dfpField50.getPi();
    double[] d_array52 = dfp51.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp53 = dfp48.subtract(dfp51);
    org.apache.commons.math.dfp.DfpField dfpField55 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp56 = dfpField55.getPi();
    org.apache.commons.math.dfp.Dfp dfp57 = dfp53.nextAfter(dfp56);
    org.apache.commons.math.dfp.DfpField dfpField59 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp60 = dfpField59.getPi();
    org.apache.commons.math.dfp.DfpField dfpField62 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp63 = dfpField62.getPi();
    double[] d_array64 = dfp63.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp65 = dfp60.subtract(dfp63);
    org.apache.commons.math.dfp.DfpField dfpField66 = dfp63.getField();
    org.apache.commons.math.dfp.DfpField dfpField68 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp69 = dfpField68.getPi();
    org.apache.commons.math.dfp.DfpField dfpField71 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp72 = dfpField71.getPi();
    double[] d_array73 = dfp72.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp74 = dfp69.subtract(dfp72);
    org.apache.commons.math.dfp.Dfp dfp75 = dfp69.getZero();
    org.apache.commons.math.dfp.Dfp dfp77 = dfp75.newInstance((-1));
    int i78 = dfp77.log10();
    org.apache.commons.math.dfp.Dfp dfp79 = dfpField66.newDfp(dfp77);
    org.apache.commons.math.dfp.Dfp dfp80 = dfp38.dotrap(2, "hi!", dfp56, dfp79);
    org.apache.commons.math.dfp.Dfp dfp81 = dfp33.subtract(dfp79);
    org.apache.commons.math.dfp.Dfp dfp82 = dfp81.newInstance();
    int i83 = dfp82.log10K();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i78 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i83 == (-1));

  }

  @Test
  public void test247() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test247"); }


    double d1 = org.apache.commons.math.util.FastMath.atan(0.35788835751511267d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.34368495198981963d);

  }

  @Test
  public void test248() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test248"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2(0.0d, 35.894644716534856d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test249() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test249"); }


    double d1 = org.apache.commons.math.util.FastMath.exp(0.054831135561611156d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.056362217600847d);

  }

  @Test
  public void test250() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test250"); }


    org.apache.commons.math.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math.random.MersenneTwister(8);
    int[] i_array5 = new int[] { 0, 0, 1 };
    mersenneTwister1.setSeed(i_array5);
    byte[] byte_array7 = null;
    // The following exception was thrown during execution in test generation
    try {
      mersenneTwister1.nextBytes(byte_array7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array5);

  }

  @Test
  public void test251() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test251"); }


    double d1 = org.apache.commons.math.util.FastMath.asinh(7.610125138662287d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.7269158551465864d);

  }

  @Test
  public void test252() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test252"); }


    org.apache.commons.math.dfp.DfpField dfpField1 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp2 = dfpField1.getPi();
    org.apache.commons.math.dfp.DfpField dfpField4 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp5 = dfpField4.getPi();
    double[] d_array6 = dfp5.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp7 = dfp2.subtract(dfp5);
    org.apache.commons.math.dfp.Dfp dfp8 = dfp2.getZero();
    org.apache.commons.math.dfp.Dfp dfp10 = dfp8.newInstance((-1));
    int i11 = dfp10.log10();
    org.apache.commons.math.dfp.Dfp dfp12 = dfp10.getZero();
    org.apache.commons.math.dfp.Dfp dfp13 = dfp10.getZero();
    org.apache.commons.math.dfp.Dfp dfp15 = dfp10.multiply(100);
    java.lang.Object obj16 = new java.lang.Object();
    boolean b17 = dfp15.equals(obj16);
    int i18 = dfp15.log10K();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);

  }

  @Test
  public void test253() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test253"); }


    double d1 = org.apache.commons.math.util.FastMath.log(0.35904694553017746d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.024302131549651d));

  }

  @Test
  public void test254() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test254"); }


    int i2 = org.apache.commons.math.util.FastMath.min(0, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test255() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test255"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)100.0f, (java.lang.Number)(byte)0, false);
    java.lang.Number number5 = numberIsTooSmallException4.getMin();
    java.lang.Number number6 = numberIsTooSmallException4.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + (byte)0+ "'", number5.equals((byte)0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + 100.0f+ "'", number6.equals(100.0f));

  }

  @Test
  public void test256() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test256"); }


    double d1 = org.apache.commons.math.util.FastMath.floor(3.141592653589793d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.0d);

  }

  @Test
  public void test257() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test257"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh(1.073040749038573d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test258() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test258"); }


    long long1 = org.apache.commons.math.util.FastMath.round(0.41120333350817323d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test259() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test259"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt(0.9060006182463498d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9676303864038975d);

  }

  @Test
  public void test260() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test260"); }


    int i1 = org.apache.commons.math.util.FastMath.abs((-4));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 4);

  }

  @Test
  public void test261() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test261"); }


    int i2 = org.apache.commons.math.util.FastMath.min(32760, 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 3);

  }

  @Test
  public void test262() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test262"); }


    double d1 = org.apache.commons.math.util.FastMath.tan(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test263() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test263"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh(2.718281828459045d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test264() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test264"); }


    int i1 = org.apache.commons.math.util.FastMath.abs(16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 16);

  }

  @Test
  public void test265() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test265"); }


    double d1 = org.apache.commons.math.util.FastMath.cos(1.2626272556789118d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.3033144710533528d);

  }

  @Test
  public void test266() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test266"); }


    double d2 = org.apache.commons.math.util.FastMath.min(0.6710325128195819d, 3.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.6710325128195819d);

  }

  @Test
  public void test267() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test267"); }


    double d1 = org.apache.commons.math.util.FastMath.nextUp(0.9429898608873863d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9429898608873865d);

  }

  @Test
  public void test268() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test268"); }


    org.apache.commons.math.dfp.DfpField dfpField1 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp2 = dfpField1.getPi();
    org.apache.commons.math.dfp.DfpField dfpField4 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp5 = dfpField4.getPi();
    double[] d_array6 = dfp5.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp7 = dfp2.subtract(dfp5);
    org.apache.commons.math.dfp.DfpField dfpField11 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp12 = dfpField11.getPi();
    org.apache.commons.math.dfp.DfpField dfpField14 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp15 = dfpField14.getPi();
    double[] d_array16 = dfp15.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp17 = dfp12.subtract(dfp15);
    org.apache.commons.math.dfp.DfpField dfpField19 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp20 = dfpField19.getPi();
    org.apache.commons.math.dfp.Dfp dfp21 = dfp17.nextAfter(dfp20);
    org.apache.commons.math.dfp.DfpField dfpField23 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp24 = dfpField23.getPi();
    org.apache.commons.math.dfp.DfpField dfpField26 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp27 = dfpField26.getPi();
    double[] d_array28 = dfp27.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp29 = dfp24.subtract(dfp27);
    org.apache.commons.math.dfp.DfpField dfpField30 = dfp27.getField();
    org.apache.commons.math.dfp.DfpField dfpField32 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp33 = dfpField32.getPi();
    org.apache.commons.math.dfp.DfpField dfpField35 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp36 = dfpField35.getPi();
    double[] d_array37 = dfp36.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp38 = dfp33.subtract(dfp36);
    org.apache.commons.math.dfp.Dfp dfp39 = dfp33.getZero();
    org.apache.commons.math.dfp.Dfp dfp41 = dfp39.newInstance((-1));
    int i42 = dfp41.log10();
    org.apache.commons.math.dfp.Dfp dfp43 = dfpField30.newDfp(dfp41);
    org.apache.commons.math.dfp.Dfp dfp44 = dfp2.dotrap(2, "hi!", dfp20, dfp43);
    org.apache.commons.math.dfp.Dfp dfp45 = dfp2.ceil();
    java.lang.String str46 = dfp2.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str46 + "' != '" + "3.14159265359"+ "'", str46.equals("3.14159265359"));

  }

  @Test
  public void test269() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test269"); }


    org.apache.commons.math.dfp.DfpField dfpField1 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp2 = dfpField1.getPi();
    int i3 = dfpField1.getRadixDigits();
    org.apache.commons.math.dfp.Dfp dfp4 = dfpField1.getLn2();
    org.apache.commons.math.dfp.Dfp dfp5 = dfp4.negate();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);

  }

  @Test
  public void test270() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test270"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2(0.0d, 0.9060006182463498d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test271() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test271"); }


    int i1 = org.apache.commons.math.util.FastMath.abs(32760);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 32760);

  }

  @Test
  public void test272() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test272"); }


    double d1 = org.apache.commons.math.util.FastMath.floor(1.5799282544403457d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test273() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test273"); }


    int i1 = org.apache.commons.math.util.FastMath.abs(4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 4);

  }

  @Test
  public void test274() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test274"); }


    org.apache.commons.math.dfp.DfpField dfpField1 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp2 = dfpField1.getPi();
    double[] d_array3 = dfp2.toSplitDouble();
    org.apache.commons.math.dfp.DfpField dfpField5 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp6 = dfpField5.getPi();
    org.apache.commons.math.dfp.DfpField dfpField8 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp9 = dfpField8.getPi();
    double[] d_array10 = dfp9.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp11 = dfp6.subtract(dfp9);
    org.apache.commons.math.dfp.DfpField dfpField13 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp14 = dfpField13.getPi();
    org.apache.commons.math.dfp.Dfp dfp15 = dfp11.nextAfter(dfp14);
    org.apache.commons.math.dfp.Dfp dfp16 = dfp2.add(dfp15);
    org.apache.commons.math.dfp.DfpField dfpField20 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp21 = dfpField20.getPi();
    org.apache.commons.math.dfp.Dfp dfp22 = dfpField20.newDfp();
    org.apache.commons.math.dfp.DfpField dfpField24 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp25 = dfpField24.getPi();
    org.apache.commons.math.dfp.DfpField dfpField27 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp28 = dfpField27.getPi();
    double[] d_array29 = dfp28.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp30 = dfp25.subtract(dfp28);
    org.apache.commons.math.dfp.Dfp dfp31 = dfp25.getZero();
    org.apache.commons.math.dfp.Dfp dfp33 = dfp31.newInstance((-1));
    int i34 = dfp33.log10();
    org.apache.commons.math.dfp.Dfp dfp35 = dfp2.dotrap(4, "hi!", dfp22, dfp33);
    boolean b36 = dfp22.isInfinite();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.dfp.Dfp dfp38 = dfp22.newInstance(6623247006651354006L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == false);

  }

  @Test
  public void test275() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test275"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh((-0.042871505964592486d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.042897800424799334d));

  }

  @Test
  public void test276() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test276"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)100.0f, (java.lang.Number)(byte)0, false);
    org.apache.commons.math.exception.util.Localizable localizable5 = numberIsTooSmallException4.getGeneralPattern();
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException7 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable5, (java.lang.Number)0.6710325128195819d);
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException9 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable5, (java.lang.Number)(-0.929036191326411d));
    java.lang.Number number10 = notStrictlyPositiveException9.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number10 + "' != '" + (-0.929036191326411d)+ "'", number10.equals((-0.929036191326411d)));

  }

  @Test
  public void test277() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test277"); }


    org.apache.commons.math.dfp.DfpField dfpField1 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp[] dfp_array2 = dfpField1.getPiSplit();
    org.apache.commons.math.dfp.DfpField.RoundingMode roundingMode3 = dfpField1.getRoundingMode();
    org.apache.commons.math.dfp.DfpField.RoundingMode roundingMode4 = dfpField1.getRoundingMode();
    org.apache.commons.math.dfp.Dfp dfp5 = dfpField1.getPi();
    org.apache.commons.math.dfp.Dfp dfp6 = dfp5.getTwo();
    org.apache.commons.math.dfp.DfpField dfpField8 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp9 = dfpField8.getPi();
    org.apache.commons.math.dfp.DfpField dfpField11 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp12 = dfpField11.getPi();
    double[] d_array13 = dfp12.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp14 = dfp9.subtract(dfp12);
    boolean b15 = dfp14.isInfinite();
    org.apache.commons.math.dfp.DfpField dfpField17 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp18 = dfpField17.getPi();
    org.apache.commons.math.dfp.DfpField dfpField20 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp21 = dfpField20.getPi();
    double[] d_array22 = dfp21.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp23 = dfp18.subtract(dfp21);
    org.apache.commons.math.dfp.DfpField dfpField25 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp26 = dfpField25.getPi();
    org.apache.commons.math.dfp.Dfp dfp27 = dfp23.nextAfter(dfp26);
    boolean b28 = dfp14.lessThan(dfp26);
    org.apache.commons.math.dfp.Dfp dfp30 = dfp26.newInstance((byte)100);
    int i31 = dfp26.log10K();
    org.apache.commons.math.dfp.Dfp dfp32 = dfp26.rint();
    org.apache.commons.math.dfp.DfpField dfpField34 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp35 = dfpField34.getPi();
    org.apache.commons.math.dfp.DfpField dfpField37 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp38 = dfpField37.getPi();
    double[] d_array39 = dfp38.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp40 = dfp35.subtract(dfp38);
    org.apache.commons.math.dfp.DfpField dfpField41 = dfp38.getField();
    org.apache.commons.math.dfp.DfpField dfpField43 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp44 = dfpField43.getPi();
    org.apache.commons.math.dfp.DfpField dfpField46 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp47 = dfpField46.getPi();
    double[] d_array48 = dfp47.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp49 = dfp44.subtract(dfp47);
    org.apache.commons.math.dfp.Dfp dfp50 = dfp44.getZero();
    org.apache.commons.math.dfp.Dfp dfp52 = dfp50.newInstance((-1));
    int i53 = dfp52.log10();
    org.apache.commons.math.dfp.Dfp dfp54 = dfpField41.newDfp(dfp52);
    org.apache.commons.math.dfp.Dfp dfp55 = dfpField41.getZero();
    org.apache.commons.math.dfp.Dfp[] dfp_array56 = dfpField41.getLn2Split();
    org.apache.commons.math.dfp.Dfp dfp57 = dfpField41.getLn10();
    org.apache.commons.math.dfp.Dfp dfp58 = dfpField41.getSqr2();
    org.apache.commons.math.dfp.DfpField dfpField62 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp63 = dfpField62.getPi();
    org.apache.commons.math.dfp.Dfp dfp64 = dfpField62.newDfp();
    org.apache.commons.math.dfp.Dfp dfp66 = dfpField62.newDfp((byte)1);
    org.apache.commons.math.dfp.Dfp dfp68 = dfp66.newInstance(1);
    org.apache.commons.math.dfp.DfpField dfpField70 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp71 = dfpField70.getPi();
    org.apache.commons.math.dfp.Dfp dfp72 = dfp71.ceil();
    org.apache.commons.math.dfp.Dfp dfp73 = dfp58.dotrap(0, "NaN", dfp66, dfp71);
    org.apache.commons.math.dfp.Dfp dfp74 = dfp26.subtract(dfp73);
    boolean b75 = dfp5.unequal(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i53 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b75 == false);

  }

  @Test
  public void test278() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test278"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt(0.35788835751511267d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5982377098738533d);

  }

  @Test
  public void test279() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test279"); }


    double d1 = org.apache.commons.math.util.FastMath.nextUp((-0.042897800424799334d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.04289780042479933d));

  }

  @Test
  public void test280() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test280"); }


    double d1 = org.apache.commons.math.util.FastMath.signum((-0.00782035989277119d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test281() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test281"); }


    double d1 = org.apache.commons.math.util.FastMath.acosh(3.14159265359d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.8115262724609225d);

  }

  @Test
  public void test282() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test282"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians((-44.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.767944870877505d));

  }

  @Test
  public void test283() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test283"); }


    double d1 = org.apache.commons.math.util.FastMath.tan(2.6881171418161212E43d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7870194334784815d);

  }

  @Test
  public void test284() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test284"); }


    org.apache.commons.math.random.MersenneTwister mersenneTwister0 = new org.apache.commons.math.random.MersenneTwister();
    mersenneTwister0.setSeed(3);
    byte[] byte_array3 = null;
    // The following exception was thrown during execution in test generation
    try {
      mersenneTwister0.nextBytes(byte_array3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test285() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test285"); }


    float f1 = org.apache.commons.math.util.FastMath.abs(0.29876113f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 0.29876113f);

  }

  @Test
  public void test286() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test286"); }


    int i1 = org.apache.commons.math.util.FastMath.round(0.26696396f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test287() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test287"); }


    double d1 = org.apache.commons.math.util.FastMath.floor((-0.35788835751511267d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test288() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test288"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians((-0.013292325585375278d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-2.3199484671188123E-4d));

  }

  @Test
  public void test289() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test289"); }


    double d2 = org.apache.commons.math.util.FastMath.max(3.1626694988675665d, 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 3.1626694988675665d);

  }

  @Test
  public void test290() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test290"); }


    double d1 = org.apache.commons.math.util.FastMath.cos(0.6720041156677619d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7825755648665295d);

  }

  @Test
  public void test291() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test291"); }


    double d1 = org.apache.commons.math.util.FastMath.floor(1.0581145408384995d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test292() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test292"); }


    double d2 = org.apache.commons.math.util.FastMath.max((-0.0d), Double.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test293() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test293"); }


    int i1 = org.apache.commons.math.util.FastMath.abs((-32767));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 32767);

  }

  @Test
  public void test294() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test294"); }


    double d1 = org.apache.commons.math.util.FastMath.toDegrees(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test295() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test295"); }


    org.apache.commons.math.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math.random.MersenneTwister(1L);
    mersenneTwister1.setSeed(6937403559488242254L);
    double d4 = mersenneTwister1.nextDouble();
    mersenneTwister1.setSeed(32760);
    mersenneTwister1.setSeed(10000);
    double d9 = mersenneTwister1.nextDouble();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.35904694553017746d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.545470153742059d);

  }

  @Test
  public void test296() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test296"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians(0.35788835751511267d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.006246330193193308d);

  }

  @Test
  public void test297() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test297"); }


    long long2 = org.apache.commons.math.util.FastMath.min((-1L), 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-1L));

  }

  @Test
  public void test298() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test298"); }


    org.apache.commons.math.dfp.DfpField dfpField1 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp[] dfp_array2 = dfpField1.getPiSplit();
    org.apache.commons.math.dfp.Dfp dfp3 = dfpField1.getSqr2();
    org.apache.commons.math.dfp.Dfp dfp5 = dfp3.newInstance("-1.");
    org.apache.commons.math.dfp.Dfp dfp7 = dfp5.divide(0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);

  }

  @Test
  public void test299() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test299"); }


    int i2 = org.apache.commons.math.util.FastMath.min(32768, 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 3);

  }

  @Test
  public void test300() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test300"); }


    org.apache.commons.math.random.MersenneTwister mersenneTwister0 = new org.apache.commons.math.random.MersenneTwister();
    mersenneTwister0.setSeed(3);
    // The following exception was thrown during execution in test generation
    try {
      int i4 = mersenneTwister0.nextInt((-32767));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test301() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test301"); }


    org.apache.commons.math.dfp.DfpField dfpField1 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp2 = dfpField1.getPi();
    double[] d_array3 = dfp2.toSplitDouble();
    double d4 = dfp2.toDouble();
    org.apache.commons.math.dfp.Dfp dfp6 = dfp2.newInstance(4.9E-324d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 3.14159265359d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);

  }

  @Test
  public void test302() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test302"); }


    double d1 = org.apache.commons.math.util.FastMath.cosh((-90.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 6.102016471589204E38d);

  }

  @Test
  public void test303() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test303"); }


    org.apache.commons.math.dfp.DfpField dfpField1 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp2 = dfpField1.getPi();
    org.apache.commons.math.dfp.DfpField dfpField4 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp5 = dfpField4.getPi();
    double[] d_array6 = dfp5.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp7 = dfp2.subtract(dfp5);
    org.apache.commons.math.dfp.DfpField dfpField8 = dfp5.getField();
    org.apache.commons.math.dfp.DfpField dfpField10 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp11 = dfpField10.getPi();
    org.apache.commons.math.dfp.DfpField dfpField13 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp14 = dfpField13.getPi();
    double[] d_array15 = dfp14.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp16 = dfp11.subtract(dfp14);
    org.apache.commons.math.dfp.Dfp dfp17 = dfp11.getZero();
    org.apache.commons.math.dfp.Dfp dfp19 = dfp17.newInstance((-1));
    int i20 = dfp19.log10();
    org.apache.commons.math.dfp.Dfp dfp21 = dfpField8.newDfp(dfp19);
    org.apache.commons.math.dfp.Dfp dfp22 = dfpField8.getZero();
    org.apache.commons.math.dfp.Dfp[] dfp_array23 = dfpField8.getLn2Split();
    org.apache.commons.math.dfp.Dfp dfp24 = dfpField8.getLn10();
    org.apache.commons.math.dfp.Dfp dfp25 = dfpField8.getSqr2();
    org.apache.commons.math.dfp.DfpField dfpField29 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp30 = dfpField29.getPi();
    org.apache.commons.math.dfp.Dfp dfp31 = dfpField29.newDfp();
    org.apache.commons.math.dfp.Dfp dfp33 = dfpField29.newDfp((byte)1);
    org.apache.commons.math.dfp.Dfp dfp35 = dfp33.newInstance(1);
    org.apache.commons.math.dfp.DfpField dfpField37 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp38 = dfpField37.getPi();
    org.apache.commons.math.dfp.Dfp dfp39 = dfp38.ceil();
    org.apache.commons.math.dfp.Dfp dfp40 = dfp25.dotrap(0, "NaN", dfp33, dfp38);
    boolean b42 = dfp38.equals((java.lang.Object)2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);

  }

  @Test
  public void test304() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test304"); }


    org.apache.commons.math.dfp.DfpField dfpField1 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp[] dfp_array2 = dfpField1.getPiSplit();
    org.apache.commons.math.dfp.DfpField.RoundingMode roundingMode3 = dfpField1.getRoundingMode();
    org.apache.commons.math.dfp.DfpField.RoundingMode roundingMode4 = dfpField1.getRoundingMode();
    org.apache.commons.math.dfp.Dfp dfp5 = dfpField1.getPi();
    org.apache.commons.math.dfp.Dfp dfp6 = dfp5.getTwo();
    boolean b7 = dfp5.isInfinite();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);

  }

  @Test
  public void test305() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test305"); }


    double d1 = org.apache.commons.math.util.FastMath.log10(1.2334031175112168d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.09110504180084833d);

  }

  @Test
  public void test306() {}
// Defects4J: flaky method
//   @Test
//   public void test306() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test306"); }
// 
// 
//     org.apache.commons.math.random.MersenneTwister mersenneTwister0 = new org.apache.commons.math.random.MersenneTwister();
//     boolean b1 = mersenneTwister0.nextBoolean();
//     double d2 = mersenneTwister0.nextDouble();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b1 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d2 == 0.10049430686920435d);
// 
//   }

  @Test
  public void test307() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test307"); }


    org.apache.commons.math.dfp.DfpField dfpField1 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp2 = dfpField1.getPi();
    double[] d_array3 = dfp2.toSplitDouble();
    double d4 = dfp2.toDouble();
    org.apache.commons.math.dfp.Dfp dfp5 = null;
    org.apache.commons.math.dfp.DfpField dfpField7 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp8 = dfpField7.getPi();
    double[] d_array9 = dfp8.toSplitDouble();
    org.apache.commons.math.dfp.DfpField dfpField11 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp12 = dfpField11.getPi();
    org.apache.commons.math.dfp.DfpField dfpField14 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp15 = dfpField14.getPi();
    double[] d_array16 = dfp15.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp17 = dfp12.subtract(dfp15);
    org.apache.commons.math.dfp.DfpField dfpField19 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp20 = dfpField19.getPi();
    org.apache.commons.math.dfp.Dfp dfp21 = dfp17.nextAfter(dfp20);
    org.apache.commons.math.dfp.Dfp dfp22 = dfp8.add(dfp21);
    org.apache.commons.math.dfp.Dfp dfp23 = new org.apache.commons.math.dfp.Dfp(dfp8);
    org.apache.commons.math.dfp.Dfp dfp24 = dfp23.rint();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.dfp.Dfp dfp25 = org.apache.commons.math.dfp.DfpField.computeLn(dfp2, dfp5, dfp23);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 3.14159265359d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);

  }

  @Test
  public void test308() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test308"); }


    double d1 = org.apache.commons.math.util.FastMath.sin(1.1514164490972616d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9133416260821339d);

  }

  @Test
  public void test309() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test309"); }


    double d1 = org.apache.commons.math.util.FastMath.cosh(0.45110657654767305d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1034857805236309d);

  }

  @Test
  public void test310() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test310"); }


    org.apache.commons.math.dfp.DfpField dfpField1 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp2 = dfpField1.getPi();
    org.apache.commons.math.dfp.DfpField dfpField4 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp5 = dfpField4.getPi();
    double[] d_array6 = dfp5.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp7 = dfp2.subtract(dfp5);
    org.apache.commons.math.dfp.DfpField dfpField8 = dfp5.getField();
    org.apache.commons.math.dfp.DfpField dfpField10 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp11 = dfpField10.getPi();
    org.apache.commons.math.dfp.DfpField dfpField13 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp14 = dfpField13.getPi();
    double[] d_array15 = dfp14.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp16 = dfp11.subtract(dfp14);
    org.apache.commons.math.dfp.Dfp dfp17 = dfp11.getZero();
    org.apache.commons.math.dfp.Dfp dfp19 = dfp17.newInstance((-1));
    int i20 = dfp19.log10();
    org.apache.commons.math.dfp.Dfp dfp21 = dfpField8.newDfp(dfp19);
    org.apache.commons.math.dfp.Dfp dfp22 = dfpField8.getZero();
    org.apache.commons.math.dfp.Dfp[] dfp_array23 = dfpField8.getLn2Split();
    org.apache.commons.math.dfp.Dfp dfp24 = dfpField8.getLn10();
    org.apache.commons.math.dfp.Dfp dfp25 = dfpField8.getSqr2();
    org.apache.commons.math.dfp.DfpField dfpField26 = dfp25.getField();
    org.apache.commons.math.dfp.DfpField dfpField28 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp29 = dfpField28.getPi();
    org.apache.commons.math.dfp.DfpField dfpField31 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp32 = dfpField31.getPi();
    double[] d_array33 = dfp32.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp34 = dfp29.subtract(dfp32);
    org.apache.commons.math.dfp.Dfp dfp35 = dfp29.getZero();
    org.apache.commons.math.dfp.Dfp dfp37 = dfp35.newInstance((-1));
    int i38 = dfp37.log10();
    org.apache.commons.math.dfp.DfpField dfpField40 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp41 = dfpField40.getPi();
    double[] d_array42 = dfp41.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp44 = dfp41.newInstance(72.34321284858714d);
    boolean b45 = dfp37.lessThan(dfp41);
    org.apache.commons.math.dfp.Dfp dfp46 = dfp41.ceil();
    org.apache.commons.math.dfp.Dfp dfp47 = dfpField26.newDfp(dfp41);
    int i48 = dfp41.getRadixDigits();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i38 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i48 == 4);

  }

  @Test
  public void test311() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test311"); }


    int i2 = org.apache.commons.math.util.FastMath.min(10, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test312() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test312"); }


    double d1 = org.apache.commons.math.util.FastMath.asin(0.10049430686920435d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.10066423068104591d);

  }

  @Test
  public void test313() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test313"); }


    long long2 = org.apache.commons.math.util.FastMath.max(0L, 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 10L);

  }

  @Test
  public void test314() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test314"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil(0.62647973413712d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test315() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test315"); }


    long long2 = org.apache.commons.math.util.FastMath.min(6937403559488242254L, 6937403559488242254L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 6937403559488242254L);

  }

  @Test
  public void test316() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test316"); }


    double d1 = org.apache.commons.math.util.FastMath.cos(1.5799282544403457d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.00913180072420387d));

  }

  @Test
  public void test317() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test317"); }


    double d1 = org.apache.commons.math.util.FastMath.log(0.7356005117988234d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.3070680904952482d));

  }

  @Test
  public void test318() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test318"); }


    double d1 = org.apache.commons.math.util.FastMath.log(0.6388576520733458d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.44807361612917007d));

  }

  @Test
  public void test319() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test319"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians((-0.3070680904952482d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.005359349206953986d));

  }

  @Test
  public void test320() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test320"); }


    org.apache.commons.math.dfp.DfpField dfpField1 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp2 = dfpField1.getPi();
    org.apache.commons.math.dfp.DfpField dfpField4 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp5 = dfpField4.getPi();
    double[] d_array6 = dfp5.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp7 = dfp2.subtract(dfp5);
    org.apache.commons.math.dfp.DfpField dfpField9 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp10 = dfpField9.getPi();
    org.apache.commons.math.dfp.Dfp dfp11 = dfp7.nextAfter(dfp10);
    org.apache.commons.math.dfp.Dfp dfp12 = dfp10.negate();
    org.apache.commons.math.dfp.DfpField dfpField14 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp15 = dfpField14.getPi();
    org.apache.commons.math.dfp.DfpField dfpField17 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp18 = dfpField17.getPi();
    double[] d_array19 = dfp18.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp20 = dfp15.subtract(dfp18);
    org.apache.commons.math.dfp.DfpField dfpField21 = dfp18.getField();
    dfpField21.clearIEEEFlags();
    org.apache.commons.math.dfp.Dfp dfp23 = dfpField21.getSqr3Reciprocal();
    org.apache.commons.math.dfp.Dfp dfp25 = dfpField21.newDfp((-90.0d));
    org.apache.commons.math.dfp.Dfp dfp26 = dfp25.getOne();
    org.apache.commons.math.dfp.Dfp dfp27 = org.apache.commons.math.dfp.Dfp.copysign(dfp12, dfp26);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.dfp.Dfp dfp29 = dfp12.newInstance(6937403559488242254L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);

  }

  @Test
  public void test321() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test321"); }


    org.apache.commons.math.dfp.DfpField dfpField1 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp2 = dfpField1.getPi();
    org.apache.commons.math.dfp.DfpField dfpField4 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp5 = dfpField4.getPi();
    double[] d_array6 = dfp5.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp7 = dfp2.subtract(dfp5);
    org.apache.commons.math.dfp.DfpField dfpField8 = dfp5.getField();
    dfpField8.clearIEEEFlags();
    org.apache.commons.math.dfp.Dfp dfp11 = dfpField8.newDfp((byte)10);
    org.apache.commons.math.dfp.DfpField dfpField13 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp14 = dfpField13.getPi();
    double[] d_array15 = dfp14.toSplitDouble();
    org.apache.commons.math.dfp.DfpField dfpField17 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp18 = dfpField17.getPi();
    org.apache.commons.math.dfp.DfpField dfpField20 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp21 = dfpField20.getPi();
    double[] d_array22 = dfp21.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp23 = dfp18.subtract(dfp21);
    org.apache.commons.math.dfp.DfpField dfpField25 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp26 = dfpField25.getPi();
    org.apache.commons.math.dfp.Dfp dfp27 = dfp23.nextAfter(dfp26);
    org.apache.commons.math.dfp.Dfp dfp28 = dfp14.add(dfp27);
    org.apache.commons.math.dfp.Dfp dfp29 = dfp14.ceil();
    org.apache.commons.math.dfp.Dfp dfp30 = dfpField8.newDfp(dfp14);
    org.apache.commons.math.dfp.Dfp dfp31 = dfpField8.getTwo();
    org.apache.commons.math.dfp.Dfp dfp32 = new org.apache.commons.math.dfp.Dfp(dfp31);
    org.apache.commons.math.dfp.Dfp dfp33 = new org.apache.commons.math.dfp.Dfp(dfp32);
    org.apache.commons.math.dfp.Dfp dfp34 = dfp32.rint();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);

  }

  @Test
  public void test322() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test322"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil(0.6710325128195819d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test323() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test323"); }


    long long1 = org.apache.commons.math.util.FastMath.round(0.545470153742059d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test324() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test324"); }


    double d1 = org.apache.commons.math.util.FastMath.sin((-0.767944870877505d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.6946583704589973d));

  }

  @Test
  public void test325() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test325"); }


    org.apache.commons.math.dfp.DfpField dfpField1 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp2 = dfpField1.getPi();
    org.apache.commons.math.dfp.DfpField dfpField4 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp5 = dfpField4.getPi();
    double[] d_array6 = dfp5.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp7 = dfp2.subtract(dfp5);
    org.apache.commons.math.dfp.Dfp dfp8 = dfp2.getZero();
    org.apache.commons.math.dfp.Dfp dfp10 = dfp8.newInstance((-1));
    org.apache.commons.math.dfp.DfpField dfpField12 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp13 = dfpField12.getPi();
    double[] d_array14 = dfp13.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp15 = dfp8.remainder(dfp13);
    org.apache.commons.math.dfp.Dfp dfp17 = dfp15.newInstance((byte)0);
    org.apache.commons.math.dfp.Dfp dfp18 = dfp15.floor();
    double d19 = dfp18.toDouble();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == Double.NEGATIVE_INFINITY);

  }

  @Test
  public void test326() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test326"); }


    long long2 = org.apache.commons.math.util.FastMath.max(1L, (-1L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);

  }

  @Test
  public void test327() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test327"); }


    double d1 = org.apache.commons.math.util.FastMath.acosh(6.102016471589204E38d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 90.0d);

  }

  @Test
  public void test328() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test328"); }


    double d1 = org.apache.commons.math.util.FastMath.acos((-0.6946583704589973d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.3387411976724017d);

  }

  @Test
  public void test329() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test329"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh((-0.44807361612917007d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.4203142292903684d));

  }

  @Test
  public void test330() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test330"); }


    long long2 = org.apache.commons.math.util.FastMath.min(1038706191027964141L, 6623247006651354006L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1038706191027964141L);

  }

  @Test
  public void test331() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test331"); }


    long long1 = org.apache.commons.math.util.FastMath.round(0.3033144710533528d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test332() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test332"); }


    double d1 = org.apache.commons.math.util.FastMath.cosh(0.9060006182463498d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.4392719583579687d);

  }

  @Test
  public void test333() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test333"); }


    org.apache.commons.math.dfp.DfpField dfpField1 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp[] dfp_array2 = dfpField1.getPiSplit();
    org.apache.commons.math.dfp.Dfp dfp3 = dfpField1.getSqr2();
    org.apache.commons.math.dfp.Dfp dfp4 = dfpField1.getE();
    org.apache.commons.math.dfp.Dfp dfp5 = dfpField1.getPi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);

  }

  @Test
  public void test334() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test334"); }


    org.apache.commons.math.dfp.DfpField dfpField1 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp2 = dfpField1.getPi();
    org.apache.commons.math.dfp.DfpField dfpField4 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp5 = dfpField4.getPi();
    double[] d_array6 = dfp5.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp7 = dfp2.subtract(dfp5);
    org.apache.commons.math.dfp.DfpField dfpField8 = dfp5.getField();
    org.apache.commons.math.dfp.DfpField dfpField10 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp11 = dfpField10.getPi();
    org.apache.commons.math.dfp.DfpField dfpField13 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp14 = dfpField13.getPi();
    double[] d_array15 = dfp14.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp16 = dfp11.subtract(dfp14);
    org.apache.commons.math.dfp.Dfp dfp17 = dfp11.getZero();
    org.apache.commons.math.dfp.Dfp dfp19 = dfp17.newInstance((-1));
    int i20 = dfp19.log10();
    org.apache.commons.math.dfp.Dfp dfp21 = dfpField8.newDfp(dfp19);
    org.apache.commons.math.dfp.Dfp dfp22 = dfpField8.getZero();
    org.apache.commons.math.dfp.Dfp[] dfp_array23 = dfpField8.getLn2Split();
    org.apache.commons.math.dfp.Dfp dfp24 = dfpField8.getLn10();
    org.apache.commons.math.dfp.Dfp dfp26 = dfpField8.newDfp(4);
    org.apache.commons.math.dfp.DfpField dfpField28 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp29 = dfpField28.getPi();
    org.apache.commons.math.dfp.DfpField dfpField31 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp32 = dfpField31.getPi();
    double[] d_array33 = dfp32.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp34 = dfp29.subtract(dfp32);
    boolean b35 = dfp34.isInfinite();
    org.apache.commons.math.dfp.DfpField dfpField37 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp38 = dfpField37.getPi();
    org.apache.commons.math.dfp.DfpField dfpField40 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp41 = dfpField40.getPi();
    double[] d_array42 = dfp41.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp43 = dfp38.subtract(dfp41);
    org.apache.commons.math.dfp.DfpField dfpField45 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp46 = dfpField45.getPi();
    org.apache.commons.math.dfp.Dfp dfp47 = dfp43.nextAfter(dfp46);
    boolean b48 = dfp34.lessThan(dfp46);
    org.apache.commons.math.dfp.Dfp dfp50 = dfp46.newInstance((byte)100);
    org.apache.commons.math.dfp.DfpField dfpField52 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp53 = dfpField52.getPi();
    org.apache.commons.math.dfp.DfpField dfpField55 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp56 = dfpField55.getPi();
    double[] d_array57 = dfp56.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp58 = dfp53.subtract(dfp56);
    org.apache.commons.math.dfp.Dfp dfp59 = dfp53.getZero();
    org.apache.commons.math.dfp.Dfp dfp61 = dfp59.newInstance((-1));
    int i62 = dfp61.log10();
    org.apache.commons.math.dfp.Dfp dfp63 = dfp61.getZero();
    org.apache.commons.math.dfp.Dfp dfp64 = dfp61.getZero();
    org.apache.commons.math.dfp.DfpField dfpField66 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp[] dfp_array67 = dfpField66.getPiSplit();
    org.apache.commons.math.dfp.Dfp dfp68 = dfpField66.getSqr3Reciprocal();
    boolean b69 = dfp64.equals((java.lang.Object)dfp68);
    org.apache.commons.math.dfp.Dfp dfp70 = org.apache.commons.math.dfp.Dfp.copysign(dfp50, dfp64);
    org.apache.commons.math.dfp.Dfp dfp71 = dfpField8.newDfp(dfp50);
    org.apache.commons.math.dfp.Dfp dfp73 = dfp50.multiply(10);
    org.apache.commons.math.dfp.Dfp dfp74 = dfp50.negate();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b48 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i62 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b69 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp74);

  }

  @Test
  public void test335() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test335"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil(72.34321284858714d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 73.0d);

  }

  @Test
  public void test336() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test336"); }


    double d1 = org.apache.commons.math.util.FastMath.sinh(0.9442157056960554d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.090905898573277d);

  }

  @Test
  public void test337() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test337"); }


    double d1 = org.apache.commons.math.util.FastMath.exp(1.8593977923911547d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 6.419869512831309d);

  }

  @Test
  public void test338() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test338"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)100.0f, (java.lang.Number)(byte)0, false);
    org.apache.commons.math.exception.util.Localizable localizable5 = numberIsTooSmallException4.getGeneralPattern();
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException7 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable5, (java.lang.Number)0.6710325128195819d);
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException12 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable8, (java.lang.Number)100.0f, (java.lang.Number)(byte)0, false);
    org.apache.commons.math.exception.util.Localizable localizable13 = numberIsTooSmallException12.getGeneralPattern();
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException15 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable13, (java.lang.Number)0.6710325128195819d);
    org.apache.commons.math.exception.util.Localizable localizable16 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException20 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable16, (java.lang.Number)100.0f, (java.lang.Number)(byte)0, false);
    org.apache.commons.math.exception.util.Localizable localizable21 = numberIsTooSmallException20.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable22 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException26 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable22, (java.lang.Number)100.0f, (java.lang.Number)(byte)0, false);
    org.apache.commons.math.exception.util.Localizable localizable27 = numberIsTooSmallException26.getGeneralPattern();
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException31 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable27, (java.lang.Number)1.8593977923911547d, (java.lang.Number)(short)10, false);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException35 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable27, (java.lang.Number)(-43.636130838093536d), (java.lang.Number)10.0d, false);
    org.apache.commons.math.exception.util.Localizable localizable36 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException40 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable36, (java.lang.Number)100.0f, (java.lang.Number)(byte)0, false);
    org.apache.commons.math.exception.util.Localizable localizable41 = numberIsTooSmallException40.getGeneralPattern();
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException45 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable41, (java.lang.Number)1.8593977923911547d, (java.lang.Number)(short)10, false);
    org.apache.commons.math.dfp.DfpField dfpField47 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp48 = dfpField47.getPi();
    org.apache.commons.math.dfp.DfpField dfpField50 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp51 = dfpField50.getPi();
    double[] d_array52 = dfp51.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp53 = dfp48.subtract(dfp51);
    org.apache.commons.math.dfp.DfpField dfpField54 = dfp51.getField();
    org.apache.commons.math.dfp.DfpField dfpField56 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp57 = dfpField56.getPi();
    org.apache.commons.math.dfp.DfpField dfpField59 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp60 = dfpField59.getPi();
    double[] d_array61 = dfp60.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp62 = dfp57.subtract(dfp60);
    org.apache.commons.math.dfp.Dfp dfp63 = dfp57.getZero();
    org.apache.commons.math.dfp.Dfp dfp65 = dfp63.newInstance((-1));
    int i66 = dfp65.log10();
    org.apache.commons.math.dfp.Dfp dfp67 = dfpField54.newDfp(dfp65);
    org.apache.commons.math.dfp.Dfp[] dfp_array68 = dfpField54.getESplit();
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException69 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable41, (java.lang.Object[])dfp_array68);
    org.apache.commons.math.exception.util.Localizable localizable70 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException74 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable70, (java.lang.Number)100.0f, (java.lang.Number)(byte)0, false);
    java.lang.Throwable[] throwable_array75 = numberIsTooSmallException74.getSuppressed();
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException76 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable27, localizable41, (java.lang.Object[])throwable_array75);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException77 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable13, localizable21, (java.lang.Object[])throwable_array75);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException78 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable5, (java.lang.Object[])throwable_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i66 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array75);

  }

  @Test
  public void test339() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test339"); }


    org.apache.commons.math.dfp.DfpField dfpField1 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp2 = dfpField1.getPi();
    org.apache.commons.math.dfp.DfpField dfpField4 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp5 = dfpField4.getPi();
    double[] d_array6 = dfp5.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp7 = dfp2.subtract(dfp5);
    org.apache.commons.math.dfp.Dfp dfp8 = dfp2.getZero();
    org.apache.commons.math.dfp.Dfp dfp10 = dfp8.newInstance((-1));
    org.apache.commons.math.dfp.Dfp dfp12 = dfp8.newInstance((byte)3);
    java.lang.String str13 = dfp8.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "0."+ "'", str13.equals("0."));

  }

  @Test
  public void test340() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test340"); }


    org.apache.commons.math.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math.random.MersenneTwister(6617769232261822284L);

  }

  @Test
  public void test341() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test341"); }


    int[] i_array3 = new int[] { 100, (-1), 100 };
    org.apache.commons.math.random.MersenneTwister mersenneTwister4 = new org.apache.commons.math.random.MersenneTwister(i_array3);
    double d5 = mersenneTwister4.nextGaussian();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0157073302421937d);

  }

  @Test
  public void test342() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test342"); }


    org.apache.commons.math.dfp.DfpField dfpField1 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp2 = dfpField1.getPi();
    org.apache.commons.math.dfp.DfpField dfpField4 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp5 = dfpField4.getPi();
    double[] d_array6 = dfp5.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp7 = dfp2.subtract(dfp5);
    org.apache.commons.math.dfp.Dfp dfp8 = dfp2.getZero();
    org.apache.commons.math.dfp.Dfp dfp10 = dfp8.newInstance((-1));
    org.apache.commons.math.dfp.DfpField dfpField12 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp13 = dfpField12.getPi();
    double[] d_array14 = dfp13.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp15 = dfp8.remainder(dfp13);
    org.apache.commons.math.dfp.Dfp dfp17 = dfp15.newInstance((byte)0);
    org.apache.commons.math.dfp.Dfp dfp19 = dfp17.newInstance((byte)0);
    org.apache.commons.math.dfp.DfpField dfpField21 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp[] dfp_array22 = dfpField21.getPiSplit();
    org.apache.commons.math.dfp.DfpField.RoundingMode roundingMode23 = dfpField21.getRoundingMode();
    org.apache.commons.math.dfp.Dfp dfp24 = dfpField21.getPi();
    org.apache.commons.math.dfp.Dfp dfp25 = dfp24.newInstance();
    org.apache.commons.math.dfp.Dfp dfp26 = dfp17.add(dfp24);
    org.apache.commons.math.dfp.Dfp dfp27 = dfp26.newInstance();
    org.apache.commons.math.dfp.Dfp dfp30 = dfp26.newInstance((byte)3, (byte)100);
    org.apache.commons.math.dfp.DfpField dfpField31 = dfp30.getField();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField31);

  }

  @Test
  public void test343() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test343"); }


    org.apache.commons.math.dfp.DfpField dfpField1 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp2 = dfpField1.getPi();
    org.apache.commons.math.dfp.DfpField dfpField4 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp5 = dfpField4.getPi();
    double[] d_array6 = dfp5.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp7 = dfp2.subtract(dfp5);
    org.apache.commons.math.dfp.DfpField dfpField8 = dfp5.getField();
    org.apache.commons.math.dfp.DfpField dfpField10 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp11 = dfpField10.getPi();
    org.apache.commons.math.dfp.DfpField dfpField13 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp14 = dfpField13.getPi();
    double[] d_array15 = dfp14.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp16 = dfp11.subtract(dfp14);
    org.apache.commons.math.dfp.Dfp dfp17 = dfp11.getZero();
    org.apache.commons.math.dfp.Dfp dfp19 = dfp17.newInstance((-1));
    int i20 = dfp19.log10();
    org.apache.commons.math.dfp.Dfp dfp21 = dfpField8.newDfp(dfp19);
    org.apache.commons.math.dfp.Dfp dfp22 = dfpField8.getZero();
    org.apache.commons.math.dfp.Dfp[] dfp_array23 = dfpField8.getLn2Split();
    org.apache.commons.math.dfp.Dfp dfp24 = dfpField8.getSqr2();
    org.apache.commons.math.dfp.Dfp dfp27 = dfpField8.newDfp((byte)2, (byte)(-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);

  }

  @Test
  public void test344() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test344"); }


    double d1 = org.apache.commons.math.util.FastMath.cosh((-0.35788835751511267d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.064728527138191d);

  }

  @Test
  public void test345() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test345"); }


    double d1 = org.apache.commons.math.util.FastMath.log(3.1626694988675665d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1514164490972616d);

  }

  @Test
  public void test346() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test346"); }


    org.apache.commons.math.dfp.DfpField dfpField1 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp2 = dfpField1.getPi();
    org.apache.commons.math.dfp.DfpField dfpField4 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp5 = dfpField4.getPi();
    double[] d_array6 = dfp5.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp7 = dfp2.subtract(dfp5);
    org.apache.commons.math.dfp.DfpField dfpField8 = dfp5.getField();
    org.apache.commons.math.dfp.DfpField dfpField10 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp11 = dfpField10.getPi();
    org.apache.commons.math.dfp.DfpField dfpField13 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp14 = dfpField13.getPi();
    double[] d_array15 = dfp14.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp16 = dfp11.subtract(dfp14);
    org.apache.commons.math.dfp.Dfp dfp17 = dfp11.getZero();
    org.apache.commons.math.dfp.Dfp dfp19 = dfp17.newInstance((-1));
    int i20 = dfp19.log10();
    org.apache.commons.math.dfp.Dfp dfp21 = dfpField8.newDfp(dfp19);
    org.apache.commons.math.dfp.Dfp dfp22 = dfpField8.getZero();
    org.apache.commons.math.dfp.Dfp[] dfp_array23 = dfpField8.getLn2Split();
    org.apache.commons.math.dfp.Dfp dfp24 = dfpField8.getLn10();
    org.apache.commons.math.dfp.Dfp dfp25 = dfpField8.getSqr2();
    org.apache.commons.math.dfp.DfpField dfpField29 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp30 = dfpField29.getPi();
    org.apache.commons.math.dfp.Dfp dfp31 = dfpField29.newDfp();
    org.apache.commons.math.dfp.Dfp dfp33 = dfpField29.newDfp((byte)1);
    org.apache.commons.math.dfp.Dfp dfp35 = dfp33.newInstance(1);
    org.apache.commons.math.dfp.DfpField dfpField37 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp38 = dfpField37.getPi();
    org.apache.commons.math.dfp.Dfp dfp39 = dfp38.ceil();
    org.apache.commons.math.dfp.Dfp dfp40 = dfp25.dotrap(0, "NaN", dfp33, dfp38);
    org.apache.commons.math.dfp.Dfp dfp41 = dfp40.newInstance();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);

  }

  @Test
  public void test347() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test347"); }


    double d1 = org.apache.commons.math.util.FastMath.toDegrees(0.05488618398122668d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.144746695702835d);

  }

  @Test
  public void test348() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test348"); }


    int i1 = org.apache.commons.math.util.FastMath.round(0.8957962f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);

  }

  @Test
  public void test349() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test349"); }


    double d1 = org.apache.commons.math.util.FastMath.cosh((-0.6321205588285577d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.2065299964591305d);

  }

  @Test
  public void test350() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test350"); }


    org.apache.commons.math.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math.random.MersenneTwister(32760);
    double d2 = mersenneTwister1.nextDouble();
    long long3 = mersenneTwister1.nextLong();
    long long4 = mersenneTwister1.nextLong();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.5451694854284768d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long3 == (-8265827240171125876L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 8188480966139125366L);

  }

  @Test
  public void test351() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test351"); }


    double d1 = org.apache.commons.math.util.FastMath.sin(10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.5440211108893698d));

  }

  @Test
  public void test352() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test352"); }


    org.apache.commons.math.dfp.DfpField dfpField1 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp2 = dfpField1.getPi();
    double[] d_array3 = dfp2.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp5 = dfp2.newInstance(72.34321284858714d);
    double d6 = dfp2.toDouble();
    int i7 = dfp2.classify();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 3.14159265359d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);

  }

  @Test
  public void test353() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test353"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2((-0.013292325585375278d), (-0.7888271513218789d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-3.1247435027088812d));

  }

  @Test
  public void test354() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test354"); }


    double d1 = org.apache.commons.math.util.FastMath.sin(Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test355() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test355"); }


    double d1 = org.apache.commons.math.util.FastMath.signum((-0.00913180072420387d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test356() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test356"); }


    org.apache.commons.math.dfp.DfpField dfpField1 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp2 = dfpField1.getPi();
    double[] d_array3 = dfp2.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp5 = dfp2.newInstance(72.34321284858714d);
    boolean b6 = dfp2.isNaN();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);

  }

  @Test
  public void test357() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test357"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter(1.5707963267948968d, 0.548146750563448d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5707963267948966d);

  }

  @Test
  public void test358() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test358"); }


    double d1 = org.apache.commons.math.util.FastMath.atan(2.8809339818811415d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.236698742123877d);

  }

  @Test
  public void test359() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test359"); }


    org.apache.commons.math.dfp.DfpField dfpField1 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp2 = dfpField1.getPi();
    org.apache.commons.math.dfp.DfpField dfpField4 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp5 = dfpField4.getPi();
    double[] d_array6 = dfp5.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp7 = dfp2.subtract(dfp5);
    org.apache.commons.math.dfp.DfpField dfpField8 = dfp5.getField();
    dfpField8.clearIEEEFlags();
    org.apache.commons.math.dfp.Dfp dfp10 = dfpField8.getSqr3Reciprocal();
    org.apache.commons.math.dfp.Dfp dfp11 = dfpField8.getPi();
    org.apache.commons.math.dfp.Dfp dfp12 = new org.apache.commons.math.dfp.Dfp(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);

  }

  @Test
  public void test360() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test360"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians(90.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5707963267948966d);

  }

  @Test
  public void test361() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test361"); }


    org.apache.commons.math.dfp.DfpField dfpField1 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp2 = dfpField1.getPi();
    org.apache.commons.math.dfp.DfpField dfpField4 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp5 = dfpField4.getPi();
    double[] d_array6 = dfp5.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp7 = dfp2.subtract(dfp5);
    org.apache.commons.math.dfp.Dfp dfp8 = dfp2.getZero();
    org.apache.commons.math.dfp.Dfp dfp10 = dfp8.newInstance((-1));
    org.apache.commons.math.dfp.DfpField dfpField12 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp13 = dfpField12.getPi();
    double[] d_array14 = dfp13.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp15 = dfp8.remainder(dfp13);
    org.apache.commons.math.dfp.Dfp dfp17 = dfp15.newInstance((byte)0);
    org.apache.commons.math.dfp.Dfp dfp19 = dfp17.newInstance((byte)0);
    org.apache.commons.math.dfp.DfpField dfpField21 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp[] dfp_array22 = dfpField21.getPiSplit();
    org.apache.commons.math.dfp.DfpField.RoundingMode roundingMode23 = dfpField21.getRoundingMode();
    org.apache.commons.math.dfp.Dfp dfp24 = dfpField21.getPi();
    org.apache.commons.math.dfp.Dfp dfp25 = dfp24.newInstance();
    org.apache.commons.math.dfp.Dfp dfp26 = dfp17.add(dfp24);
    org.apache.commons.math.dfp.Dfp dfp27 = dfp26.newInstance();
    int i28 = dfp26.log10K();
    org.apache.commons.math.dfp.DfpField dfpField30 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp31 = dfpField30.getPi();
    double[] d_array32 = dfp31.toSplitDouble();
    double d33 = dfp31.toDouble();
    boolean b34 = dfp26.greaterThan(dfp31);
    java.lang.String str35 = dfp26.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 3.14159265359d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b34 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str35 + "' != '" + "3.14159265359"+ "'", str35.equals("3.14159265359"));

  }

  @Test
  public void test362() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test362"); }


    double d1 = org.apache.commons.math.util.FastMath.asin(0.6720041156677619d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7369117383565867d);

  }

  @Test
  public void test363() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test363"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt(0.047407404488248234d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.21773241487717954d);

  }

  @Test
  public void test364() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test364"); }


    int i2 = org.apache.commons.math.util.FastMath.max(0, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test365() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test365"); }


    long long1 = org.apache.commons.math.util.FastMath.abs((-7451581356540508859L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 7451581356540508859L);

  }

  @Test
  public void test366() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test366"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil((-0.4203142292903684d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.0d));

  }

  @Test
  public void test367() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test367"); }


    org.apache.commons.math.dfp.DfpField dfpField1 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp[] dfp_array2 = dfpField1.getPiSplit();
    org.apache.commons.math.dfp.DfpField.RoundingMode roundingMode3 = dfpField1.getRoundingMode();
    org.apache.commons.math.dfp.Dfp dfp4 = dfpField1.getPi();
    org.apache.commons.math.dfp.Dfp dfp5 = dfp4.newInstance();
    org.apache.commons.math.dfp.Dfp dfp6 = dfp4.floor();
    java.lang.String str7 = dfp4.toString();
    org.apache.commons.math.dfp.DfpField dfpField9 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp10 = dfpField9.getPi();
    org.apache.commons.math.dfp.DfpField dfpField12 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp13 = dfpField12.getPi();
    double[] d_array14 = dfp13.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp15 = dfp10.subtract(dfp13);
    org.apache.commons.math.dfp.DfpField dfpField16 = dfp13.getField();
    dfpField16.clearIEEEFlags();
    org.apache.commons.math.dfp.Dfp dfp19 = dfpField16.newDfp((byte)10);
    org.apache.commons.math.dfp.DfpField dfpField21 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp22 = dfpField21.getPi();
    double[] d_array23 = dfp22.toSplitDouble();
    org.apache.commons.math.dfp.DfpField dfpField25 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp26 = dfpField25.getPi();
    org.apache.commons.math.dfp.DfpField dfpField28 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp29 = dfpField28.getPi();
    double[] d_array30 = dfp29.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp31 = dfp26.subtract(dfp29);
    org.apache.commons.math.dfp.DfpField dfpField33 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp34 = dfpField33.getPi();
    org.apache.commons.math.dfp.Dfp dfp35 = dfp31.nextAfter(dfp34);
    org.apache.commons.math.dfp.Dfp dfp36 = dfp22.add(dfp35);
    org.apache.commons.math.dfp.Dfp dfp37 = dfp22.ceil();
    org.apache.commons.math.dfp.Dfp dfp38 = dfpField16.newDfp(dfp22);
    org.apache.commons.math.dfp.Dfp dfp39 = dfpField16.getTwo();
    org.apache.commons.math.dfp.Dfp dfp40 = new org.apache.commons.math.dfp.Dfp(dfp39);
    org.apache.commons.math.dfp.DfpField dfpField42 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp43 = dfpField42.getPi();
    org.apache.commons.math.dfp.DfpField dfpField45 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp46 = dfpField45.getPi();
    double[] d_array47 = dfp46.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp48 = dfp43.subtract(dfp46);
    org.apache.commons.math.dfp.DfpField dfpField49 = dfp46.getField();
    dfpField49.clearIEEEFlags();
    org.apache.commons.math.dfp.Dfp dfp51 = dfpField49.getSqr3Reciprocal();
    org.apache.commons.math.dfp.Dfp dfp53 = dfpField49.newDfp((-90.0d));
    org.apache.commons.math.dfp.Dfp dfp54 = dfp53.getOne();
    org.apache.commons.math.dfp.Dfp dfp55 = dfp40.remainder(dfp54);
    org.apache.commons.math.dfp.Dfp dfp56 = dfp4.multiply(dfp40);
    org.apache.commons.math.dfp.Dfp dfp58 = dfp40.divide(0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "3.14159265359"+ "'", str7.equals("3.14159265359"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp58);

  }

  @Test
  public void test368() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test368"); }


    org.apache.commons.math.dfp.Dfp dfp0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.dfp.Dfp dfp1 = new org.apache.commons.math.dfp.Dfp(dfp0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test369() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test369"); }


    org.apache.commons.math.dfp.DfpField dfpField1 = new org.apache.commons.math.dfp.DfpField((-931718226));
    org.apache.commons.math.dfp.Dfp dfp2 = dfpField1.getSqr3();
    dfpField1.setIEEEFlagsBits(10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);

  }

  @Test
  public void test370() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test370"); }


    long long2 = org.apache.commons.math.util.FastMath.max(1038706191027964141L, 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1038706191027964141L);

  }

  @Test
  public void test371() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test371"); }


    org.apache.commons.math.dfp.DfpField dfpField1 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp[] dfp_array2 = dfpField1.getPiSplit();
    org.apache.commons.math.dfp.DfpField.RoundingMode roundingMode3 = dfpField1.getRoundingMode();
    org.apache.commons.math.dfp.Dfp dfp4 = dfpField1.getPi();
    org.apache.commons.math.dfp.DfpField.RoundingMode roundingMode5 = org.apache.commons.math.dfp.DfpField.RoundingMode.ROUND_HALF_DOWN;
    dfpField1.setRoundingMode(roundingMode5);
    org.apache.commons.math.dfp.Dfp dfp8 = dfpField1.newDfp(3.14159265359d);
    org.apache.commons.math.dfp.DfpField.RoundingMode roundingMode9 = null;
    dfpField1.setRoundingMode(roundingMode9);
    org.apache.commons.math.dfp.Dfp dfp12 = dfpField1.newDfp((byte)100);
    org.apache.commons.math.dfp.Dfp dfp13 = dfpField1.getPi();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.dfp.Dfp dfp15 = dfpField1.newDfp("org.apache.commons.math.exception.MathRuntimeException: ");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);

  }

  @Test
  public void test372() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test372"); }


    org.apache.commons.math.dfp.DfpField dfpField1 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp2 = dfpField1.getPi();
    org.apache.commons.math.dfp.DfpField dfpField4 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp5 = dfpField4.getPi();
    double[] d_array6 = dfp5.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp7 = dfp2.subtract(dfp5);
    org.apache.commons.math.dfp.Dfp dfp8 = dfp2.getZero();
    org.apache.commons.math.dfp.Dfp dfp10 = dfp8.newInstance((-1));
    org.apache.commons.math.dfp.DfpField dfpField12 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp13 = dfpField12.getPi();
    double[] d_array14 = dfp13.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp15 = dfp8.remainder(dfp13);
    org.apache.commons.math.dfp.Dfp dfp17 = dfp15.newInstance((byte)0);
    org.apache.commons.math.dfp.Dfp dfp19 = dfp17.newInstance((byte)0);
    org.apache.commons.math.dfp.Dfp dfp20 = dfp19.getOne();
    int i21 = dfp19.log10K();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == (-1));

  }

  @Test
  public void test373() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test373"); }


    double d1 = org.apache.commons.math.util.FastMath.atan(0.3033144710533528d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.29449481285321155d);

  }

  @Test
  public void test374() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test374"); }


    int i2 = org.apache.commons.math.util.FastMath.min(2, 10000);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2);

  }

  @Test
  public void test375() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test375"); }


    double d2 = org.apache.commons.math.util.FastMath.max(1.2065299964591305d, 1.4392719583579687d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.4392719583579687d);

  }

  @Test
  public void test376() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test376"); }


    org.apache.commons.math.dfp.DfpField dfpField1 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp2 = dfpField1.getSqr3();
    org.apache.commons.math.dfp.Dfp dfp3 = dfpField1.getLn2();
    org.apache.commons.math.dfp.Dfp dfp5 = dfpField1.newDfp((-1L));
    org.apache.commons.math.dfp.Dfp[] dfp_array6 = dfpField1.getPiSplit();
    dfpField1.clearIEEEFlags();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);

  }

  @Test
  public void test377() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test377"); }


    float f1 = org.apache.commons.math.util.FastMath.abs(1.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test378() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test378"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p(1.0553194731804223d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7204312972669918d);

  }

  @Test
  public void test379() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test379"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter(0.6710325128195819d, 0.7237368419565787d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.671032512819582d);

  }

  @Test
  public void test380() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test380"); }


    double d1 = org.apache.commons.math.util.FastMath.acosh(1.2334031175112168d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6705961048799892d);

  }

  @Test
  public void test381() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test381"); }


    org.apache.commons.math.dfp.DfpField dfpField1 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp[] dfp_array2 = dfpField1.getPiSplit();
    org.apache.commons.math.dfp.DfpField.RoundingMode roundingMode3 = dfpField1.getRoundingMode();
    org.apache.commons.math.dfp.Dfp dfp4 = dfpField1.getPi();
    org.apache.commons.math.dfp.Dfp dfp5 = dfp4.newInstance();
    org.apache.commons.math.dfp.Dfp dfp6 = dfp4.floor();
    java.lang.String str7 = dfp4.toString();
    org.apache.commons.math.dfp.DfpField dfpField9 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp10 = dfpField9.getPi();
    org.apache.commons.math.dfp.DfpField dfpField12 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp13 = dfpField12.getPi();
    double[] d_array14 = dfp13.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp15 = dfp10.subtract(dfp13);
    org.apache.commons.math.dfp.DfpField dfpField16 = dfp13.getField();
    dfpField16.clearIEEEFlags();
    org.apache.commons.math.dfp.Dfp dfp19 = dfpField16.newDfp((byte)10);
    org.apache.commons.math.dfp.DfpField dfpField21 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp22 = dfpField21.getPi();
    double[] d_array23 = dfp22.toSplitDouble();
    org.apache.commons.math.dfp.DfpField dfpField25 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp26 = dfpField25.getPi();
    org.apache.commons.math.dfp.DfpField dfpField28 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp29 = dfpField28.getPi();
    double[] d_array30 = dfp29.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp31 = dfp26.subtract(dfp29);
    org.apache.commons.math.dfp.DfpField dfpField33 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp34 = dfpField33.getPi();
    org.apache.commons.math.dfp.Dfp dfp35 = dfp31.nextAfter(dfp34);
    org.apache.commons.math.dfp.Dfp dfp36 = dfp22.add(dfp35);
    org.apache.commons.math.dfp.Dfp dfp37 = dfp22.ceil();
    org.apache.commons.math.dfp.Dfp dfp38 = dfpField16.newDfp(dfp22);
    org.apache.commons.math.dfp.Dfp dfp39 = dfpField16.getTwo();
    org.apache.commons.math.dfp.Dfp dfp40 = new org.apache.commons.math.dfp.Dfp(dfp39);
    org.apache.commons.math.dfp.DfpField dfpField42 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp43 = dfpField42.getPi();
    org.apache.commons.math.dfp.DfpField dfpField45 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp46 = dfpField45.getPi();
    double[] d_array47 = dfp46.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp48 = dfp43.subtract(dfp46);
    org.apache.commons.math.dfp.DfpField dfpField49 = dfp46.getField();
    dfpField49.clearIEEEFlags();
    org.apache.commons.math.dfp.Dfp dfp51 = dfpField49.getSqr3Reciprocal();
    org.apache.commons.math.dfp.Dfp dfp53 = dfpField49.newDfp((-90.0d));
    org.apache.commons.math.dfp.Dfp dfp54 = dfp53.getOne();
    org.apache.commons.math.dfp.Dfp dfp55 = dfp40.remainder(dfp54);
    org.apache.commons.math.dfp.Dfp dfp56 = dfp4.multiply(dfp40);
    org.apache.commons.math.dfp.Dfp dfp57 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.dfp.Dfp dfp58 = dfp56.multiply(dfp57);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "3.14159265359"+ "'", str7.equals("3.14159265359"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp56);

  }

  @Test
  public void test382() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test382"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)100.0f, (java.lang.Number)(byte)0, false);
    org.apache.commons.math.exception.util.Localizable localizable5 = numberIsTooSmallException4.getGeneralPattern();
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException9 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable5, (java.lang.Number)1.8593977923911547d, (java.lang.Number)(short)10, false);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException13 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable5, (java.lang.Number)3.0d, (java.lang.Number)(short)10, true);
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException15 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable5, (java.lang.Number)1.0581145408384995d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable5);

  }

  @Test
  public void test383() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test383"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt(0.9998433086476912d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9999216512545827d);

  }

  @Test
  public void test384() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test384"); }


    org.apache.commons.math.dfp.DfpField dfpField1 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp2 = dfpField1.getPi();
    org.apache.commons.math.dfp.DfpField dfpField4 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp5 = dfpField4.getPi();
    double[] d_array6 = dfp5.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp7 = dfp2.subtract(dfp5);
    org.apache.commons.math.dfp.DfpField dfpField8 = dfp5.getField();
    org.apache.commons.math.dfp.DfpField dfpField10 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp11 = dfpField10.getPi();
    org.apache.commons.math.dfp.DfpField dfpField13 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp14 = dfpField13.getPi();
    double[] d_array15 = dfp14.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp16 = dfp11.subtract(dfp14);
    org.apache.commons.math.dfp.Dfp dfp17 = dfp11.getZero();
    org.apache.commons.math.dfp.Dfp dfp19 = dfp17.newInstance((-1));
    int i20 = dfp19.log10();
    org.apache.commons.math.dfp.Dfp dfp21 = dfpField8.newDfp(dfp19);
    org.apache.commons.math.dfp.Dfp dfp22 = dfpField8.getZero();
    org.apache.commons.math.dfp.Dfp[] dfp_array23 = dfpField8.getLn2Split();
    int i24 = dfpField8.getRadixDigits();
    dfpField8.setIEEEFlagsBits(8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 4);

  }

  @Test
  public void test385() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test385"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p(1.8115262724609225d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0337274933484368d);

  }

  @Test
  public void test386() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test386"); }


    org.apache.commons.math.dfp.DfpField dfpField1 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp2 = dfpField1.getPi();
    org.apache.commons.math.dfp.DfpField dfpField4 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp5 = dfpField4.getPi();
    double[] d_array6 = dfp5.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp7 = dfp2.subtract(dfp5);
    org.apache.commons.math.dfp.DfpField dfpField9 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp10 = dfpField9.getPi();
    org.apache.commons.math.dfp.Dfp dfp11 = dfp7.nextAfter(dfp10);
    org.apache.commons.math.dfp.Dfp dfp12 = dfp10.negate();
    org.apache.commons.math.dfp.DfpField dfpField14 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp15 = dfpField14.getPi();
    org.apache.commons.math.dfp.DfpField dfpField17 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp18 = dfpField17.getPi();
    double[] d_array19 = dfp18.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp20 = dfp15.subtract(dfp18);
    org.apache.commons.math.dfp.DfpField dfpField21 = dfp18.getField();
    dfpField21.clearIEEEFlags();
    org.apache.commons.math.dfp.Dfp dfp23 = dfpField21.getSqr3Reciprocal();
    org.apache.commons.math.dfp.Dfp dfp25 = dfpField21.newDfp((-90.0d));
    org.apache.commons.math.dfp.Dfp dfp26 = dfp25.getOne();
    org.apache.commons.math.dfp.Dfp dfp27 = org.apache.commons.math.dfp.Dfp.copysign(dfp12, dfp26);
    int i28 = dfp26.log10K();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 0);

  }

  @Test
  public void test387() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test387"); }


    org.apache.commons.math.dfp.Dfp dfp0 = null;
    org.apache.commons.math.dfp.Dfp dfp1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.dfp.Dfp dfp2 = org.apache.commons.math.dfp.DfpField.computeExp(dfp0, dfp1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test388() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test388"); }


    double d1 = org.apache.commons.math.util.FastMath.sin(1.0537880089703455d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8693018013536292d);

  }

  @Test
  public void test389() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test389"); }


    double d1 = org.apache.commons.math.util.FastMath.floor(0.7204312972669918d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test390() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test390"); }


    org.apache.commons.math.dfp.DfpField dfpField1 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp2 = dfpField1.getSqr3();
    dfpField1.setIEEEFlagsBits(32760);
    org.apache.commons.math.dfp.Dfp dfp6 = dfpField1.newDfp("org.apache.commons.math.exception.MathRuntimeException: ");
    org.apache.commons.math.dfp.Dfp[] dfp_array7 = dfpField1.getPiSplit();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array7);

  }

  @Test
  public void test391() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test391"); }


    org.apache.commons.math.dfp.DfpField dfpField1 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp[] dfp_array2 = dfpField1.getPiSplit();
    org.apache.commons.math.dfp.DfpField.RoundingMode roundingMode3 = dfpField1.getRoundingMode();
    org.apache.commons.math.dfp.Dfp dfp4 = dfpField1.getPi();
    org.apache.commons.math.dfp.Dfp dfp7 = null;
    org.apache.commons.math.dfp.DfpField dfpField9 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp10 = dfpField9.getPi();
    org.apache.commons.math.dfp.DfpField dfpField12 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp13 = dfpField12.getPi();
    double[] d_array14 = dfp13.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp15 = dfp10.subtract(dfp13);
    int i16 = dfp13.log10K();
    org.apache.commons.math.dfp.Dfp dfp17 = dfp4.dotrap(0, "-1.", dfp7, dfp13);
    org.apache.commons.math.dfp.DfpField dfpField19 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp20 = dfpField19.getPi();
    org.apache.commons.math.dfp.Dfp dfp21 = dfpField19.newDfp();
    org.apache.commons.math.dfp.Dfp dfp23 = dfpField19.newDfp((byte)1);
    org.apache.commons.math.dfp.Dfp dfp24 = dfp13.divide(dfp23);
    org.apache.commons.math.dfp.Dfp dfp25 = dfp24.getTwo();
    org.apache.commons.math.dfp.DfpField dfpField27 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp28 = dfpField27.getPi();
    org.apache.commons.math.dfp.DfpField dfpField30 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp31 = dfpField30.getPi();
    double[] d_array32 = dfp31.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp33 = dfp28.subtract(dfp31);
    org.apache.commons.math.dfp.DfpField dfpField34 = dfp31.getField();
    org.apache.commons.math.dfp.DfpField dfpField36 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp37 = dfpField36.getPi();
    org.apache.commons.math.dfp.DfpField dfpField39 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp40 = dfpField39.getPi();
    double[] d_array41 = dfp40.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp42 = dfp37.subtract(dfp40);
    org.apache.commons.math.dfp.Dfp dfp43 = dfp37.getZero();
    org.apache.commons.math.dfp.Dfp dfp45 = dfp43.newInstance((-1));
    int i46 = dfp45.log10();
    org.apache.commons.math.dfp.Dfp dfp47 = dfpField34.newDfp(dfp45);
    org.apache.commons.math.dfp.Dfp dfp48 = dfpField34.getZero();
    org.apache.commons.math.dfp.Dfp dfp50 = dfpField34.newDfp((byte)1);
    org.apache.commons.math.dfp.Dfp dfp51 = dfpField34.getSqr2();
    org.apache.commons.math.dfp.Dfp dfp52 = org.apache.commons.math.dfp.Dfp.copysign(dfp25, dfp51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i46 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);

  }

  @Test
  public void test392() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test392"); }


    int i2 = org.apache.commons.math.util.FastMath.min((-32767), (-4));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-32767));

  }

  @Test
  public void test393() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test393"); }


    double d2 = org.apache.commons.math.util.FastMath.max(3.144746695702835d, (-1.5707963267948966d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 3.144746695702835d);

  }

  @Test
  public void test394() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test394"); }


    int i2 = org.apache.commons.math.util.FastMath.max(2, (-32767));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2);

  }

  @Test
  public void test395() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test395"); }


    double d2 = org.apache.commons.math.util.FastMath.min(0.9999216512545827d, 0.77132064549269d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.77132064549269d);

  }

  @Test
  public void test396() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test396"); }


    double d1 = org.apache.commons.math.util.FastMath.asin((-0.3989376889077507d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.4103580624000275d));

  }

  @Test
  public void test397() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test397"); }


    org.apache.commons.math.dfp.DfpField dfpField1 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp[] dfp_array2 = dfpField1.getPiSplit();
    org.apache.commons.math.dfp.Dfp dfp3 = dfpField1.getSqr3Reciprocal();
    org.apache.commons.math.dfp.Dfp dfp4 = dfpField1.newDfp();
    org.apache.commons.math.dfp.Dfp dfp5 = dfpField1.getLn5();
    org.apache.commons.math.dfp.DfpField dfpField7 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp8 = dfpField7.getPi();
    org.apache.commons.math.dfp.DfpField dfpField10 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp11 = dfpField10.getPi();
    double[] d_array12 = dfp11.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp13 = dfp8.subtract(dfp11);
    org.apache.commons.math.dfp.DfpField dfpField14 = dfp11.getField();
    org.apache.commons.math.dfp.DfpField dfpField16 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp17 = dfpField16.getPi();
    org.apache.commons.math.dfp.DfpField dfpField19 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp20 = dfpField19.getPi();
    double[] d_array21 = dfp20.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp22 = dfp17.subtract(dfp20);
    org.apache.commons.math.dfp.Dfp dfp23 = dfp17.getZero();
    org.apache.commons.math.dfp.Dfp dfp25 = dfp23.newInstance((-1));
    int i26 = dfp25.log10();
    org.apache.commons.math.dfp.Dfp dfp27 = dfpField14.newDfp(dfp25);
    org.apache.commons.math.dfp.Dfp dfp28 = dfp5.add(dfp25);
    org.apache.commons.math.dfp.Dfp dfp30 = dfp5.divide(1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);

  }

  @Test
  public void test398() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test398"); }


    double d2 = org.apache.commons.math.util.FastMath.min(7.610125138662287d, 0.6705961048799892d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.6705961048799892d);

  }

  @Test
  public void test399() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test399"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt(0.9999216512545827d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9999608248599455d);

  }

  @Test
  public void test400() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test400"); }


    double d1 = org.apache.commons.math.util.FastMath.atan(0.21773241487717954d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.21438637794541449d);

  }

  @Test
  public void test401() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test401"); }


    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)2.3387411976724017d, (java.lang.Number)(byte)(-1), true);

  }

  @Test
  public void test402() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test402"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)100.0f, (java.lang.Number)(byte)0, false);
    org.apache.commons.math.exception.util.Localizable localizable5 = numberIsTooSmallException4.getGeneralPattern();
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException9 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable5, (java.lang.Number)1.8593977923911547d, (java.lang.Number)(short)10, false);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException13 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable5, (java.lang.Number)3.0d, (java.lang.Number)(short)10, true);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException17 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable5, (java.lang.Number)0.047442967903742035d, (java.lang.Number)0.9442157056960554d, false);
    java.lang.Object[] obj_array18 = numberIsTooSmallException17.getArguments();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);

  }

  @Test
  public void test403() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test403"); }


    org.apache.commons.math.dfp.DfpField dfpField1 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp2 = dfpField1.getPi();
    org.apache.commons.math.dfp.DfpField dfpField4 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp5 = dfpField4.getPi();
    double[] d_array6 = dfp5.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp7 = dfp2.subtract(dfp5);
    org.apache.commons.math.dfp.DfpField dfpField8 = dfp5.getField();
    org.apache.commons.math.dfp.DfpField dfpField10 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp11 = dfpField10.getPi();
    org.apache.commons.math.dfp.DfpField dfpField13 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp14 = dfpField13.getPi();
    double[] d_array15 = dfp14.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp16 = dfp11.subtract(dfp14);
    org.apache.commons.math.dfp.Dfp dfp17 = dfp11.getZero();
    org.apache.commons.math.dfp.Dfp dfp19 = dfp17.newInstance((-1));
    int i20 = dfp19.log10();
    org.apache.commons.math.dfp.Dfp dfp21 = dfpField8.newDfp(dfp19);
    org.apache.commons.math.dfp.Dfp dfp22 = dfpField8.getZero();
    org.apache.commons.math.dfp.Dfp dfp24 = dfpField8.newDfp((byte)0);
    org.apache.commons.math.dfp.Dfp[] dfp_array25 = dfpField8.getPiSplit();
    org.apache.commons.math.dfp.Dfp dfp27 = dfpField8.newDfp(100L);
    org.apache.commons.math.dfp.Dfp[] dfp_array28 = dfpField8.getESplit();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array28);

  }

  @Test
  public void test404() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test404"); }


    int i2 = org.apache.commons.math.util.FastMath.max((-931718226), 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2);

  }

  @Test
  public void test405() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test405"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter(2.8809339818811415d, (-0.4203142292903684d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.880933981881141d);

  }

  @Test
  public void test406() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test406"); }


    org.apache.commons.math.dfp.DfpField dfpField1 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp[] dfp_array2 = dfpField1.getPiSplit();
    org.apache.commons.math.dfp.Dfp dfp3 = dfpField1.getSqr3Reciprocal();
    org.apache.commons.math.dfp.Dfp dfp4 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b5 = dfp3.lessThan(dfp4);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);

  }

  @Test
  public void test407() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test407"); }


    org.apache.commons.math.dfp.DfpField dfpField1 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp[] dfp_array2 = dfpField1.getPiSplit();
    org.apache.commons.math.dfp.DfpField.RoundingMode roundingMode3 = dfpField1.getRoundingMode();
    org.apache.commons.math.dfp.Dfp dfp4 = dfpField1.getPi();
    org.apache.commons.math.dfp.DfpField dfpField6 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp7 = dfpField6.getPi();
    org.apache.commons.math.dfp.DfpField dfpField9 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp10 = dfpField9.getPi();
    double[] d_array11 = dfp10.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp12 = dfp7.subtract(dfp10);
    org.apache.commons.math.dfp.DfpField dfpField13 = dfp10.getField();
    dfpField13.clearIEEEFlags();
    org.apache.commons.math.dfp.Dfp dfp16 = dfpField13.newDfp((byte)10);
    org.apache.commons.math.dfp.DfpField dfpField18 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp19 = dfpField18.getPi();
    double[] d_array20 = dfp19.toSplitDouble();
    org.apache.commons.math.dfp.DfpField dfpField22 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp23 = dfpField22.getPi();
    org.apache.commons.math.dfp.DfpField dfpField25 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp26 = dfpField25.getPi();
    double[] d_array27 = dfp26.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp28 = dfp23.subtract(dfp26);
    org.apache.commons.math.dfp.DfpField dfpField30 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp31 = dfpField30.getPi();
    org.apache.commons.math.dfp.Dfp dfp32 = dfp28.nextAfter(dfp31);
    org.apache.commons.math.dfp.Dfp dfp33 = dfp19.add(dfp32);
    org.apache.commons.math.dfp.Dfp dfp34 = dfp19.ceil();
    org.apache.commons.math.dfp.Dfp dfp35 = dfpField13.newDfp(dfp19);
    org.apache.commons.math.dfp.Dfp dfp36 = dfpField13.getTwo();
    org.apache.commons.math.dfp.Dfp dfp37 = new org.apache.commons.math.dfp.Dfp(dfp36);
    org.apache.commons.math.dfp.DfpField dfpField39 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp40 = dfpField39.getPi();
    org.apache.commons.math.dfp.DfpField dfpField42 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp43 = dfpField42.getPi();
    double[] d_array44 = dfp43.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp45 = dfp40.subtract(dfp43);
    org.apache.commons.math.dfp.DfpField dfpField46 = dfp43.getField();
    dfpField46.clearIEEEFlags();
    org.apache.commons.math.dfp.Dfp dfp48 = dfpField46.getSqr3Reciprocal();
    org.apache.commons.math.dfp.Dfp dfp50 = dfpField46.newDfp((-90.0d));
    org.apache.commons.math.dfp.Dfp dfp51 = dfp50.getOne();
    org.apache.commons.math.dfp.Dfp dfp52 = dfp37.remainder(dfp51);
    org.apache.commons.math.dfp.Dfp dfp53 = dfp4.newInstance(dfp52);
    org.apache.commons.math.dfp.Dfp dfp54 = dfp53.sqrt();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);

  }

  @Test
  public void test408() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test408"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt(0.9429898608873865d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9710766503666878d);

  }

  @Test
  public void test409() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test409"); }


    org.apache.commons.math.dfp.DfpField dfpField1 = new org.apache.commons.math.dfp.DfpField((-1));
    org.apache.commons.math.dfp.Dfp dfp2 = dfpField1.getPi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);

  }

  @Test
  public void test410() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test410"); }


    org.apache.commons.math.dfp.DfpField dfpField1 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp[] dfp_array2 = dfpField1.getPiSplit();
    org.apache.commons.math.dfp.DfpField.RoundingMode roundingMode3 = dfpField1.getRoundingMode();
    org.apache.commons.math.dfp.Dfp dfp4 = dfpField1.getPi();
    org.apache.commons.math.dfp.DfpField.RoundingMode roundingMode5 = dfpField1.getRoundingMode();
    org.apache.commons.math.dfp.DfpField.RoundingMode roundingMode6 = dfpField1.getRoundingMode();
    org.apache.commons.math.dfp.Dfp dfp8 = dfpField1.newDfp(10L);
    org.apache.commons.math.dfp.Dfp dfp10 = dfpField1.newDfp("org.apache.commons.math.exception.NumberIsTooSmallException: 100 is smaller than, or equal to, the minimum (0)");
    org.apache.commons.math.dfp.Dfp dfp11 = dfpField1.getPi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);

  }

  @Test
  public void test411() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test411"); }


    org.apache.commons.math.dfp.DfpField dfpField1 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp2 = dfpField1.getPi();
    org.apache.commons.math.dfp.DfpField dfpField4 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp5 = dfpField4.getPi();
    double[] d_array6 = dfp5.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp7 = dfp2.subtract(dfp5);
    org.apache.commons.math.dfp.DfpField dfpField9 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp10 = dfpField9.getSqr3();
    org.apache.commons.math.dfp.Dfp dfp11 = dfpField9.getLn2();
    org.apache.commons.math.dfp.Dfp dfp13 = dfpField9.newDfp((-1L));
    org.apache.commons.math.dfp.Dfp dfp14 = dfpField9.getSqr2();
    org.apache.commons.math.dfp.DfpField dfpField16 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp17 = dfpField16.getPi();
    org.apache.commons.math.dfp.DfpField dfpField19 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp20 = dfpField19.getPi();
    double[] d_array21 = dfp20.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp22 = dfp17.subtract(dfp20);
    org.apache.commons.math.dfp.DfpField dfpField23 = dfp20.getField();
    org.apache.commons.math.dfp.DfpField dfpField25 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp26 = dfpField25.getPi();
    org.apache.commons.math.dfp.DfpField dfpField28 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp29 = dfpField28.getPi();
    double[] d_array30 = dfp29.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp31 = dfp26.subtract(dfp29);
    org.apache.commons.math.dfp.Dfp dfp32 = dfp26.getZero();
    org.apache.commons.math.dfp.Dfp dfp34 = dfp32.newInstance((-1));
    int i35 = dfp34.log10();
    org.apache.commons.math.dfp.Dfp dfp36 = dfpField23.newDfp(dfp34);
    org.apache.commons.math.dfp.Dfp dfp37 = dfpField23.getZero();
    org.apache.commons.math.dfp.Dfp[] dfp_array38 = dfpField23.getLn2Split();
    int i39 = dfpField23.getRadixDigits();
    org.apache.commons.math.dfp.Dfp dfp41 = dfpField23.newDfp((byte)0);
    org.apache.commons.math.dfp.Dfp dfp44 = dfpField23.newDfp((byte)1, (byte)1);
    org.apache.commons.math.dfp.Dfp dfp46 = dfp44.newInstance((byte)(-1));
    org.apache.commons.math.dfp.Dfp dfp47 = dfpField9.newDfp(dfp44);
    org.apache.commons.math.dfp.Dfp dfp48 = dfp2.nextAfter(dfp47);
    int i49 = dfp2.log10();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i49 == 0);

  }

  @Test
  public void test412() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test412"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt((-0.6946583704589973d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test413() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test413"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh(0.29449481285321155d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.28626657069781725d);

  }

  @Test
  public void test414() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test414"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1(1.2626272556789118d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.5346958487132123d);

  }

  @Test
  public void test415() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test415"); }


    org.apache.commons.math.dfp.DfpField dfpField1 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp2 = dfpField1.getPi();
    org.apache.commons.math.dfp.DfpField dfpField4 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp5 = dfpField4.getPi();
    double[] d_array6 = dfp5.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp7 = dfp2.subtract(dfp5);
    org.apache.commons.math.dfp.Dfp dfp8 = dfp2.getZero();
    org.apache.commons.math.dfp.Dfp dfp10 = dfp8.newInstance((-1));
    int i11 = dfp10.log10();
    org.apache.commons.math.dfp.DfpField dfpField13 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp14 = dfpField13.getPi();
    double[] d_array15 = dfp14.toSplitDouble();
    org.apache.commons.math.dfp.DfpField dfpField17 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp18 = dfpField17.getPi();
    org.apache.commons.math.dfp.DfpField dfpField20 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp21 = dfpField20.getPi();
    double[] d_array22 = dfp21.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp23 = dfp18.subtract(dfp21);
    org.apache.commons.math.dfp.DfpField dfpField25 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp26 = dfpField25.getPi();
    org.apache.commons.math.dfp.Dfp dfp27 = dfp23.nextAfter(dfp26);
    org.apache.commons.math.dfp.Dfp dfp28 = dfp14.add(dfp27);
    org.apache.commons.math.dfp.Dfp dfp29 = dfp14.ceil();
    org.apache.commons.math.dfp.Dfp dfp30 = dfp29.negate();
    boolean b31 = dfp10.lessThan(dfp30);
    org.apache.commons.math.dfp.Dfp dfp32 = dfp30.negate();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);

  }

  @Test
  public void test416() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test416"); }


    double d1 = org.apache.commons.math.util.FastMath.exp(1.5430806348152437d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.678982327128295d);

  }

  @Test
  public void test417() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test417"); }


    org.apache.commons.math.dfp.Dfp dfp0 = null;
    org.apache.commons.math.dfp.DfpField dfpField2 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp[] dfp_array3 = dfpField2.getPiSplit();
    org.apache.commons.math.dfp.DfpField.RoundingMode roundingMode4 = dfpField2.getRoundingMode();
    org.apache.commons.math.dfp.Dfp dfp5 = dfpField2.getPi();
    org.apache.commons.math.dfp.Dfp dfp8 = null;
    org.apache.commons.math.dfp.DfpField dfpField10 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp11 = dfpField10.getPi();
    org.apache.commons.math.dfp.DfpField dfpField13 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp14 = dfpField13.getPi();
    double[] d_array15 = dfp14.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp16 = dfp11.subtract(dfp14);
    int i17 = dfp14.log10K();
    org.apache.commons.math.dfp.Dfp dfp18 = dfp5.dotrap(0, "-1.", dfp8, dfp14);
    org.apache.commons.math.dfp.DfpField dfpField20 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp21 = dfpField20.getPi();
    org.apache.commons.math.dfp.Dfp dfp22 = dfpField20.newDfp();
    org.apache.commons.math.dfp.Dfp dfp24 = dfpField20.newDfp((byte)1);
    org.apache.commons.math.dfp.Dfp dfp25 = dfp14.divide(dfp24);
    org.apache.commons.math.dfp.Dfp dfp26 = dfp25.getTwo();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.dfp.Dfp dfp27 = org.apache.commons.math.dfp.DfpField.computeExp(dfp0, dfp26);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);

  }

  @Test
  public void test418() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test418"); }


    double d1 = org.apache.commons.math.util.FastMath.abs((-43.636130838093536d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 43.636130838093536d);

  }

  @Test
  public void test419() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test419"); }


    double d1 = org.apache.commons.math.util.FastMath.atan((-2.902493620038969d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.2390016525706407d));

  }

  @Test
  public void test420() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test420"); }


    org.apache.commons.math.dfp.DfpField dfpField1 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp2 = dfpField1.getPi();
    org.apache.commons.math.dfp.DfpField dfpField4 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp5 = dfpField4.getPi();
    double[] d_array6 = dfp5.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp7 = dfp2.subtract(dfp5);
    org.apache.commons.math.dfp.DfpField dfpField8 = dfp5.getField();
    org.apache.commons.math.dfp.DfpField dfpField10 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp11 = dfpField10.getPi();
    org.apache.commons.math.dfp.DfpField dfpField13 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp14 = dfpField13.getPi();
    double[] d_array15 = dfp14.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp16 = dfp11.subtract(dfp14);
    org.apache.commons.math.dfp.Dfp dfp17 = dfp11.getZero();
    org.apache.commons.math.dfp.Dfp dfp19 = dfp17.newInstance((-1));
    int i20 = dfp19.log10();
    org.apache.commons.math.dfp.Dfp dfp21 = dfpField8.newDfp(dfp19);
    org.apache.commons.math.dfp.Dfp dfp22 = dfpField8.getZero();
    org.apache.commons.math.dfp.Dfp[] dfp_array23 = dfpField8.getLn2Split();
    org.apache.commons.math.dfp.Dfp dfp24 = dfpField8.getLn10();
    org.apache.commons.math.dfp.Dfp dfp26 = dfpField8.newDfp(4);
    org.apache.commons.math.dfp.Dfp dfp27 = dfpField8.newDfp();
    org.apache.commons.math.dfp.Dfp[] dfp_array28 = dfpField8.getLn5Split();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array28);

  }

  @Test
  public void test421() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test421"); }


    org.apache.commons.math.dfp.DfpField dfpField1 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp2 = dfpField1.getPi();
    org.apache.commons.math.dfp.DfpField dfpField4 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp5 = dfpField4.getPi();
    double[] d_array6 = dfp5.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp7 = dfp2.subtract(dfp5);
    org.apache.commons.math.dfp.DfpField dfpField8 = dfp5.getField();
    org.apache.commons.math.dfp.DfpField dfpField10 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp11 = dfpField10.getPi();
    org.apache.commons.math.dfp.DfpField dfpField13 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp14 = dfpField13.getPi();
    double[] d_array15 = dfp14.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp16 = dfp11.subtract(dfp14);
    org.apache.commons.math.dfp.Dfp dfp17 = dfp11.getZero();
    org.apache.commons.math.dfp.Dfp dfp19 = dfp17.newInstance((-1));
    int i20 = dfp19.log10();
    org.apache.commons.math.dfp.Dfp dfp21 = dfpField8.newDfp(dfp19);
    org.apache.commons.math.dfp.Dfp dfp22 = dfpField8.getZero();
    org.apache.commons.math.dfp.Dfp[] dfp_array23 = dfpField8.getLn2Split();
    org.apache.commons.math.dfp.Dfp dfp24 = dfpField8.getLn10();
    org.apache.commons.math.dfp.Dfp dfp25 = dfpField8.getSqr2();
    org.apache.commons.math.dfp.Dfp dfp27 = dfpField8.newDfp((-931718226));
    org.apache.commons.math.dfp.Dfp dfp28 = dfp27.rint();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);

  }

  @Test
  public void test422() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test422"); }


    double d1 = org.apache.commons.math.util.FastMath.rint(0.10066423068104591d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test423() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test423"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)100.0f, (java.lang.Number)(byte)0, false);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException5 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)numberIsTooSmallException4);
    java.lang.Object[] obj_array6 = numberIsTooSmallException4.getArguments();
    java.lang.Number number7 = numberIsTooSmallException4.getArgument();
    java.lang.String str8 = numberIsTooSmallException4.toString();
    java.lang.Number number9 = numberIsTooSmallException4.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + 100.0f+ "'", number7.equals(100.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.apache.commons.math.exception.NumberIsTooSmallException: 100 is smaller than, or equal to, the minimum (0)"+ "'", str8.equals("org.apache.commons.math.exception.NumberIsTooSmallException: 100 is smaller than, or equal to, the minimum (0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number9 + "' != '" + 100.0f+ "'", number9.equals(100.0f));

  }

  @Test
  public void test424() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test424"); }


    double d1 = org.apache.commons.math.util.FastMath.abs(1.233403117511217d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.233403117511217d);

  }

  @Test
  public void test425() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test425"); }


    int i1 = org.apache.commons.math.util.FastMath.abs(32767);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 32767);

  }

  @Test
  public void test426() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test426"); }


    org.apache.commons.math.dfp.DfpField dfpField1 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp[] dfp_array2 = dfpField1.getPiSplit();
    org.apache.commons.math.dfp.DfpField.RoundingMode roundingMode3 = dfpField1.getRoundingMode();
    org.apache.commons.math.dfp.Dfp dfp4 = dfpField1.getPi();
    org.apache.commons.math.dfp.DfpField.RoundingMode roundingMode5 = org.apache.commons.math.dfp.DfpField.RoundingMode.ROUND_HALF_DOWN;
    dfpField1.setRoundingMode(roundingMode5);
    org.apache.commons.math.dfp.Dfp dfp8 = dfpField1.newDfp(3.14159265359d);
    org.apache.commons.math.dfp.DfpField.RoundingMode roundingMode9 = null;
    dfpField1.setRoundingMode(roundingMode9);
    org.apache.commons.math.dfp.Dfp dfp12 = dfpField1.newDfp((byte)100);
    org.apache.commons.math.dfp.Dfp dfp13 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.dfp.Dfp dfp14 = dfpField1.newDfp(dfp13);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);

  }

  @Test
  public void test427() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test427"); }


    double d2 = org.apache.commons.math.util.FastMath.pow(0.0d, 1.1313569173028775d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test428() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test428"); }


    org.apache.commons.math.dfp.DfpField dfpField1 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp[] dfp_array2 = dfpField1.getPiSplit();
    org.apache.commons.math.dfp.DfpField.RoundingMode roundingMode3 = dfpField1.getRoundingMode();
    org.apache.commons.math.dfp.DfpField.RoundingMode roundingMode4 = dfpField1.getRoundingMode();
    org.apache.commons.math.dfp.Dfp dfp5 = dfpField1.getTwo();
    org.apache.commons.math.dfp.DfpField dfpField7 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp8 = dfpField7.getPi();
    org.apache.commons.math.dfp.DfpField dfpField10 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp11 = dfpField10.getPi();
    double[] d_array12 = dfp11.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp13 = dfp8.subtract(dfp11);
    org.apache.commons.math.dfp.DfpField dfpField14 = dfp11.getField();
    org.apache.commons.math.dfp.DfpField dfpField16 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp17 = dfpField16.getPi();
    org.apache.commons.math.dfp.DfpField dfpField19 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp20 = dfpField19.getPi();
    double[] d_array21 = dfp20.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp22 = dfp17.subtract(dfp20);
    org.apache.commons.math.dfp.Dfp dfp23 = dfp17.getZero();
    org.apache.commons.math.dfp.Dfp dfp25 = dfp23.newInstance((-1));
    int i26 = dfp25.log10();
    org.apache.commons.math.dfp.Dfp dfp27 = dfpField14.newDfp(dfp25);
    org.apache.commons.math.dfp.Dfp dfp28 = dfpField14.getZero();
    org.apache.commons.math.dfp.Dfp[] dfp_array29 = dfpField14.getLn2Split();
    org.apache.commons.math.dfp.Dfp dfp30 = dfpField14.getLn10();
    org.apache.commons.math.dfp.Dfp dfp31 = dfpField14.getSqr2();
    org.apache.commons.math.dfp.DfpField dfpField32 = dfp31.getField();
    org.apache.commons.math.dfp.DfpField dfpField34 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp35 = dfpField34.getPi();
    org.apache.commons.math.dfp.DfpField dfpField37 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp38 = dfpField37.getPi();
    double[] d_array39 = dfp38.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp40 = dfp35.subtract(dfp38);
    org.apache.commons.math.dfp.Dfp dfp41 = dfp35.getZero();
    org.apache.commons.math.dfp.Dfp dfp43 = dfp41.newInstance((-1));
    int i44 = dfp43.log10();
    org.apache.commons.math.dfp.DfpField dfpField46 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp47 = dfpField46.getPi();
    double[] d_array48 = dfp47.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp50 = dfp47.newInstance(72.34321284858714d);
    boolean b51 = dfp43.lessThan(dfp47);
    org.apache.commons.math.dfp.Dfp dfp52 = dfp47.ceil();
    org.apache.commons.math.dfp.Dfp dfp53 = dfpField32.newDfp(dfp47);
    org.apache.commons.math.dfp.Dfp dfp54 = dfp5.add(dfp53);
    org.apache.commons.math.dfp.Dfp dfp55 = dfp5.newInstance();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.dfp.Dfp dfp57 = dfp55.newInstance(8188480966139125366L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i44 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b51 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp55);

  }

  @Test
  public void test429() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test429"); }


    float f2 = org.apache.commons.math.util.FastMath.min(0.26696396f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test430() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test430"); }


    org.apache.commons.math.dfp.DfpField dfpField1 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp2 = dfpField1.getPi();
    org.apache.commons.math.dfp.DfpField dfpField4 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp5 = dfpField4.getPi();
    double[] d_array6 = dfp5.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp7 = dfp2.subtract(dfp5);
    org.apache.commons.math.dfp.DfpField dfpField8 = dfp5.getField();
    dfpField8.clearIEEEFlags();
    org.apache.commons.math.dfp.Dfp dfp10 = dfpField8.getSqr3Reciprocal();
    org.apache.commons.math.dfp.Dfp dfp11 = dfpField8.getPi();
    org.apache.commons.math.dfp.Dfp dfp12 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.dfp.Dfp dfp13 = dfp11.add(dfp12);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);

  }

  @Test
  public void test431() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test431"); }


    float f1 = org.apache.commons.math.util.FastMath.abs(0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 0.0f);

  }

  @Test
  public void test432() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test432"); }


    double d1 = org.apache.commons.math.util.FastMath.asinh(4.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.0947125472611012d);

  }

  @Test
  public void test433() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test433"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2(0.4968910933106735d, 0.4864180070547641d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.7960486193465588d);

  }

  @Test
  public void test434() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test434"); }


    org.apache.commons.math.dfp.DfpField dfpField1 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp2 = dfpField1.getPi();
    org.apache.commons.math.dfp.DfpField dfpField4 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp5 = dfpField4.getPi();
    double[] d_array6 = dfp5.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp7 = dfp2.subtract(dfp5);
    org.apache.commons.math.dfp.DfpField dfpField11 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp12 = dfpField11.getPi();
    org.apache.commons.math.dfp.DfpField dfpField14 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp15 = dfpField14.getPi();
    double[] d_array16 = dfp15.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp17 = dfp12.subtract(dfp15);
    org.apache.commons.math.dfp.DfpField dfpField19 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp20 = dfpField19.getPi();
    org.apache.commons.math.dfp.Dfp dfp21 = dfp17.nextAfter(dfp20);
    org.apache.commons.math.dfp.DfpField dfpField23 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp24 = dfpField23.getPi();
    org.apache.commons.math.dfp.DfpField dfpField26 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp27 = dfpField26.getPi();
    double[] d_array28 = dfp27.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp29 = dfp24.subtract(dfp27);
    org.apache.commons.math.dfp.DfpField dfpField30 = dfp27.getField();
    org.apache.commons.math.dfp.DfpField dfpField32 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp33 = dfpField32.getPi();
    org.apache.commons.math.dfp.DfpField dfpField35 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp36 = dfpField35.getPi();
    double[] d_array37 = dfp36.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp38 = dfp33.subtract(dfp36);
    org.apache.commons.math.dfp.Dfp dfp39 = dfp33.getZero();
    org.apache.commons.math.dfp.Dfp dfp41 = dfp39.newInstance((-1));
    int i42 = dfp41.log10();
    org.apache.commons.math.dfp.Dfp dfp43 = dfpField30.newDfp(dfp41);
    org.apache.commons.math.dfp.Dfp dfp44 = dfp2.dotrap(2, "hi!", dfp20, dfp43);
    org.apache.commons.math.dfp.Dfp dfp46 = dfp20.power10(100);
    org.apache.commons.math.dfp.DfpField dfpField48 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp49 = dfpField48.getPi();
    double[] d_array50 = dfp49.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp52 = dfp49.newInstance(72.34321284858714d);
    org.apache.commons.math.dfp.Dfp dfp53 = dfp20.nextAfter(dfp52);
    java.lang.String str54 = dfp53.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str54 + "' != '" + "3.141592653591"+ "'", str54.equals("3.141592653591"));

  }

  @Test
  public void test435() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test435"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp(4.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 8.881784197001252E-16d);

  }

  @Test
  public void test436() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test436"); }


    double d2 = org.apache.commons.math.util.FastMath.max((-2.4443577776425767d), (-2.4443577776425767d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-2.4443577776425767d));

  }

  @Test
  public void test437() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test437"); }


    org.apache.commons.math.dfp.DfpField dfpField1 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp[] dfp_array2 = dfpField1.getPiSplit();
    org.apache.commons.math.dfp.DfpField.RoundingMode roundingMode3 = dfpField1.getRoundingMode();
    org.apache.commons.math.dfp.Dfp dfp4 = dfpField1.getPi();
    org.apache.commons.math.dfp.DfpField.RoundingMode roundingMode5 = dfpField1.getRoundingMode();
    org.apache.commons.math.dfp.DfpField.RoundingMode roundingMode6 = dfpField1.getRoundingMode();
    org.apache.commons.math.dfp.Dfp dfp8 = dfpField1.newDfp(4);
    int i9 = dfp8.log10K();
    org.apache.commons.math.dfp.Dfp dfp10 = dfp8.getTwo();
    int i11 = dfp10.classify();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);

  }

  @Test
  public void test438() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test438"); }


    org.apache.commons.math.dfp.DfpField dfpField1 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp2 = dfpField1.getPi();
    org.apache.commons.math.dfp.DfpField dfpField4 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp5 = dfpField4.getPi();
    org.apache.commons.math.dfp.DfpField dfpField7 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp8 = dfpField7.getPi();
    double[] d_array9 = dfp8.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp10 = dfp5.subtract(dfp8);
    org.apache.commons.math.dfp.DfpField dfpField14 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp15 = dfpField14.getPi();
    org.apache.commons.math.dfp.DfpField dfpField17 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp18 = dfpField17.getPi();
    double[] d_array19 = dfp18.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp20 = dfp15.subtract(dfp18);
    org.apache.commons.math.dfp.DfpField dfpField22 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp23 = dfpField22.getPi();
    org.apache.commons.math.dfp.Dfp dfp24 = dfp20.nextAfter(dfp23);
    org.apache.commons.math.dfp.DfpField dfpField26 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp27 = dfpField26.getPi();
    org.apache.commons.math.dfp.DfpField dfpField29 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp30 = dfpField29.getPi();
    double[] d_array31 = dfp30.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp32 = dfp27.subtract(dfp30);
    org.apache.commons.math.dfp.DfpField dfpField33 = dfp30.getField();
    org.apache.commons.math.dfp.DfpField dfpField35 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp36 = dfpField35.getPi();
    org.apache.commons.math.dfp.DfpField dfpField38 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp39 = dfpField38.getPi();
    double[] d_array40 = dfp39.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp41 = dfp36.subtract(dfp39);
    org.apache.commons.math.dfp.Dfp dfp42 = dfp36.getZero();
    org.apache.commons.math.dfp.Dfp dfp44 = dfp42.newInstance((-1));
    int i45 = dfp44.log10();
    org.apache.commons.math.dfp.Dfp dfp46 = dfpField33.newDfp(dfp44);
    org.apache.commons.math.dfp.Dfp dfp47 = dfp5.dotrap(2, "hi!", dfp23, dfp46);
    org.apache.commons.math.dfp.Dfp dfp48 = dfp5.ceil();
    boolean b49 = dfp2.unequal(dfp5);
    int i50 = dfp2.classify();
    org.apache.commons.math.dfp.Dfp dfp52 = dfp2.power10K(0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i45 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i50 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);

  }

  @Test
  public void test439() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test439"); }


    double d1 = org.apache.commons.math.util.FastMath.cos(0.21773241487717954d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9763897941500699d);

  }

  @Test
  public void test440() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test440"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp(1.1034857805236309d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.220446049250313E-16d);

  }

  @Test
  public void test441() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test441"); }


    double d2 = org.apache.commons.math.util.FastMath.pow(0.7825755648665295d, 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.5686371209790569d);

  }

  @Test
  public void test442() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test442"); }


    org.apache.commons.math.dfp.DfpField dfpField1 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp2 = dfpField1.getPi();
    org.apache.commons.math.dfp.DfpField dfpField4 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp5 = dfpField4.getPi();
    double[] d_array6 = dfp5.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp7 = dfp2.subtract(dfp5);
    org.apache.commons.math.dfp.DfpField dfpField8 = dfp5.getField();
    org.apache.commons.math.dfp.DfpField dfpField10 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp11 = dfpField10.getPi();
    org.apache.commons.math.dfp.DfpField dfpField13 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp14 = dfpField13.getPi();
    double[] d_array15 = dfp14.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp16 = dfp11.subtract(dfp14);
    org.apache.commons.math.dfp.Dfp dfp17 = dfp11.getZero();
    org.apache.commons.math.dfp.Dfp dfp19 = dfp17.newInstance((-1));
    int i20 = dfp19.log10();
    org.apache.commons.math.dfp.Dfp dfp21 = dfpField8.newDfp(dfp19);
    org.apache.commons.math.dfp.Dfp dfp22 = dfpField8.getZero();
    org.apache.commons.math.dfp.Dfp[] dfp_array23 = dfpField8.getLn2Split();
    org.apache.commons.math.dfp.Dfp dfp24 = dfpField8.getLn10();
    org.apache.commons.math.dfp.Dfp dfp25 = dfpField8.getOne();
    org.apache.commons.math.dfp.DfpField dfpField27 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp[] dfp_array28 = dfpField27.getPiSplit();
    org.apache.commons.math.dfp.DfpField.RoundingMode roundingMode29 = dfpField27.getRoundingMode();
    org.apache.commons.math.dfp.Dfp dfp30 = dfpField27.getPi();
    org.apache.commons.math.dfp.Dfp dfp31 = dfpField8.newDfp(dfp30);
    org.apache.commons.math.dfp.Dfp[] dfp_array32 = dfpField8.getLn5Split();
    org.apache.commons.math.dfp.Dfp dfp34 = dfpField8.newDfp(0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);

  }

  @Test
  public void test443() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test443"); }


    float f2 = org.apache.commons.math.util.FastMath.max(100.0f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 100.0f);

  }

  @Test
  public void test444() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test444"); }


    double d1 = org.apache.commons.math.util.FastMath.tan((-0.9132181497465548d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.2949482954794957d));

  }

  @Test
  public void test445() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test445"); }


    int i1 = org.apache.commons.math.util.FastMath.abs(100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 100);

  }

  @Test
  public void test446() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test446"); }


    org.apache.commons.math.dfp.DfpField dfpField1 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp2 = dfpField1.getSqr3();
    org.apache.commons.math.dfp.Dfp dfp3 = dfpField1.getLn2();
    org.apache.commons.math.dfp.Dfp dfp5 = dfpField1.newDfp((-1L));
    org.apache.commons.math.dfp.Dfp dfp6 = dfpField1.getSqr2();
    org.apache.commons.math.dfp.Dfp dfp8 = dfpField1.newDfp(0);
    org.apache.commons.math.dfp.Dfp[] dfp_array9 = dfpField1.getPiSplit();
    org.apache.commons.math.dfp.Dfp dfp11 = dfpField1.newDfp(0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);

  }

  @Test
  public void test447() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test447"); }


    double d1 = org.apache.commons.math.util.FastMath.acos((-1.2246467991473532E-16d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5707963267948968d);

  }

  @Test
  public void test448() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test448"); }


    org.apache.commons.math.dfp.DfpField dfpField1 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp2 = dfpField1.getPi();
    org.apache.commons.math.dfp.DfpField dfpField4 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp5 = dfpField4.getPi();
    double[] d_array6 = dfp5.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp7 = dfp2.subtract(dfp5);
    org.apache.commons.math.dfp.DfpField dfpField8 = dfp5.getField();
    dfpField8.clearIEEEFlags();
    org.apache.commons.math.dfp.Dfp dfp11 = dfpField8.newDfp((byte)10);
    org.apache.commons.math.dfp.DfpField dfpField13 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp14 = dfpField13.getPi();
    double[] d_array15 = dfp14.toSplitDouble();
    org.apache.commons.math.dfp.DfpField dfpField17 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp18 = dfpField17.getPi();
    org.apache.commons.math.dfp.DfpField dfpField20 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp21 = dfpField20.getPi();
    double[] d_array22 = dfp21.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp23 = dfp18.subtract(dfp21);
    org.apache.commons.math.dfp.DfpField dfpField25 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp26 = dfpField25.getPi();
    org.apache.commons.math.dfp.Dfp dfp27 = dfp23.nextAfter(dfp26);
    org.apache.commons.math.dfp.Dfp dfp28 = dfp14.add(dfp27);
    org.apache.commons.math.dfp.Dfp dfp29 = dfp14.ceil();
    org.apache.commons.math.dfp.Dfp dfp30 = dfpField8.newDfp(dfp14);
    org.apache.commons.math.dfp.Dfp dfp31 = dfpField8.getTwo();
    org.apache.commons.math.dfp.Dfp dfp32 = dfpField8.getZero();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);

  }

  @Test
  public void test449() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test449"); }


    org.apache.commons.math.dfp.DfpField dfpField1 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp[] dfp_array2 = dfpField1.getPiSplit();
    org.apache.commons.math.dfp.Dfp dfp3 = dfpField1.getSqr2();
    org.apache.commons.math.dfp.DfpField dfpField5 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp6 = dfpField5.getPi();
    double[] d_array7 = dfp6.toSplitDouble();
    org.apache.commons.math.dfp.DfpField dfpField9 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp10 = dfpField9.getPi();
    org.apache.commons.math.dfp.DfpField dfpField12 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp13 = dfpField12.getPi();
    double[] d_array14 = dfp13.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp15 = dfp10.subtract(dfp13);
    org.apache.commons.math.dfp.DfpField dfpField17 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp18 = dfpField17.getPi();
    org.apache.commons.math.dfp.Dfp dfp19 = dfp15.nextAfter(dfp18);
    org.apache.commons.math.dfp.Dfp dfp20 = dfp6.add(dfp19);
    org.apache.commons.math.dfp.DfpField dfpField24 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp25 = dfpField24.getPi();
    org.apache.commons.math.dfp.Dfp dfp26 = dfpField24.newDfp();
    org.apache.commons.math.dfp.DfpField dfpField28 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp29 = dfpField28.getPi();
    org.apache.commons.math.dfp.DfpField dfpField31 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp32 = dfpField31.getPi();
    double[] d_array33 = dfp32.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp34 = dfp29.subtract(dfp32);
    org.apache.commons.math.dfp.Dfp dfp35 = dfp29.getZero();
    org.apache.commons.math.dfp.Dfp dfp37 = dfp35.newInstance((-1));
    int i38 = dfp37.log10();
    org.apache.commons.math.dfp.Dfp dfp39 = dfp6.dotrap(4, "hi!", dfp26, dfp37);
    org.apache.commons.math.dfp.Dfp dfp40 = dfp3.nextAfter(dfp6);
    org.apache.commons.math.dfp.DfpField dfpField42 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp[] dfp_array43 = dfpField42.getPiSplit();
    org.apache.commons.math.dfp.Dfp dfp44 = dfpField42.getSqr3Reciprocal();
    org.apache.commons.math.dfp.Dfp dfp45 = dfpField42.newDfp();
    org.apache.commons.math.dfp.Dfp dfp46 = dfpField42.getLn5();
    org.apache.commons.math.dfp.Dfp dfp47 = dfp6.multiply(dfp46);
    double[] d_array48 = dfp46.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp50 = dfp46.newInstance(4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i38 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);

  }

  @Test
  public void test450() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test450"); }


    double d1 = org.apache.commons.math.util.FastMath.tan((-0.0428452598031293d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.042871496315503944d));

  }

  @Test
  public void test451() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test451"); }


    double d1 = org.apache.commons.math.util.FastMath.signum(0.7369117383565867d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test452() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test452"); }


    org.apache.commons.math.dfp.DfpField dfpField1 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp2 = dfpField1.getPi();
    org.apache.commons.math.dfp.DfpField dfpField4 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp5 = dfpField4.getPi();
    double[] d_array6 = dfp5.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp7 = dfp2.subtract(dfp5);
    org.apache.commons.math.dfp.Dfp dfp8 = dfp2.getZero();
    org.apache.commons.math.dfp.Dfp dfp10 = dfp8.newInstance((-1));
    int i11 = dfp10.log10();
    org.apache.commons.math.dfp.Dfp dfp12 = dfp10.getZero();
    org.apache.commons.math.dfp.Dfp dfp13 = dfp10.getZero();
    double d14 = dfp13.toDouble();
    double[] d_array15 = dfp13.toSplitDouble();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);

  }

  @Test
  public void test453() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test453"); }


    double d1 = org.apache.commons.math.util.FastMath.sin(3.1626694988675665d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.021075284805970446d));

  }

  @Test
  public void test454() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test454"); }


    org.apache.commons.math.dfp.DfpField dfpField1 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp2 = dfpField1.getPi();
    org.apache.commons.math.dfp.DfpField dfpField4 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp5 = dfpField4.getPi();
    double[] d_array6 = dfp5.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp7 = dfp2.subtract(dfp5);
    org.apache.commons.math.dfp.DfpField dfpField8 = dfp5.getField();
    org.apache.commons.math.dfp.DfpField dfpField10 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp11 = dfpField10.getPi();
    org.apache.commons.math.dfp.DfpField dfpField13 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp14 = dfpField13.getPi();
    double[] d_array15 = dfp14.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp16 = dfp11.subtract(dfp14);
    org.apache.commons.math.dfp.Dfp dfp17 = dfp11.getZero();
    org.apache.commons.math.dfp.Dfp dfp19 = dfp17.newInstance((-1));
    int i20 = dfp19.log10();
    org.apache.commons.math.dfp.Dfp dfp21 = dfpField8.newDfp(dfp19);
    org.apache.commons.math.dfp.Dfp dfp22 = dfpField8.getZero();
    org.apache.commons.math.dfp.Dfp dfp24 = dfpField8.newDfp((byte)0);
    org.apache.commons.math.dfp.Dfp dfp26 = dfpField8.newDfp((byte)2);
    org.apache.commons.math.dfp.Dfp dfp27 = dfp26.negate();
    org.apache.commons.math.dfp.DfpField dfpField28 = dfp27.getField();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField28);

  }

  @Test
  public void test455() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test455"); }


    double d2 = org.apache.commons.math.util.FastMath.pow((-0.5440211108893698d), 0.9999216512545827d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test456() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test456"); }


    org.apache.commons.math.random.MersenneTwister mersenneTwister0 = new org.apache.commons.math.random.MersenneTwister();
    mersenneTwister0.setSeed(3);
    int i3 = mersenneTwister0.nextInt();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1929308310));

  }

  @Test
  public void test457() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test457"); }


    java.lang.Throwable throwable0 = null;
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException1 = new org.apache.commons.math.exception.MathRuntimeException(throwable0);
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    java.lang.Object[] obj_array5 = new java.lang.Object[] { 'a' };
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException6 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathRuntimeException1, localizable2, localizable3, obj_array5);
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException11 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable7, (java.lang.Number)100.0f, (java.lang.Number)(byte)0, false);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException12 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)numberIsTooSmallException11);
    mathRuntimeException6.addSuppressed((java.lang.Throwable)numberIsTooSmallException11);
    org.apache.commons.math.exception.util.Localizable localizable14 = null;
    org.apache.commons.math.exception.util.Localizable localizable15 = null;
    org.apache.commons.math.exception.util.Localizable localizable16 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException20 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable16, (java.lang.Number)100.0f, (java.lang.Number)(byte)0, false);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException21 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)numberIsTooSmallException20);
    java.lang.Object[] obj_array22 = numberIsTooSmallException20.getArguments();
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException23 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)numberIsTooSmallException11, localizable14, localizable15, obj_array22);
    java.lang.Number number24 = numberIsTooSmallException11.getArgument();
    java.lang.Number number25 = numberIsTooSmallException11.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number24 + "' != '" + 100.0f+ "'", number24.equals(100.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number25 + "' != '" + (byte)0+ "'", number25.equals((byte)0));

  }

  @Test
  public void test458() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test458"); }


    org.apache.commons.math.dfp.DfpField dfpField1 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp2 = dfpField1.getPi();
    org.apache.commons.math.dfp.DfpField dfpField4 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp5 = dfpField4.getPi();
    double[] d_array6 = dfp5.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp7 = dfp2.subtract(dfp5);
    org.apache.commons.math.dfp.DfpField dfpField8 = dfp5.getField();
    org.apache.commons.math.dfp.DfpField dfpField10 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp11 = dfpField10.getPi();
    org.apache.commons.math.dfp.DfpField dfpField13 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp14 = dfpField13.getPi();
    double[] d_array15 = dfp14.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp16 = dfp11.subtract(dfp14);
    org.apache.commons.math.dfp.Dfp dfp17 = dfp11.getZero();
    org.apache.commons.math.dfp.Dfp dfp19 = dfp17.newInstance((-1));
    int i20 = dfp19.log10();
    org.apache.commons.math.dfp.Dfp dfp21 = dfpField8.newDfp(dfp19);
    org.apache.commons.math.dfp.Dfp dfp22 = dfpField8.getZero();
    org.apache.commons.math.dfp.Dfp dfp24 = dfpField8.newDfp((byte)0);
    org.apache.commons.math.dfp.Dfp[] dfp_array25 = dfpField8.getPiSplit();
    int i26 = dfpField8.getRadixDigits();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 4);

  }

  @Test
  public void test459() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test459"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp(1.2626272556789118d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.220446049250313E-16d);

  }

  @Test
  public void test460() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test460"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter(0.5982377098738533d, 1.056362217600847d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.5982377098738534d);

  }

  @Test
  public void test461() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test461"); }


    org.apache.commons.math.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math.random.MersenneTwister(1L);
    mersenneTwister1.setSeed(6937403559488242254L);
    double d4 = mersenneTwister1.nextDouble();
    mersenneTwister1.setSeed(32760);
    double d7 = mersenneTwister1.nextDouble();
    boolean b8 = mersenneTwister1.nextBoolean();
    mersenneTwister1.setSeed(6623247006651354006L);
    long long11 = mersenneTwister1.nextLong();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.35904694553017746d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.5451694854284768d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long11 == 1224286320112543281L);

  }

  @Test
  public void test462() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test462"); }


    org.apache.commons.math.dfp.DfpField dfpField1 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp2 = dfpField1.getPi();
    org.apache.commons.math.dfp.Dfp dfp3 = dfpField1.newDfp();
    org.apache.commons.math.dfp.Dfp dfp4 = dfpField1.getLn2();
    org.apache.commons.math.dfp.Dfp dfp6 = dfpField1.newDfp(0.6710325128195819d);
    dfpField1.setIEEEFlagsBits(16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);

  }

  @Test
  public void test463() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test463"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1((-0.4103580624000275d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.33658733552723846d));

  }

  @Test
  public void test464() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test464"); }


    double d1 = org.apache.commons.math.util.FastMath.abs(0.9710766503666878d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9710766503666878d);

  }

  @Test
  public void test465() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test465"); }


    double d1 = org.apache.commons.math.util.FastMath.cosh(3.14159265359d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 11.59195327552391d);

  }

  @Test
  public void test466() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test466"); }


    org.apache.commons.math.dfp.DfpField dfpField1 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp2 = dfpField1.getPi();
    org.apache.commons.math.dfp.DfpField dfpField4 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp5 = dfpField4.getPi();
    double[] d_array6 = dfp5.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp7 = dfp2.subtract(dfp5);
    org.apache.commons.math.dfp.DfpField dfpField8 = dfp5.getField();
    org.apache.commons.math.dfp.DfpField dfpField10 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp11 = dfpField10.getPi();
    org.apache.commons.math.dfp.DfpField dfpField13 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp14 = dfpField13.getPi();
    double[] d_array15 = dfp14.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp16 = dfp11.subtract(dfp14);
    org.apache.commons.math.dfp.Dfp dfp17 = dfp11.getZero();
    org.apache.commons.math.dfp.Dfp dfp19 = dfp17.newInstance((-1));
    int i20 = dfp19.log10();
    org.apache.commons.math.dfp.Dfp dfp21 = dfpField8.newDfp(dfp19);
    org.apache.commons.math.dfp.Dfp dfp22 = dfpField8.getZero();
    org.apache.commons.math.dfp.Dfp dfp24 = dfpField8.newDfp((byte)1);
    org.apache.commons.math.dfp.Dfp dfp25 = dfpField8.getSqr2();
    org.apache.commons.math.dfp.Dfp dfp26 = dfpField8.getPi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);

  }

  @Test
  public void test467() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test467"); }


    double d1 = org.apache.commons.math.util.FastMath.toDegrees((-0.2667269496633498d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-15.282328498108297d));

  }

  @Test
  public void test468() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test468"); }


    org.apache.commons.math.dfp.DfpField dfpField1 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp[] dfp_array2 = dfpField1.getPiSplit();
    org.apache.commons.math.dfp.Dfp dfp3 = dfpField1.getSqr2();
    org.apache.commons.math.dfp.Dfp dfp4 = dfpField1.getSqr2Reciprocal();
    org.apache.commons.math.dfp.Dfp dfp5 = dfpField1.getLn5();
    dfpField1.setIEEEFlagsBits((-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);

  }

  @Test
  public void test469() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test469"); }


    double d1 = org.apache.commons.math.util.FastMath.abs(72.34321284858714d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 72.34321284858714d);

  }

  @Test
  public void test470() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test470"); }


    int i2 = org.apache.commons.math.util.FastMath.min(3, 10000);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 3);

  }

  @Test
  public void test471() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test471"); }


    double d1 = org.apache.commons.math.util.FastMath.sin((-0.042871505964592486d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.04285837444285735d));

  }

  @Test
  public void test472() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test472"); }


    double d1 = org.apache.commons.math.util.FastMath.sinh(Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test473() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test473"); }


    double d1 = org.apache.commons.math.util.FastMath.log(1.056362217600847d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.05483113556161114d);

  }

  @Test
  public void test474() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test474"); }


    double d1 = org.apache.commons.math.util.FastMath.log(1.233403117511217d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.20977711114723296d);

  }

  @Test
  public void test475() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test475"); }


    org.apache.commons.math.dfp.DfpField dfpField1 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp2 = dfpField1.getPi();
    org.apache.commons.math.dfp.DfpField dfpField4 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp5 = dfpField4.getPi();
    double[] d_array6 = dfp5.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp7 = dfp2.subtract(dfp5);
    org.apache.commons.math.dfp.DfpField dfpField9 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp10 = dfpField9.getPi();
    org.apache.commons.math.dfp.Dfp dfp11 = dfp7.nextAfter(dfp10);
    org.apache.commons.math.dfp.Dfp dfp12 = dfp10.negate();
    org.apache.commons.math.dfp.Dfp dfp13 = dfp10.getTwo();
    int i14 = dfp10.log10();
    org.apache.commons.math.dfp.Dfp dfp15 = dfp10.getTwo();
    int i16 = dfp15.getRadixDigits();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 4);

  }

  @Test
  public void test476() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test476"); }


    double d1 = org.apache.commons.math.util.FastMath.log10(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test477() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test477"); }


    double d1 = org.apache.commons.math.util.FastMath.abs(2.5346958487132123d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.5346958487132123d);

  }

  @Test
  public void test478() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test478"); }


    double d1 = org.apache.commons.math.util.FastMath.sin(1.5707963267948968d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test479() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test479"); }


    double d1 = org.apache.commons.math.util.FastMath.nextUp(0.43705857077987587d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.4370585707798759d);

  }

  @Test
  public void test480() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test480"); }


    org.apache.commons.math.dfp.DfpField dfpField1 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp2 = dfpField1.getPi();
    org.apache.commons.math.dfp.DfpField dfpField4 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp5 = dfpField4.getPi();
    double[] d_array6 = dfp5.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp7 = dfp2.subtract(dfp5);
    org.apache.commons.math.dfp.Dfp dfp8 = dfp7.newInstance();
    org.apache.commons.math.dfp.Dfp dfp10 = dfp7.newInstance(0.6710325128195819d);
    org.apache.commons.math.dfp.Dfp dfp12 = dfp10.newInstance(32768);
    int i13 = dfp12.intValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 32768);

  }

  @Test
  public void test481() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test481"); }


    org.apache.commons.math.dfp.DfpField dfpField1 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp2 = dfpField1.getPi();
    org.apache.commons.math.dfp.DfpField dfpField4 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp5 = dfpField4.getPi();
    double[] d_array6 = dfp5.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp7 = dfp2.subtract(dfp5);
    org.apache.commons.math.dfp.DfpField dfpField8 = dfp5.getField();
    dfpField8.clearIEEEFlags();
    org.apache.commons.math.dfp.Dfp dfp10 = dfpField8.getSqr3Reciprocal();
    org.apache.commons.math.dfp.Dfp dfp12 = dfpField8.newDfp((-90.0d));
    org.apache.commons.math.dfp.Dfp dfp13 = dfpField8.getSqr3();
    org.apache.commons.math.dfp.Dfp dfp14 = dfpField8.getSqr3();
    org.apache.commons.math.dfp.Dfp dfp15 = dfpField8.getSqr2Reciprocal();
    org.apache.commons.math.dfp.Dfp dfp17 = dfp15.power10K(10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);

  }

  @Test
  public void test482() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test482"); }


    org.apache.commons.math.dfp.DfpField dfpField1 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp2 = dfpField1.getPi();
    org.apache.commons.math.dfp.DfpField dfpField4 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp5 = dfpField4.getPi();
    double[] d_array6 = dfp5.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp7 = dfp2.subtract(dfp5);
    org.apache.commons.math.dfp.DfpField dfpField8 = dfp5.getField();
    dfpField8.clearIEEEFlags();
    org.apache.commons.math.dfp.Dfp dfp11 = dfpField8.newDfp((byte)10);
    org.apache.commons.math.dfp.DfpField dfpField13 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp14 = dfpField13.getPi();
    double[] d_array15 = dfp14.toSplitDouble();
    org.apache.commons.math.dfp.DfpField dfpField17 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp18 = dfpField17.getPi();
    org.apache.commons.math.dfp.DfpField dfpField20 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp21 = dfpField20.getPi();
    double[] d_array22 = dfp21.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp23 = dfp18.subtract(dfp21);
    org.apache.commons.math.dfp.DfpField dfpField25 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp26 = dfpField25.getPi();
    org.apache.commons.math.dfp.Dfp dfp27 = dfp23.nextAfter(dfp26);
    org.apache.commons.math.dfp.Dfp dfp28 = dfp14.add(dfp27);
    org.apache.commons.math.dfp.Dfp dfp29 = dfp14.ceil();
    org.apache.commons.math.dfp.Dfp dfp30 = dfpField8.newDfp(dfp14);
    org.apache.commons.math.dfp.Dfp dfp31 = dfpField8.getTwo();
    org.apache.commons.math.dfp.Dfp dfp33 = dfp31.newInstance(0.0d);
    boolean b34 = dfp31.isNaN();
    int i35 = dfp31.log10K();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b34 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 0);

  }

  @Test
  public void test483() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test483"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p(106.53564593995561d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.6778223827429795d);

  }

  @Test
  public void test484() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test484"); }


    java.lang.Throwable throwable0 = null;
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException1 = new org.apache.commons.math.exception.MathRuntimeException(throwable0);
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    java.lang.Object[] obj_array5 = new java.lang.Object[] { 'a' };
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException6 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathRuntimeException1, localizable2, localizable3, obj_array5);
    java.lang.Throwable throwable7 = null;
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException8 = new org.apache.commons.math.exception.MathRuntimeException(throwable7);
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    java.lang.Object[] obj_array12 = new java.lang.Object[] { 'a' };
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException13 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathRuntimeException8, localizable9, localizable10, obj_array12);
    org.apache.commons.math.exception.util.Localizable localizable14 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException18 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable14, (java.lang.Number)100.0f, (java.lang.Number)(byte)0, false);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException19 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)numberIsTooSmallException18);
    mathRuntimeException13.addSuppressed((java.lang.Throwable)numberIsTooSmallException18);
    mathRuntimeException6.addSuppressed((java.lang.Throwable)mathRuntimeException13);
    java.lang.String str22 = mathRuntimeException6.toString();
    org.apache.commons.math.exception.util.Localizable localizable23 = mathRuntimeException6.getGeneralPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "org.apache.commons.math.exception.MathRuntimeException: "+ "'", str22.equals("org.apache.commons.math.exception.MathRuntimeException: "));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(localizable23);

  }

  @Test
  public void test485() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test485"); }


    long long1 = org.apache.commons.math.util.FastMath.abs(8188480966139125366L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 8188480966139125366L);

  }

  @Test
  public void test486() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test486"); }


    float f1 = org.apache.commons.math.util.FastMath.abs(0.36353493f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 0.36353493f);

  }

  @Test
  public void test487() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test487"); }


    double d1 = org.apache.commons.math.util.FastMath.floor((-0.929036191326411d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test488() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test488"); }


    long long2 = org.apache.commons.math.util.FastMath.min(8188480966139125366L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test489() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test489"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)100.0f, (java.lang.Number)(byte)0, false);
    org.apache.commons.math.exception.util.Localizable localizable5 = numberIsTooSmallException4.getGeneralPattern();
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException7 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable5, (java.lang.Number)0.6710325128195819d);
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException9 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable5, (java.lang.Number)(-0.929036191326411d));
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException11 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable5, (java.lang.Number)0.054831135561611156d);
    java.lang.Throwable throwable12 = null;
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException13 = new org.apache.commons.math.exception.MathRuntimeException(throwable12);
    org.apache.commons.math.exception.util.Localizable localizable14 = null;
    org.apache.commons.math.exception.util.Localizable localizable15 = null;
    java.lang.Object[] obj_array17 = new java.lang.Object[] { 'a' };
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException18 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathRuntimeException13, localizable14, localizable15, obj_array17);
    notStrictlyPositiveException11.addSuppressed((java.lang.Throwable)mathRuntimeException13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);

  }

  @Test
  public void test490() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test490"); }


    double d1 = org.apache.commons.math.util.FastMath.signum(3.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test491() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test491"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)100.0f, (java.lang.Number)(byte)0, false);
    org.apache.commons.math.exception.util.Localizable localizable5 = numberIsTooSmallException4.getGeneralPattern();
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException9 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable5, (java.lang.Number)1.8593977923911547d, (java.lang.Number)(short)10, false);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException13 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable5, (java.lang.Number)3.0d, (java.lang.Number)(short)10, true);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException17 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable5, (java.lang.Number)0.047442967903742035d, (java.lang.Number)0.9442157056960554d, false);
    org.apache.commons.math.exception.util.Localizable localizable18 = null;
    org.apache.commons.math.dfp.DfpField dfpField20 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp21 = dfpField20.getPi();
    org.apache.commons.math.dfp.DfpField dfpField23 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp24 = dfpField23.getPi();
    double[] d_array25 = dfp24.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp26 = dfp21.subtract(dfp24);
    org.apache.commons.math.dfp.DfpField dfpField27 = dfp24.getField();
    org.apache.commons.math.dfp.DfpField dfpField29 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp30 = dfpField29.getPi();
    org.apache.commons.math.dfp.DfpField dfpField32 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp33 = dfpField32.getPi();
    double[] d_array34 = dfp33.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp35 = dfp30.subtract(dfp33);
    org.apache.commons.math.dfp.Dfp dfp36 = dfp30.getZero();
    org.apache.commons.math.dfp.Dfp dfp38 = dfp36.newInstance((-1));
    int i39 = dfp38.log10();
    org.apache.commons.math.dfp.Dfp dfp40 = dfpField27.newDfp(dfp38);
    int i41 = dfpField27.getRadixDigits();
    org.apache.commons.math.dfp.Dfp[] dfp_array42 = dfpField27.getSqr2Split();
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException43 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable5, localizable18, (java.lang.Object[])dfp_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array42);

  }

  @Test
  public void test492() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test492"); }


    org.apache.commons.math.dfp.DfpField dfpField1 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp2 = dfpField1.getPi();
    org.apache.commons.math.dfp.DfpField dfpField4 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp5 = dfpField4.getPi();
    double[] d_array6 = dfp5.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp7 = dfp2.subtract(dfp5);
    org.apache.commons.math.dfp.DfpField dfpField8 = dfp5.getField();
    org.apache.commons.math.dfp.DfpField dfpField10 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp11 = dfpField10.getPi();
    org.apache.commons.math.dfp.DfpField dfpField13 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp14 = dfpField13.getPi();
    double[] d_array15 = dfp14.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp16 = dfp11.subtract(dfp14);
    org.apache.commons.math.dfp.Dfp dfp17 = dfp11.getZero();
    org.apache.commons.math.dfp.Dfp dfp19 = dfp17.newInstance((-1));
    int i20 = dfp19.log10();
    org.apache.commons.math.dfp.Dfp dfp21 = dfpField8.newDfp(dfp19);
    org.apache.commons.math.dfp.Dfp dfp22 = dfpField8.getPi();
    org.apache.commons.math.dfp.Dfp dfp23 = dfpField8.getSqr2Reciprocal();
    org.apache.commons.math.dfp.Dfp[] dfp_array24 = dfpField8.getPiSplit();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array24);

  }

  @Test
  public void test493() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test493"); }


    org.apache.commons.math.dfp.DfpField dfpField1 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp2 = dfpField1.getPi();
    org.apache.commons.math.dfp.DfpField dfpField4 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp5 = dfpField4.getPi();
    double[] d_array6 = dfp5.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp7 = dfp2.subtract(dfp5);
    org.apache.commons.math.dfp.Dfp dfp8 = dfp2.getZero();
    org.apache.commons.math.dfp.Dfp dfp10 = dfp8.newInstance((-1));
    org.apache.commons.math.dfp.DfpField dfpField12 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp13 = dfpField12.getPi();
    double[] d_array14 = dfp13.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp15 = dfp8.remainder(dfp13);
    org.apache.commons.math.dfp.DfpField dfpField17 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp18 = dfpField17.getPi();
    org.apache.commons.math.dfp.DfpField dfpField20 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp21 = dfpField20.getPi();
    double[] d_array22 = dfp21.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp23 = dfp18.subtract(dfp21);
    org.apache.commons.math.dfp.Dfp dfp24 = dfp18.getZero();
    org.apache.commons.math.dfp.Dfp dfp26 = dfp24.newInstance((-1));
    org.apache.commons.math.dfp.DfpField dfpField28 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp29 = dfpField28.getPi();
    double[] d_array30 = dfp29.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp31 = dfp24.remainder(dfp29);
    org.apache.commons.math.dfp.Dfp dfp33 = dfp31.newInstance((byte)0);
    org.apache.commons.math.dfp.Dfp dfp35 = dfp33.newInstance((byte)0);
    org.apache.commons.math.dfp.Dfp dfp36 = new org.apache.commons.math.dfp.Dfp(dfp35);
    org.apache.commons.math.dfp.Dfp dfp37 = dfp15.nextAfter(dfp36);
    org.apache.commons.math.dfp.Dfp dfp39 = dfp37.newInstance("org.apache.commons.math.exception.MathRuntimeException: ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);

  }

  @Test
  public void test494() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test494"); }


    org.apache.commons.math.dfp.DfpField dfpField1 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp2 = dfpField1.getPi();
    org.apache.commons.math.dfp.DfpField dfpField4 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp5 = dfpField4.getPi();
    double[] d_array6 = dfp5.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp7 = dfp2.subtract(dfp5);
    org.apache.commons.math.dfp.DfpField dfpField8 = dfp5.getField();
    org.apache.commons.math.dfp.DfpField dfpField10 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp11 = dfpField10.getPi();
    org.apache.commons.math.dfp.DfpField dfpField13 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp14 = dfpField13.getPi();
    double[] d_array15 = dfp14.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp16 = dfp11.subtract(dfp14);
    org.apache.commons.math.dfp.Dfp dfp17 = dfp11.getZero();
    org.apache.commons.math.dfp.Dfp dfp19 = dfp17.newInstance((-1));
    int i20 = dfp19.log10();
    org.apache.commons.math.dfp.Dfp dfp21 = dfpField8.newDfp(dfp19);
    org.apache.commons.math.dfp.Dfp dfp22 = dfpField8.getZero();
    org.apache.commons.math.dfp.Dfp[] dfp_array23 = dfpField8.getLn2Split();
    org.apache.commons.math.dfp.Dfp dfp24 = dfpField8.getLn10();
    org.apache.commons.math.dfp.DfpField.RoundingMode roundingMode25 = null;
    dfpField8.setRoundingMode(roundingMode25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);

  }

  @Test
  public void test495() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test495"); }


    org.apache.commons.math.dfp.DfpField dfpField1 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp2 = dfpField1.getPi();
    org.apache.commons.math.dfp.DfpField dfpField4 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp5 = dfpField4.getPi();
    double[] d_array6 = dfp5.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp7 = dfp2.subtract(dfp5);
    org.apache.commons.math.dfp.DfpField dfpField8 = dfp5.getField();
    dfpField8.clearIEEEFlags();
    org.apache.commons.math.dfp.Dfp dfp11 = dfpField8.newDfp((byte)10);
    org.apache.commons.math.dfp.DfpField dfpField13 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp14 = dfpField13.getPi();
    double[] d_array15 = dfp14.toSplitDouble();
    org.apache.commons.math.dfp.DfpField dfpField17 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp18 = dfpField17.getPi();
    org.apache.commons.math.dfp.DfpField dfpField20 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp21 = dfpField20.getPi();
    double[] d_array22 = dfp21.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp23 = dfp18.subtract(dfp21);
    org.apache.commons.math.dfp.DfpField dfpField25 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp26 = dfpField25.getPi();
    org.apache.commons.math.dfp.Dfp dfp27 = dfp23.nextAfter(dfp26);
    org.apache.commons.math.dfp.Dfp dfp28 = dfp14.add(dfp27);
    org.apache.commons.math.dfp.Dfp dfp29 = dfp14.ceil();
    org.apache.commons.math.dfp.Dfp dfp30 = dfpField8.newDfp(dfp14);
    org.apache.commons.math.dfp.Dfp dfp31 = dfpField8.getTwo();
    org.apache.commons.math.dfp.Dfp dfp32 = new org.apache.commons.math.dfp.Dfp(dfp31);
    org.apache.commons.math.dfp.Dfp dfp33 = new org.apache.commons.math.dfp.Dfp(dfp32);
    int i34 = dfp33.classify();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 0);

  }

  @Test
  public void test496() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test496"); }


    double d1 = org.apache.commons.math.util.FastMath.sinh(1.5799282544403457d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.3243088128384546d);

  }

  @Test
  public void test497() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test497"); }


    org.apache.commons.math.dfp.DfpField dfpField1 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp[] dfp_array2 = dfpField1.getPiSplit();
    org.apache.commons.math.dfp.DfpField.RoundingMode roundingMode3 = dfpField1.getRoundingMode();
    org.apache.commons.math.dfp.Dfp dfp4 = dfpField1.getPi();
    org.apache.commons.math.dfp.DfpField.RoundingMode roundingMode5 = dfpField1.getRoundingMode();
    org.apache.commons.math.dfp.DfpField.RoundingMode roundingMode6 = dfpField1.getRoundingMode();
    org.apache.commons.math.dfp.Dfp dfp8 = dfpField1.newDfp(10L);
    org.apache.commons.math.dfp.Dfp dfp10 = dfpField1.newDfp("org.apache.commons.math.exception.NumberIsTooSmallException: 100 is smaller than, or equal to, the minimum (0)");
    org.apache.commons.math.dfp.DfpField.RoundingMode roundingMode11 = org.apache.commons.math.dfp.DfpField.RoundingMode.ROUND_FLOOR;
    dfpField1.setRoundingMode(roundingMode11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode11);

  }

  @Test
  public void test498() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test498"); }


    float f1 = org.apache.commons.math.util.FastMath.abs(0.74880385f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 0.74880385f);

  }

  @Test
  public void test499() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test499"); }


    org.apache.commons.math.dfp.DfpField dfpField1 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp2 = dfpField1.getPi();
    org.apache.commons.math.dfp.DfpField dfpField4 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp5 = dfpField4.getPi();
    double[] d_array6 = dfp5.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp7 = dfp2.subtract(dfp5);
    org.apache.commons.math.dfp.DfpField dfpField11 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp12 = dfpField11.getPi();
    org.apache.commons.math.dfp.DfpField dfpField14 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp15 = dfpField14.getPi();
    double[] d_array16 = dfp15.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp17 = dfp12.subtract(dfp15);
    org.apache.commons.math.dfp.DfpField dfpField19 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp20 = dfpField19.getPi();
    org.apache.commons.math.dfp.Dfp dfp21 = dfp17.nextAfter(dfp20);
    org.apache.commons.math.dfp.DfpField dfpField23 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp24 = dfpField23.getPi();
    org.apache.commons.math.dfp.DfpField dfpField26 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp27 = dfpField26.getPi();
    double[] d_array28 = dfp27.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp29 = dfp24.subtract(dfp27);
    org.apache.commons.math.dfp.DfpField dfpField30 = dfp27.getField();
    org.apache.commons.math.dfp.DfpField dfpField32 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp33 = dfpField32.getPi();
    org.apache.commons.math.dfp.DfpField dfpField35 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp36 = dfpField35.getPi();
    double[] d_array37 = dfp36.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp38 = dfp33.subtract(dfp36);
    org.apache.commons.math.dfp.Dfp dfp39 = dfp33.getZero();
    org.apache.commons.math.dfp.Dfp dfp41 = dfp39.newInstance((-1));
    int i42 = dfp41.log10();
    org.apache.commons.math.dfp.Dfp dfp43 = dfpField30.newDfp(dfp41);
    org.apache.commons.math.dfp.Dfp dfp44 = dfp2.dotrap(2, "hi!", dfp20, dfp43);
    org.apache.commons.math.dfp.Dfp dfp46 = dfp20.power10(100);
    org.apache.commons.math.dfp.DfpField dfpField48 = new org.apache.commons.math.dfp.DfpField(10);
    org.apache.commons.math.dfp.Dfp dfp49 = dfpField48.getPi();
    double[] d_array50 = dfp49.toSplitDouble();
    org.apache.commons.math.dfp.Dfp dfp52 = dfp49.newInstance(72.34321284858714d);
    org.apache.commons.math.dfp.Dfp dfp53 = dfp20.nextAfter(dfp52);
    org.apache.commons.math.dfp.Dfp dfp54 = dfp52.getZero();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);

  }

  @Test
  public void test500() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test500"); }


    java.lang.Throwable throwable0 = null;
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException1 = new org.apache.commons.math.exception.MathRuntimeException(throwable0);
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    java.lang.Object[] obj_array5 = new java.lang.Object[] { 'a' };
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException6 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathRuntimeException1, localizable2, localizable3, obj_array5);
    java.lang.Throwable throwable7 = null;
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException8 = new org.apache.commons.math.exception.MathRuntimeException(throwable7);
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    java.lang.Object[] obj_array12 = new java.lang.Object[] { 'a' };
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException13 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathRuntimeException8, localizable9, localizable10, obj_array12);
    org.apache.commons.math.exception.util.Localizable localizable14 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException18 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable14, (java.lang.Number)100.0f, (java.lang.Number)(byte)0, false);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException19 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)numberIsTooSmallException18);
    mathRuntimeException13.addSuppressed((java.lang.Throwable)numberIsTooSmallException18);
    mathRuntimeException6.addSuppressed((java.lang.Throwable)mathRuntimeException13);
    org.apache.commons.math.exception.util.Localizable localizable22 = mathRuntimeException6.getGeneralPattern();
    java.lang.Throwable[] throwable_array23 = mathRuntimeException6.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(localizable22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array23);

  }

}
